2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.14.2 ===

	* NEWS: Updates

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	Bug 346903 – gtk_enumerate_printers needs events to complete

	* gtk/gtkprintbackend.h:
	* gtk/gtkprintbackend.c: Add a GtkPrintBackend::status property.

	* modules/printbackends/cups/gtkcupsutils.h:
	* modules/printbackends/cups/gtkcupsutils.c: Turn the connection
	test into a tristate available/unavailable/in progress.
	
	* modules/printbackends/cups/gtkprintbackendcups.c: Use a single
	connection test instance for getting the default printer and for
	getting the printer list. Set the GtkPrintBackend::status property
	according to the result of the connection test. Use the printer-type
	attribute to find the default printer, if cups supports it.

	* gtk/gtkprinter.c: When enumerating printers, give up when
	the backend status is 'unavailable'.

	* gtk/gtkprintunixdialog.c (printer_status_cb): Select the printer
	when it is the default and nothing else has been selected yet.

	Patch by Marek Kasik.

2008-09-17  Christian Persch  <chpe@gnome.org>

	Bug 552668 – format not a string literal and no format arguments in
	gtkimmodule

	* gtk/gtkimmodule.c: (gtk_im_module_load): Use %s with g_warning here.

2008-09-17  Christian Persch  <chpe@gnome.org>

	Bug 552667 – gtkimage containing gicon leaks memory

	* gtk/gtkimage.c: (ensure_pixbuf_for_gicon): Fix critical warnings
	when looking up the icon fails. Plug a mem leak.

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	Bug 329593 – Entering characters on a line very cpu intensive and 
	slow

	* gtk/gtknotebook.c (gtk_notebook_page_allocate): Return a boolean
	that indicates whether the tab allocation has changed.
	(gtk_notebook_pages_allocate): Only redraw the tabs if their
	allocation has changed.
	(gtk_notebook_calculate_tabs_allocations): Remove unused return value.
	Patch by Owen Taylor

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	Bug 408154 – [PATCH] Change GtkEntryCompletion max-items to style
	property

	* gtk/gtkentrycompletion.c (_gtk_entry_completion_resize_popup): 
	Take actions into account when finding the available space for
	matches. Patch by Ross Burton

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	Bug 552500 – GtkPrintSettings API doc not precise enough

	* gtk/gtkprintsettings.c: Documentation improvements. Suggested
	by Guillaume Cottenceau

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	Bug 552107 – Small libtool fixes

	* configure.in: Regenerate libtool early, quote $deplibs_check_method.
	Patch by Patryk Zawadzki

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	Bug 551722 – gtk_widget_set_scroll_adjustments() should check the
	signal signature

	* gtk/gtkwidget.c (gtk_widget_set_scroll_adjustments): Check the
	signature of the signal. Patch by Christian Persch

2008-09-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.c (_gtk_widget_set,get_pointer_window): don't
	access widget->window if the widget is not realized.

2008-09-16  Matthias Clasen  <mclasen@redhat.com>

	Bug 551987 – GtkPaned redrawing problem

	* gtk/gtkpaned.c: Remove excess invalidations. Patch by Owen Taylor

2008-09-16  Matthias Clasen  <mclasen@redhat.com>

	Bug 551987 – GtkPaned redrawing problem

	* gtk/gtkhpaned.c:
	* gtk/gtkvpaned.c: Queue invalidations when the handle is moved 
	due to child changes. Patch by Owen Taylor

2008-09-16  Matthias Clasen  <mclasen@redhat.com>

	Bug 552001 – gtkimcontextsimple.c: variable is declared at middle of
	block

	* gtk/gtkimcontextsimple.c: Fix a C99ism, pointed out by Kazuki
	Iwamoto.

2008-09-13  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkmain.c: Don't use the deprectated
	g_win32_get_package_installation_directory() and
	g_win32_get_package_installation_subdirectory() functions. Use
	g_win32_get_package_installation_directory_of_module()
	instead. Also, don't use the deprecated silly
	G_WIN32_DLLMAIN_FOR_DLL_NAME() macro, but an explicit minimal
	DllMain() that just saves the DLL handle.

2008-09-13  Cosimo Cecchi  <cosimoc@gnome.org>

	Bug 552153 – GtkModules loading with XSettings doesn't work if the
	GTK_MODULES env var isn't set.

	* gtk/gtkmain.c: (do_post_parse_initialization):
	* gtk/gtkmodules.c: (_gtk_modules_init):
	Call _gtk_modules_init () even if gtk_modules_string is NULL, so
	that GtkModules specified with XSettings could be loaded.

2008-09-11  Cosimo Cecchi  <cosimoc@gnome.org>

	Bug 536542 – gtk_list_store_set() documentation doesn't say whether
	values are copied.

	* gtk/gtkliststore.c:
	* gtk/gtktreestore.c:
	Explicitly mention in the docs that gtk_[list,tree]_store_set copies
	or keep	a reference of the values.

2008-09-11  Marek Kasik  <mkasik@redhat.com>

	Bug 551378 - Print dialog: should try UDS when fetching PPD for
	localhost

	* modules/printbackends/cups/gtkprintbackendcups.c: Add ability
	to get PPD file from CUPS through Unix domain socket

2008-09-11  Christian Dywan  <christian@imendio.com>

	Bug 551567 – DND mark broken

	* gtk/gtktextbtree.c (redisplay_mark): invalidate mark properly
        Patch by Yevgen Muntyan.

2008-09-10  Björn Lindqvist  <bjourne@gmail.com>

	Bug 551699 – gtk_scrolled_window_destroy() is broken

	* gtk/gtkscrolledwindow.c (gtk_scrolled_window_destroy,
	gtk_scrolled_window_finalize): Check that the [hv]scrollbar
	attributes are not-NULL before destroying and unparenting them.

2008-09-10  Simos Xenitellis  <simos@gnome.org>

	Bug 550676 – Memory leak, update keyboard layout data structure 

	* gtk/gtkimcontextsimple.c (check_normalize_nfc): Added 
	function that checks if unicode sequence can be normalised (NFC)
	to single character. Fixed memory leaks.
	(check_algorithmically): Moved code to check_normalize_nfc, 
	updated switch statement for dead keys.
	(gtk_im_context_simple_filter_keypress): Changed order; first
	check_algorithmically() is attempted, then check_compact_table().

	* gtk/gtkimcontextsimpleseqs.c: Updated compose sequence table
	gtk_compose_seqs_compac[].

	* gtk/compose-parse.py: Updated compose table generation script,
	matches output to gtk/gtkimcontextsimpleseqs.c.

Wed Sep 10 06:18:25 2008  Søren Sandmann  <sandmann@redhat.com>

	* gdk/x11/gdkscreen-x11.c (init_multihead): Don't use
	XRRGetScreenResources() as there are performance issues with
	it. Instead rely on the fact that the RandR information is
	propagated through Xinerama as well.

2008-09-09  Marek Kasik  <mkasik@redhat.com>

	Bug 551386 – gtk_printer_set_is_default() always sets TRUE

	* gtk/gtkprinter.c: sets the is_default parameter to the value
	given by caller

2008-09-08  Cosimo Cecchi  <cosimoc@gnome.org>

	Bug 551325 - Reference to wrong parameter in gtk_editable_insert_text

	* gtk/gtkeditable.c: Fix a reference to an invalid parameter in the
	docs.

2008-09-08  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkfilechooserentry.c (install_start_autocompletion_idle):
	use gdk_threads_add_idle so that the handler acquires the lock
	since it calls gtk functions.

2008-09-08  Tor Lillqvist  <tml@novell.com>

	* configure.in (debug_default): Correct help string for
	--disable-gdiplus.

2008-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c: Actually use mime types, not content
	types, for mimetype-based filtering, so it may work on win32.

2008-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (search_selected_foreach_get_file_cb): 
	Ref the files, to make gtk_file_chooser_get_files() behave as
	documented.

	* gtk/gtkfilechooserdefault.c (search_clear_model): Don't leak
	the content of the search model.
	
	* gtk/gtkfilechooserdefault.c (search_hit_get_info_cb): Don't leak
	the content here, either.

2008-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (search_add_hit): Don't unref the
	GFile we just put into the search_model. This adds a new memory
	leak...

2008-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (shortcuts_append_bookmarks): Plug
	a memory leak.

2008-09-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 550062 – Small update in gdk/gdkkeysyms.h

	* gdk/gdkkeysyms.h: Add dead_perspomeni and fix dead_dasia.
	Patch by Simos Xenitellis

2008-09-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 550989 – gdk_display_put_event() should call
	g_main_context_wakeup()

	* gdk/gdkdisplay.c (gdk_display_put_event): Wake up the main loop
	after queueing the event. Patch by Owen Taylor

2008-09-07  Yair Hershkovitz  <yairhr@gmail.com>

	Bug 319849 - gtkcalendar look in RTL locales

	* gtk/gtkcalendar.c (calendar_realize_week_numbers),
	(gtk_calendar_realize): added missing RTL code to handle week numbers
	from gtk_calendar_size_alloc.

2008-09-06  Sven Herzberg  <sven@imendio.com>

	Bug 551063 – deprecated marking without a link to what new code should
	use

	* gdk/gdkevents.c: added inline documentation for gdk_input_add() and
	gdk_input_add_full(); added replacement hints into the deprecation
	message

2008-09-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserdefault.c (file_list_drag_data_received_cb):
	stop the emission of the signal also when we bail out early
	because we don't accept drops from ourselves. Keeps the code from
	running into a warning in gtktreeview.c.

2008-09-05  Tor Lillqvist  <tml@novell.com>

	* gtk-zip.sh.in: Fetch manpages from share/man where they get
	installed. Don't include pointless entries for directories in the
	zip files. Add etc/gtk-2.0/im-multipress.conf.

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.14.1 ===

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.14.0 ===

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkenums.h: Add nicks for the GtkNumberUpLayout values.

	* gtk/gtkprintunixdialog.c:
	* gtk/gtkprintsettings.c: Simplify the handling of GtkNumberUpLayout
	values. Followup on #535158, proposed by Christian Persch.

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* INSTALL.in: Update required versions

2008-09-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkhandlebox.c: events return gboolean not gint.
	Change misnamed gtk_handle_box_button_changed() to
	gtk_handle_box_button_press(). Reindent static prototypes.

2008-09-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.c (gtk_widget_get_draw_rectangle): when extending
	the draw rectangle by the "draw-border" style property, subtract
	"left" from "x" and "top" from "y", not the other way around.

2008-09-03  Matthias Clasen  <mclasen@redhat.com>
	
	* gdk/gdkwindow.c:
	* gtk/gtkbindings.c:
	* gtk/gtkcolorseldialog.c: More doc fixes

	* gtk/gtktestutils.c: Fix a typo in the docs.

2008-09-03  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

	* configure.in: Bump version to 2.14.0

2008-09-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcolorsel.c: Set page_size to 0 for the spinbuttons
	in the color selector.

	* README.in: Add a note about the GtkAdjustment clamping change

2008-09-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 550528 - IconView DND interface does not work if only used as
	source

	* gtk/gtkiconview.c: Make source-only DND work. 
	Found by Alex Simon

2008-09-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: Add some missing symbols

2008-09-03  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtkprintsettings.c: Fix order of includes to avoid unwanted
	PLT entries.

2008-09-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c
	* gtk/gtkmenuitem.c: remove unused macro cruft. Also remove some
	unneeded includes.

2008-09-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkarrow.c: expose-event returns gboolean not gint,
	reindented static prototypes and did some minor cleanups.

2008-09-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c: some more trivial cosmetic fixes.

2008-09-03  Christian Dywan  <christian@imendio.com>

	Bug 547449 – Entry/ Combo popup misplaced after resize

	* gtk/gtkcombobox.c (gtk_combo_box_menu_position),
	(gtk_combo_box_size_allocate): reposition the combo popup when the
        allocation changes
	* gtk/gtkentry.c (gtk_entry_size_allocate): reposition the
        completion popup when the allocation changes

2008-09-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (get_arrows_visible_area): proper function header
	formatting.

2008-09-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkdialog.c (gtk_dialog_delete_event_handler): return
	gboolean instead of gint. Reindent static prototypes.

2008-09-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.c (gtk_widget_get_allocation): removed this
	function because there is massive disagreement about how to
	implement it. Needs some general discussion in the next
	development cycle about how our C api should evolve.

	* gtk/gtk.symbols: changed accordingly.

2008-09-01  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* gtk/gtkselection.c:
	Update documentation for gtk_selection_data_get_data to
	match the changes introduced in -r21232 (the length
	parameter was removed).

2008-08-30  Matthew Barnes  <mbarnes@redhat.com>

	Bug 549943 – gtk_tool_shell_get_relief_style() always returns
	GTK_RELIEF_NONE

	* gtk/gtktoolshell.c (gtk_tool_shell_get_relief_style): Return
	the correct relief style.

2008-08-29  Björn Lindqvist  <bjourne@gmail.com>

	Bug 437791 – Animation is played at the wrong speed

	* gdk-pixbuf/io-gif.c (gif_get_lzw): Better 100 ms timeout for
	broken GIFs with 0 frame timeout.

2008-08-29  Christian Dywan  <christian@imendio.com>

	Bug 549810 – Memory leaks in printing code

	* gtk/gtkprintjob.c (gtk_print_job_set_property):
	* modules/printbackends/file/gtkprintbackendfile.c
	(output_file_from_settings):
	* modules/printbackends/test/gtkprintbackendtest.c
	(output_test_from_settings): free some temporary strings.
	Patch by Yevgen Muntyan.

2008-08-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.h: move the gtk_widget_get_parent() and
	gtk_widget_get_parent_window() prototypes together with their
	respective setters.

	* gtk/gtkwidget.c: move gtk_widget_get_parent_window() together
	with its setter.

2008-08-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkscrolledwindow.c: events return gboolean not gint,
	reindent prototypes.

2008-08-29  Michael Natterer  <mitch@imendio.com>

	* configure.in: remove -DPANGO_DISABLE_SINGLE_INCLUDES from
	CPPFLAGS, I committed that accidentially.

2008-08-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkpaned.c: minor indentation / coding style fixes.

2008-08-29  Matthias Clasen  <mclasen@redhat.com>

	Bug 549262 – GtkScrolledWindow should not accept focus unless
	GTK_CAN_FOCUS is set

	* gtk/gtkscrolledwindow.c (gtk_scrolled_window_focus): only grab the
	focus, if GTK_WIDGET_CAN_FOCUS() returns TRUE. Patch by Sven 
	Herzberg

2008-08-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtkselection.[hc]: Split gtk_selection_data_get_data into
	gtk_selection_data_get_data and gtk_selection_data_get_length.
	Proposed by Owen Taylor.

2008-08-28  Christian Dywan  <christian@imendio.com>

	Bug 549734 – gtk_selection_data_get_data prototype is wrong

	* gtk/gtkselection.[ch] (gtk_selection_data_get_data): make the
	'length' argument of gtk_selection_data_get_data a 'gint', that's
	what it should be.

2008-08-27  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c:
	* gdk/win32/gdkwindow-win32.c (show_window_recurse): Check if 
	the window's state has GDK_WINDOW_STATE_MAXIMIZED set before
	calling ShowWindow (), and show using SW_SHOWMAXIMIZED or
	SW_RESTORE accordingly.  This fixes an issue where maximized
	windows that are iconified do not restore back to maximized
	when you click the taskbar. (#528975)

2008-08-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintoperation.c: Documentation fixes.

2008-08-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkwindow-x11.c:
	* gdk/win32/gdkwindow-win32.c: Return FALSE from reparent
	implementations to avoid #548993. Patch by Ed Catmur.

2008-08-27  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Don't capitalize
	"per" in "Pages per Sheet".

2008-08-26  Matthias Clasen  <mclasen@redhat.com>

	Bug 549354 – Crash trying to open a file on a remote folder

	* gtk/gtkfilechooserdefault.c (error_message_with_parent): Handle
	the fact that parent may be NULL without crashing. 

2008-08-25  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Replace 
	a long timeout with a second-granularity timeout.

2008-08-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c:
	* modules/printbackends/cups/gtkprintbackendcups.c: Add translator
	hints to many strings.

2008-08-25  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 549236 – missing Since 2.14 in gtk_file_chooser_get_file
	
	* gtk/gtkmountoperation.c:
        * gtk/gtkfontsel.c:
        * gtk/gtkfilechooser.c: Fix the docs, missing Since 2.14.

2008-08-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c: When reconstructing the color hash, try
	harder to avoid unnecessary notification, since this can lead
	to infinite reloading of rc files in some situations.

2008-08-21  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c (doesnt_want_key): Remove the checks
	to see if the window is modally blocked.  This doesn't get us anything,
	and it confuses the search window in GtkTreeView (and potentially other
	utility windows in other apps).  (#520165)

2008-08-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_realize): small formatting fix.

2008-08-21  Marek Kasik  <mkasik@redhat.com>

	Bug 545875 – evo crashed when trying to print pages 6-7 of a 1 page
	email

	* gtk/gtkprintoperation.c: Clamp page ranges to correct ranges

2008-08-21  Marek Kasik  <mkasik@redhat.com>

	* ChangeLog: changelog update for previous commit

2008-08-21  Marek Kasik  <mkasik@redhat.com>

	Bug 535158 – can't rearrange the order of multi pages per side

	* gtk/gtkprinter.c
	* gtk/gtkprinter.h
	* gtk/gtkprintunixdialog.c
	* gtk/gtkprintsettings.c
	* gtk/gtkprintsettings.h
	* gtk/gtkenums.h
	* modules/printbackends/cups/gtkprintbackendcups.c: Allow user to
	specify layout of pages per sheet in number-up mode

Wed Aug 20 18:16:29 2008  Søren Sandmann  <sandmann@redhat.com>

	* gdk/x11/gdkscreen-x11.c (_gdk_x11_screen_size_changed): Emit the
	monitors changed signal when the screen size changes.

2008-08-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	Bug 548346 – gtk_color_selection_dialog_get_color_selection always
	returns NULL

	* gtk/gtkcolorseldialog.c
	(gtk_color_selection_dialog_get_color_selection): Use the correct
	macro to test the validity of the passed-in dialog.

2008-08-05  Milan Crha  <mcrha@redhat.com>

	* gtk/gtknotebook.c: (gtk_notebook_do_arrow): Allow changing page with
	arrows even on non-focusable notebook. (#528091)

2008-08-19  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=543308 - The file
	chooser in "compact" mode uses the same size as in "open" mode.

	* gtk/gtkfilechooserdialog.c (gtk_file_chooser_dialog_map): Don't
	force the default size here.  Let GtkFileChooserDefault be solely
	in charge of default sizing.
	(set_default_size): Removed obsolete code.

	* gtk/gtkfilechooserdefault.c (emit_default_size_changed): New
	helper function, to avoid dupliated code.  Only emits the signal
	if the widget is mapped, because that is when we actually know the
	size we'll want.
	(update_preview_widget_visibility): Use emit_default_size_changed()
	(update_appearance): Likewise.
	(gtk_file_chooser_default_style_set): Likewise.
	(gtk_file_chooser_default_screen_changed): Likewise.
	(gtk_file_chooser_default_map): Likewise.
	(find_good_size_from_style): Unconditionally compute a good
	default size for the "OPEN" modes; don't store it in internal fields.
	(gtk_file_chooser_default_get_default_size): Only compute the
	font-based size if we are in one of the "OPEN" modes or in
	expanded mode.

	* gtk/gtkfilechooserprivate.h (struct _GtkFileChooserDefault):
	Removed default_width/default_height; we don't store these
	anymore.  This will make recycled file choosers (like in the GIMP)
	not "remember" their size across invocations.  However, this
	prepares the way for actually remembering the user's size globally
	in the settings file.

2008-08-19  Björn Lindqvist  <bjourne@gmail.com>

	Bug 548354 – Remove repeated code in gtk_cell_view_size_allocate

	* gtk/gtkcellview.c (gtk_cell_view_size_allocate): Remove some
	code duplication, no need for separate loops for GTK_PACK_START
	and GTK_PACK_END.

2008-08-19  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-builder-convert (GtkBuilderConverter._parse): 
	Remove the requres-version tag as well

2008-08-18  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* ==== Released 2.13.7 ===

2008-08-19  Mathias Hasselmann  <mathias@openismus.com>

	Bug 541600 – GtkCalendar segfault for certain values of detail-with-chars

	* gtk/gtkcalendar.c (gtk_calendar_class_init()): Limit the "year"
	  property to G_MAXINT >> 9, instead of G_MAXINT >> 8: year_to_days()
	  multiplies the year property with 365 and returns the result as
	  glong. Therefore ceil(log(365, 2)) = 9 bits must be available,
	  not just 8 bits.

2008-08-18  Björn Lindqvist  <bjourne@gmail.com>

	Bug 541315 – Segfault when selecting a GtkMenuItem with submenu
	and no parent

	* gtk/gtkmenuitem.c (gtk_menu_item_real_popup_submenu): Ensure
	that the menu item has a parent before popping it up.

2008-08-18  Johan Dahlin  <johan@gnome.org>

	Bug 548196 – gtk-builder-convert doesn't properly convert GtkTextView

	* gtk/gtk-builder-convert: Rename the text property to buffer.

2008-08-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksizegroup.c: Use g_quark_from_static_string() where possible.

2008-08-16  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2008-08-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gdk/gdkwindow.c: Fix small issues in the documentation of
	gdk_window_remove_redirection and gdk_window_redirect_to_drawable.

2008-08-15  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdrawable-quartz.c (gdk_quartz_draw_drawable): Some
	aftermath of the fix of bug #543868. Clip and flip to the source,
	not the destination. Don't save/restore the gstate, it's already
	done when getting/releasing the context.

2008-08-15  Richard Hult  <richard@imendio.com>

	* gtk/gtkclipboard-quartz.c (gtk_clipboard_wait_is_uris_available):
	Add another missing symbol.

2008-08-15  Behdad Esfahbod  <behdad@gnome.org>

	Bug 547680 – fontconfig monitoring can crash apps

	* gtk/gtksettings.c (settings_update_fontconfig): Clear pango cache
	before recreating fontconfig config.

2008-08-15  Sven Herzberg  <sven@imendio.com>

	Use the g_test_*() API for this test
	reviewed by: Richard Hult

	* gdk/tests/check-gdk-cairo.c: use the g_test_*() API to permit adding
	new tests

2008-08-15  Sven Herzberg  <sven@imendio.com>

	Prepare for using the g_test_*() API
	reviewed by: Richard Hult

	* gdk/tests/check-gdk-cairo.c: use assertions instead of returning an
	error code

2008-08-15  Claudio Saavedra  <csaavedra@igalia.com>

	Bug 547944 – Self-reference in gtk_page_setup_load_file's docs

	* gtk/gtkpagesetup.c: Fix the reference in gtk_page_setup_load_file()
	documentation. Pointed out by Torsten Schoenfeld.

2008-08-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 547655 – gio_can_sniff configure test can fail if not installed
	with prefix {/usr,/usr/local} and XDG_DATA_DIRS env not set

	* README.in: Add a note about shared-mime-info and XDG_DATA_DIRS.

2008-08-15  Christian Dywan  <christian@imendio.com>

	Bug 547846 – gtktestutils functions lack Since: tags

	* gtk/gtktestutils.c: Add missing Since tags

2008-08-15  Christian Dywan  <christian@imendio.com>

        Bug 547775 – Documentation of gtk-button-images is not correct

	* gtk/gtkbutton.c (gtk_button_class_init): Improve documentation
        of "gtk-button-images" setting

2008-08-13  Matthias Clasen  <mclasen@redhat.com>

	Bug 547673 – Accessors for GtkFileSelection.font_entry and
	font_style_entry

	* gtk/gtk.symbols:
	* gtk/gtkfontsel.[hc]: Don't add getters for widgets that are not
	actually part of the font selection dialog in standard builds.
	Pointed out by Torsten Schoenfeld

2008-08-13  Matthias Clasen  <mclasen@redhat.com>

	Bug 547516 – Add comments for translators in gtkprintbackendcups.c

	* modules/printbackends/cups/gtkprintbackendcups.c: Add translator
	hints. Patch by Leonardo Ferreira Fontenelle

2008-08-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmarshalers.list: get rid of the deprecated aliases NONE
	and BOOL.

	* gtk/gtkdialog.c
	* gtk/gtkentrycompletion.c
	* gtk/gtkmenuitem.c
	* gtk/gtkoldeditable.c
	* gtk/gtkrange.c
	* gtk/gtktreeview.c
	* gtk/gtkwidget.c: changed accordingly.

2008-08-13 Erwann Chenede - <erwann.chenede@sun.com>

	Bug 547456 - gdk/x11/gdkscreen-x11.c : init_solaris_xinerama 
	doesn't compile on Solaris

	* gdk/x11/gdkscreen-x11.c: make init_solaris_xinerama () compile 
	when HAVE_SOLARIS_XINERAMA is defined.

2008-08-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkstock.c (gtk_stock_lookup): cast the return value of
	g_dgettext() to fix warning about discarded qualifier.

2008-08-12  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkclipboard.c (gtk_clipboard_store):
	use canonical signal name.

2008-08-12  Paolo Borelli  <pborelli@katamail.com>

	Bug 526234 - make shift+ctrl+del delete till the end of line

	* gtk/gtktextview.c: add shift+ctrl+del and shift+ctrl+backspace
	keyboard shortcuts to delete to the end/start of the current line.

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtklinkbutton.c (set_link_color): bail out if there is no
	label to set the color on.

	(gtk_link_button_add): call set_link_color() so the label gets
	the right color no matter how the link button is created.

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkassistant.c: remove unused variable and fix formatting of
	some function headers.

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* configure.in: define -DGDK_PIXBUF_DISABLE_DEPRECATED in the
	global CFLAGS.

	* gdk-pixbuf/Makefile.am: make the contents gdk-pixbuf-marshal.h
	visible for GDK_PIXBUF_COMPILATION.

	* contrib/gdk-pixbuf-xlib/Makefile.am
	* demos/Makefile.am
	* demos/gtk-demo/Makefile.am
	* gdk-pixbuf/pixops/Makefile.am
	* gdk/Makefile.am
	* gdk/x11/Makefile.am
	* gtk/Makefile.am
	* gtk/tests/Makefile.am
	* gtk/theme-bits/Makefile.am
	* modules/engines/ms-windows/Makefile.am
	* modules/engines/pixbuf/Makefile.am
	* modules/input/Makefile.am
	* perf/Makefile.am
	* tests/Makefile.am: remove -DDGDK_PIXBUF_DISABLE_DEPRECATED here.

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkstatusicon.c (gtk_status_icon_get_gicon): use
	g_return_val_if_fail() now that the function has a return value.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* gtk/gtkaccellabel.c
	* gtk/gtkaction.c
	* gtk/gtkclist.c
	* gtk/gtkcolorbutton.c
	* gtk/gtkctree.c
	* gtk/gtkdialog.c
	* gtk/gtkdnd-quartz.c
	* gtk/gtkdnd.c
	* gtk/gtkentry.c
	* gtk/gtkfilechooserdefault.c
	* gtk/gtkfilesel.c
	* gtk/gtkgamma.c
	* gtk/gtkiconview.c
	* gtk/gtkkeyhash.c
	* gtk/gtklabel.c
	* gtk/gtkmenu.c
	* gtk/gtkmenubar.c
	* gtk/gtkpaned.c
	* gtk/gtkrecentchooserdialog.c
	* gtk/gtkrecentchooserutils.c
	* gtk/gtkselection.c
	* gtk/gtksizegroup.c
	* gtk/gtktextbtree.c
	* gtk/gtktextbuffer.c
	* gtk/gtktextview.c
	* gtk/gtktoolbar.c
	* gtk/gtktreemodel.c
	* gtk/gtkuimanager.c
	* gtk/gtkwindow-decorate.c
	* gtk/gtkwindow.c: use canonical signal names in some more places
	that I missed earlier. Also changed this in the documentation and
	comments.

2008-08-12  Sven Neumann  <sven@gimp.org>

	* gtk/gtknotebook.c
	* gtk/gtkradiotoolbutton.c: property nick and blurb should be
	marked with P_(), not _().

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* examples/gtkdial/gtkdial.c
	* gdk/gdkapplaunchcontext.c
	* gdk/gdkpango.c
	* gtk/gtkcellrendererpixbuf.c
	* gtk/gtkcellrenderertext.c
	* gtk/gtkcellview.c
	* gtk/gtkcombobox.c
	* gtk/gtkfontsel.c
	* gtk/gtkinvisible.c
	* gtk/gtkliststore.c
	* gtk/gtktexttag.c
	* gtk/gtktexttagtable.c: remove dereferencing from some function
	pointers i missed before.

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaccellabel.c
	* gtk/gtkcalendar.c
	* gtk/gtkclist.c
	* gtk/gtkentry.c
	* gtk/gtkeventbox.c
	* gtk/gtkfilechooserbutton.c
	* gtk/gtkfilechooserdefault.c
	* gtk/gtkhandlebox.c
	* gtk/gtkhsv.c
	* gtk/gtkiconview.c
	* gtk/gtkimage.c
	* gtk/gtklayout.c
	* gtk/gtklistitem.c
	* gtk/gtkmenuitem.c
	* gtk/gtkmessagedialog.c
	* gtk/gtknotebook.c
	* gtk/gtkpaned.c
	* gtk/gtkpathbar.c
	* gtk/gtkplug.c
	* gtk/gtkprintunixdialog.c
	* gtk/gtkrange.c
	* gtk/gtkrecentchooserdefault.c
	* gtk/gtkruler.c
	* gtk/gtksocket.c
	* gtk/gtktext.c
	* gtk/gtktextview.c
	* gtk/gtktoolbar.c
	* gtk/gtktreeitem.c
	* gtk/gtktreeview.c
	* gtk/gtkviewport.c
	* gtk/gtkwin32embedwidget.c: chain up unconditionally in
	realize(), unrealize(), map(), unmap(), style_set(),
	key_press_event() and size_request()

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwidget.c: change names of default implementations of
	our own signals to consistently contain "real":

	gtk_widget_style_set -> gtk_widget_real_style_set
	gtk_widget_direction_changed -> gtk_widget_real_direction_changed

2008-08-12  Michael Natterer  <mitch@imendio.com>

	* gtk/*.c: consistently chain up using
	GTK_FOO_CLASS(parent_class)->bar(instance) instead of
	(*GTK_FOO_CLASS(parent_class))->bar(instance).

2008-08-12  Matthias Clasen  <mclasen@redhat.com>

	Bug 546730 – gtk_status_icon_get_gicon() should use a return instead
	of an ouput parameter

	* gtk/gtkstatusicon.[hc]: Change gtk_status_icon_get_gicon to
	return the GIcon directly.
	Complaint by Murray Cumming

2008-08-11  Michael Natterer  <mitch@imendio.com>

	Bug 546754 – 2.13.6 update create rendering issue in the evolution
	composer

	* gtk/gtkadjustment.c: instead of CLAMP(), use

	value = MIN (value, upper - page_size);
	value = MAX (value, lower);

	so we don't end up below lower if upper - page_size is smaller
	than lower.

2008-08-11  Matthias Clasen  <mclasen@redhat.com>

	Bug 546616 – CUPS print backend uses 1.2 API without guards

	* modules/printbackends/cups/gtkcupsutils.[hc]: Make use
	of cups 1.2 api dependent on the HAVE_CUPS_1_2 define.
	Patch by Sven Herzberg and Richard Hult

2008-08-11  Michael Natterer  <mitch@imendio.com>

	Bug 547270 – Make GtkHSV public

	* gtk/Makefile.am
	* gtk/gtk.h: install gtkhsv.h as public header (its symbols were
	always public anyway).

	* gtk/gtkhsv.h: add single-include guards, add class struct padding,
	seal the instance member, cleanup.

	* gtk/gtkhsv.c: center the widget in its allocation,
	add "Since: 2.14", cleanup.

2008-08-11  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk/gtkcalendar.h: Fix the Since: tag of GtkCalendarDetailFunc
	to correctly state 2.14, not 2.16.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* demos/gtk-demo/changedisplay.c
	* demos/gtk-demo/clipboard.c
	* demos/gtk-demo/drawingarea.c
	* demos/gtk-demo/iconview.c
	* demos/gtk-demo/images.c
	* demos/gtk-demo/pixbufs.c: use canonical signal names in the demos.

2008-08-11  Matthias Clasen  <mclasen@redhat.com>

	Bug 547211 – Duplicated mnemonic

	* gtk/gtkmountoperation.c: Change mnemonics around in 
	the password dialog to avoid a conflict.
	Reported by Gil Forcada

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gdk-pixbuf/gdk-pixbuf-loader.c: use canonical signal names.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* examples/*: updated the (quite outdated) examples to use
	canonical signal names as well. Removed some unneeded casts and
	trailing whitespace while I was on it...

2008-08-11  Sven Neumann  <sven@gimp.org>

	* modules/input/gtkimcontextime.c
	* modules/input/gtkimcontextmultipress.c
	* modules/input/gtkimcontextxim.c: use canonical signal names.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gtk/gtkdnd-quartz.c
	* gtk/gtkdnd.c
	* gtk/gtkentry.c
	* gtk/gtkfilesel.c
	* gtk/gtkimcontextsimple.c
	* gtk/gtkimmulticontext.c
	* gtk/gtkoptionmenu.c
	* gtk/gtkplug.c
	* gtk/gtkrecentchooserdefault.c
	* gtk/gtkscrolledwindow.c
	* gtk/gtksocket-x11.c: use canonical signal names in some more
	places that I missed earlier.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gtk/gtkaccelgroup.c
	* gtk/gtkactiongroup.c
	* gtk/gtkcalendar.c
	* gtk/gtkcelleditable.c
	* gtk/gtkclipboard-quartz.c
	* gtk/gtkclipboard.c
	* gtk/gtkcolorbutton.c
	* gtk/gtkcolorsel.c
	* gtk/gtkcontainer.c
	* gtk/gtkcurve.c: use canonical signal names.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gtk/gtkentry.c
	* gtk/gtkentrycompletion.c
	* gtk/gtkhandlebox.c
	* gtk/gtkiconview.c
	* gtk/gtkimcontext.c
	* gtk/gtkinputdialog.c
	* gtk/gtktreeview.c: use canonical signal names.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gtk/gtklabel.c
	* gtk/gtklayout.c
	* gtk/gtklist.c
	* gtk/gtklistitem.c: use canonical signal names.

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gtk/gtkmenu.c
	* gtk/gtkmenuitem.c
	* gtk/gtkmenushell.c
	* gtk/gtknotebook.c
	* gtk/gtkoldeditable.c
	* gtk/gtkpaned.c: use canonical signal names.

2008-08-11  Michael Natterer  <mitch@imendio.com>

	* demos/gtk-demo/textscroll.c (create_text_view): don't use the
	deprecated gtk_box_pack_start_defaults().

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gtk/gtkaboutdialog.c
	* gtk/gtkcellrendereraccel.c
	* gtk/gtkcellrenderercombo.c
	* gtk/gtkcellrendererspin.c
	* gtk/gtkcellrenderertext.c
	* gtk/gtkclipboard.c
	* gtk/gtkcolorsel.c
	* gtk/gtkcombo.c
	* gtk/gtkcombobox.c
	* gtk/gtkdnd-quartz.c
	* gtk/gtkdnd.c
	* gtk/gtkentry.c
	* gtk/gtkentrycompletion.c
	* gtk/gtkfilechooserbutton.c
	* gtk/gtkfilechooserdefault.c
	* gtk/gtkfilechooserentry.c
	* gtk/gtkfontsel.c
	* gtk/gtkinputdialog.c
	* gtk/gtkmenutoolbutton.c
	* gtk/gtkpathbar.c
	* gtk/gtktooltip.c: use canonical signal names in g_signal_connect().

2008-08-11  Sven Neumann  <sven@gimp.org>

	* gdk/gdkkeys.c
	* gdk/gdkscreen.c
	* gdk/gdkdisplaymanager.c: use canonical signal names.

2008-08-10  Richard Hult  <richard@imendio.com>

	* gtk/gtkclipboard-quartz.c: (gtk_clipboard_wait_for_uris),
	(gtk_clipboard_request_uris): Implement missing functions.

2008-08-09  Sven Herzberg  <sven@imendio.com>

	Bug 544863 – gtkquartz.h not included in released 2.13.5 package

	* gtk/Makefile.am: always add gtkquartz.h to EXTRA_DIST

2008-08-08  Cody Russell  <bratsche@gnome.org>

	Bug 547027 – menus are broken

	* gtk/gtkmenushell.c
	* gtk/gtkmenu.c: In enter/leave notify events, check that the crossing
	mode is not GTK_GRAB, GTK_UNGRAB, or STATE_CHANGED.  Fixes regressions
	in menus caused by bug #56070.

2008-08-09  Sven Herzberg  <sven@imendio.com>

	Get the gdk+cairo test to pass distcheck, too

	* gdk/tests/Makefile.am: set GDK_PIXBUF_MODULE_FILE so the test can
	pick up the one created at build time
	* gdk/tests/check-gdk-cairo.c (main): delete the output files after a
	successful test run

2008-08-08  Sven Neumann  <sven@gimp.org>

	* gtk/gtkscale.c
	* gtk/gtkscrolledwindow.c
	* gtk/gtksocket.c
	* gtk/gtkspinbutton.c
	* gtk/gtkstatusbar.c
	* gtk/gtkstatusicon.c: use canonical signal names.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* gtk/gtktext.c
	* gtk/gtktextbuffer.c
	* gtk/gtktextlayout.c
	* gtk/gtktexttagtable.c
	* gtk/gtktextview.c
	* gtk/gtktipsquery.c
	* gtk/gtktoolbar.c
	* gtk/gtktoolitem.c
	* gtk/gtktreeitem.c
	* gtk/gtktreemodelfilter.c
	* gtk/gtktreemodelsort.c
	* gtk/gtktreeviewcolumn.c: use canonical signal names.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* gtk/gtktree.c
	* gtk/gtktreemodel.c
	* gtk/gtktreesortable.c
	* gtk/gtktreeview.c
	* gtk/gtkuimanager.c
	* gtk/gtkviewport.c: use canonical signal names.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* gtk/gtkwidget.c:
	* gtk/gtkwindow.c: use canonical signal names.

2008-08-08  Sven Neumann  <sven@gimp.org>

	* gtk/gtkadjustment.c
	* gtk/gtkclist.c
	* gtk/gtkcolorsel.c
	* gtk/gtkiconview.c
	* gtk/gtklayout.c
	* gtk/gtkprogress.c
	* gtk/gtkrange.c
	* gtk/gtkspinbutton.c
	* gtk/gtktext.c
	* gtk/gtktextview.c
	* gtk/gtktreeview.c
	* gtk/gtkviewport.c: use the canonical signal name "value-changed"
	instead of "value_changed".

2008-08-08  Tor Lillqvist  <tml@novell.com>

	* gtk/gtk.symbols
	* gtk/makegtkalias.pl
	* gtk/gtkaccelmap.c
	* gtk/gtkfilechooser.c
	* gtk/gtkfilesel.c
	* gtk/gtkiconfactory.c
	* gtk/gtkicontheme.c
	* gtk/gtkimage.c
	* gtk/gtkrc.c
	* gtk/gtkuimanager.c
	* gtk/gtkwindow.c: No need for the DLL ABI backward compatibility
	functions on Win64.

2008-08-07  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Its g_content_type_from_mime_type, not 
	g_content_type_for_mime_type. Noticed by Roger Brown

2008-08-07 16:19:16  Tim Janik  <timj@imendio.com>

	* gdk/gdkrgb.c (gdk_rgb_select_conv): use g_error() instead of a
	combination of g_warning+exit to avoid misleading the user.

2008-08-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkactiongroup.c
	* gtk/gtkcellrendererspin.c
	* gtk/gtkfilechooserbutton.c
	* gtk/gtktoolitem.c: chain up unconditionally in finalize().

2008-08-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkclist.c
	* gtk/gtkcontainer.c
	* gtk/gtkfilechooserbutton.c
	* gtk/gtkgamma.c
	* gtk/gtkmenutoolbutton.c
	* gtk/gtkoptionmenu.c
	* gtk/gtkradiobutton.c
	* gtk/gtkradiomenuitem.c
	* gtk/gtktipsquery.c
	* gtk/gtktree.c
	* gtk/gtktreeview.c: chain up unconditionally in destroy().

	* gtk/gtkhandlebox.c: remove empty destroy() implementation.

2008-08-07  Michael Natterer  <mitch@imendio.com>

	Bug 546756 – gnome-panel crashed with SIGSEGV in
	g_type_check_instance_cast()

	* gtk/gtkimagemenuitem.c: add GtkObject::destroy() implementation
	and remove the image now that it's an internal child and isn't
	destroyed by gtk_container_destroy() any longer. Thanks to tml for
	helping bisecting this down.

2008-08-07  Sven Neumann  <sven@gimp.org>

	Bug 546771 - Add writable property "visited" to GtkLinkButton

	* gtk/gtk.symbols
	* gtk/gtklinkbutton.[ch]: expose the 'visited' state as a
	read-write property with getters and setters. Also move the nick
	and blurb of the "uri" property to the proper translation domain.

2008-08-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkicontheme.c (apply_emblems): move variables to local
	scopes, fix indentation and silence bogus warning about using
	uninitialized variables.

2008-08-07  Richard Hult  <richard@imendio.com>

	Bug 535573 – Deadlock in gdkeventloop-quartz.c:poll_func()

	* gdk/quartz/gdkeventloop-quartz.c: (gdk_event_prepare),
	(select_thread_func), (poll_func): Patch by Yevgen Muntyan, fixes
	deadlock and missing events.

2008-08-07  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkscreen-quartz.c: (gdk_screen_get_monitor_plug_name)
	(gdk_screen_get_monitor_height_mm, gdk_screen_get_monitor_width_mm):
	Implement those, fixes loading python bindings.

2008-08-07  Emmanuele Bassi  <ebassi@gnome.org>

	Bug 545031 – list of recently used files is created world-readable

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_real_changed): Set the recently-used.xbel
	file to 0600. (Guido Berhoerster)

2008-08-06  Michael Natterer  <mitch@imendio.com>

	* modules/printbackends/cups/gtkcupsutils.c
	(gtk_cups_connection_test_free): remove return value, this
	function returns void.

2008-08-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c
	* gtk/gtkiconview.c
	* gtk/gtkrange.c
	* gtk/gtkscrolledwindow.c
	* gtk/gtktreeview.c: remove CLAMPing from values passed to
	gtk_adjustment_set_value() since it does it right now.

2008-08-05  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.13.6 ===

	* gdk/tests/Makefile.am: Disable check-gdk-cairo test for now,
	since it breaks make distcheck.

2008-08-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_update_sensitivity): bail out
	early if priv->button is NULL to avoid zillions of warnings when
	destroying combo boxes that were working fine before the
	button sensitivity patch.

2008-08-05  Michael Natterer  <mitch@imendio.com>

	Bug 544858 – Seal GtkAdjustment

	* gtk/gtk.symbols
	* gtk/gtkadjustment.[ch] (struct GtkAdjustment): seal all struct
	members.

	Add accessors for all properties and additionally a new function
	gtk_adjustment_configure() which sets all properties at
	once. Patch by Christian Dywan and myself.

2008-08-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkadjustment.c (gtk_adjustment_set_value): clamp the value
	to [lower...upper-page_size] instead of only [lower...upper].

	* README: add note about this change.

	While this fix is correct and should have been there forever, it
	has the potential to break some corner cases, however these cases
	would set page_size to a value != 0 which suggests they want it
	honored.

2008-08-05  Michael Natterer  <mitch@imendio.com>

	* tests/testiconview.c: don't use the deprecated
	gtk_box_pack_start_defaults().

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	Bug 545982 – missing braces cause bogus warnings when using GtkBuilder

	* gtk/gtkcelllayout.c:
	* gtk/gtkdialog.c:
	* gtk/gtkcontainer.c: Add missing braces to some GtkBuildable
	implementations. Patch by Antti Kaijanmäki

2008-08-05  Tor Lillqvist  <tml@novell.com>

	* gtk/gtktext.c: Cast pointer to gintptr instead of gulong to
	avoid warning on Win64.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkgc.c: Cast tile, stipple and clip_mask pointers to
	gintptr instead of long when calculating hash, so we get all of
	the pointer bits on Win64 where long is 32 bits.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkprintoperation-win32.c: Don't need to declare
	IPrintDialogCallback with mingw64 either. It seems to be provided
	with the newer versions of the headers included with mingw64.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	Bug 544684 - Win64 issue, window handles are assumed to be 32-bit

	* gtk/gtksocket-win32.c: Don't cast HWND to guint, pass it as such
	as the GdkNativeWindow parameter to
	gtk_window_remove_embedded_xid(). Debugging printout format fixes.

	* gtk/gtkwin32embed.h
	* gtk/gtkwin32embed.c: Change the types of wparam and lparam
	parameters to actually be WPARAM and LPARAM.

	* gtk/gtkplug-win32.c: Adapt accordingly.

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksettings.c: Improve a setting nick: 'aureal' is not really
	a word, use 'audible' instead.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	* gtk/updateiconcache.c (write_bucket): Enclose ?: expression
	with parens so cast covers all of it.

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	Bug 382291 – Automatically dim the combobox when the model is empty

	* gtk/gtk.symbols:
	* gtkcombobox.[hc]: Add a GtkComboBox::button-sensitivity
	property with getter and setter to control the sensitity of
	empty combo boxes. Patch by Carlos Garnacho, Sven Herzberg,
	Christian Dywan and others.

	* README.in: Add a note about automatic combobox sensitivity.
	
2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tests/Makefile.am: Skip crossingevents test when
	running make check, since it doesn't work on a naked
	X server.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	Bug 544684 - Win64 issue, window handles are assumed to be 32-bit

	* gdk/gdkdnd.h
	* gdk/gdkdnd.c
	* gdk/win32/gdkdnd-win32.c
	* gdk/x11/gdkdnd-x11.c: Change return value and type of window id
	from guint32 to GdkNativeWindow for
	gdk_drag_get_protocol_for_display() and
	gdk_drag_get_protocol(). This is not an API break on existing
	platforms, as GdkNativeWindow has been guint32 for them
	already.

	* gdk/gdkselection.h
	* gdk/gdkselection.c
	* gdk/win32/gdkselection-win32.c
	* gdk/x11/gdkselection-x11.c: Ditto for the requestor window id
	parameter of gdk_selection_send_notify_for_display() and
	gdk_selection_send_notify().

	* gdk/win32/gdkcursor-win32.c
	* gdk/win32/xcursors.h: Change some gchar* to guchar* and vice
	versa to avoid gcc 4.4 signedness warnings.

	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkproperty-win32.c
	* gdk/win32/gdkselection-win32.c: Add some guchar and char pointer
	casts to get rid of gcc 4.4 signedness warnings. Print GdkAtom
	values in debugging output using the %p format.
	
	* gdk/win32/gdkkeys-win32.c
	* gdk/win32/gdkfont-win32.c
	* gdk/win32/gdkmain-win32.c: Add some casts to avoid gcc warnings.
 
	* gdk/win32/gdkwindow-win32.c: Use SetWindowLongPtr() instead of
	SetWindowLong().

	* gdk/win32/gdkwin32id.c (gdk_handle_hash): Use all 64 bits of a
	HANDLE on Win64.

	* gtk/gtkwindow.h
	* gtk/gtkwindow.c: Change the type of the xid parameter of the
	internal gtk_window_remove_embedded_xid() and
	gtk_window_add_embedded_xid() functions from guint to
	GdkNativeWindow.

	* gtk/gtkwindow.c (send_client_message_to_embedded_windows):
	Instead of GPOINTER_TO_UINT(), just cast the gpointer to
	GdkNativeWindow. GPOINTER_TO_UINT() drops the upper 32 bits on
	Win64.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	* gdk/gdkrgb.c: Cast pointers to guintptr, not unsigned long,
	before doing bit tests on them.

2008-08-05  Tor Lillqvist  <tml@novell.com>

	* configure.in: Define GDK_NATIVE_WINDOW_POINTER on 32-bit
	Windows, too. It just makes more sense, as a HWND *is* a kind of
	pointer.

	* gdk/gdkconfig.h.win32: Ditto here.

2008-08-04  Björn Lindqvist  <bjourne@gmail.com>

	Bug 534979 – GtkImageMenuItem is a bin but has two children.

	* gtk/gtkimagemenuitem.c (gtk_image_menu_item_forall): Do not
	include the image widget when iterating over non-internal
	children. Patch by rainwoodman.

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump glib dependency to 2.17.6

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkclist.c
	* gtk/gtkctree.c
	* gtk/gtkpixmap.c
	* gtk/gtkpreview.c: get rid of using deprecated GDK APIs.

	* gtk/gtktext.c: ditto, apart from the text cruft APIs.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk.c (gdk_parse_args): call gdk_rgb_set_verbose(TRUE) if
	"gdkrgb" is in the debug flags.

	* gdk/gdkrgb.c (gdk_rgb_init): remove setting the verbose flag
	here, this function is deprecated and the debug flag didn't work
	when using GDK properly.

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkicontheme.c: Update to handle GEmblem.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* tests/prop-editor.c: undeprecate (apart from still using
	GtkOptionMenu).

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkseparatortoolitem.c
	* tests/testactions.c: remove pointless #undef GTK_DISABLE_DEPRECATED.

	* gtk/gtkcalendar.c (calendar_set_display_option): use
	gtk_calendar_set_display_options() instead of the deprecated
	gtk_calendar_display_options().

2008-08-04  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkfilechooserbutton.c: Fix "/* within comment" warning.

2008-08-04  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtknotebook.c (gtk_notebook_expose): Set drag window background
	to be the GtkNotebook background color. This is a workaround to
	prevent black pixels in rounded tabs when reordering. Improves
	#368234.

2008-08-04  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtk.symbols:
	* gtk/gtkfilechooserbutton.[ch]:
	* gtk/gtkfilechooserdefault.[ch]:
	* gtk/gtkfilechooserdialog.[ch]:
	* gtk/gtkfilechooserwidget.[ch]: Deprecate
	gtk_file_chooser_*_new_with_backend(), since GIO is already used
	directly. Fixes #545976.

2008-08-04  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtk.symbols:
	* gtk/gtkfilechooser.[ch]: Make GFile-oriented API public. Fixes
	#545978.
	* gtk/gtkfilechooserbutton.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkfilechooserutils.c: Update to use public GFile API.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/Makefile.am: build with GTK_DISABLE_DEPRECATED again.

	Fix pltcheck.sh by restricting the visibility of deprecated
	symbols to the places where they are actually used:

	* gtk/gtkclist.c
	* gtk/gtkctree.c
	* gtk/gtklistitem.c
	* gtk/gtklist.c
	* gtk/gtkprogressbar.c
	* gtk/gtkpixmap.c
	* gtk/gtkprogress.c: #undef GTK_DISABLE_DEPRECATED and #define
	__GTK_FOO_C__ on top instead of before including gtkaliasdef.c.

	* gtk/gtkclist.h
	* gtk/gtkctree.h
	* gtk/gtklistitem.h
	* gtk/gtklist.h
	* gtk/gtkpixmap.h
	* gtk/gtkprogress.h: make the headers visible if the respective
	__GTK_FOO_C__ are defined.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkclist.c
	* gtk/gtklist.c
	* gtk/gtkoldeditable.c
	* gtk/gtkpixmap.c
	* gtk/gtktipsquery.c
	* gtk/gtktree.c
	* gtk/gtktreeitem.c: avoid using deprecated GtkWidget API.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkclist.[ch]
	* gtk/gtkctree.[ch]
	* gtk/gtkitemfactory.[ch]
	* gtk/gtkobject.[ch]
	* gtk/gtksignal.[ch]: s/GtkDestroyNotify/GDestroyNotify/g

2008-08-04  Sven Neumann  <sven@gimp.org>

	* gtk/gtklinkbutton.c (gtk_link_button_set_uri): update the link
	color when the "visited" state is changed.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwindow.c: move the code of the deprecated
	gtk_window_set_policy() to a new private function
	gtk_window_set_policy_internal() and call it from
	gtk_window_set_policy().

	(gtk_window_set_resizable): use the new internal function in order
	to avoid our own deprecated public API.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbindings.c: move the code of the deprecated
	gtk_binding_entry_clear() to a new private function
	gtk_binding_entry_clear_internal() and call it from
	gtk_binding_entry_clear().

	(_gtk_binding_entry_add_signall)
	(gtk_binding_parse_bind): use the new internal function in order
	to avoid our own deprecated public API.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfontsel.c (gtk_font_selection_dialog_get_font):
	avoid our own deprecated public API and use
	gtk_font_selection_get_font_internal() instead of
	gtk_font_selection_get_font().

	(gtk_font_selection_get_font)
	(gtk_font_selection_dialog_get_font): Add missing
	"Deprecated: 2.0" to the api doc comments.

2008-08-04  Michael Natterer  <mitch@imendio.com>

	* gdk/tests/Makefile.am: add the generated PNGs to CLEANFILES.

2008-08-04  Tor Lillqvist  <tml@novell.com>

	* configure.in: Set LIB_EXE_MACHINE_FLAG to either X86 or X64 on
	Windows. AC_SUBST it.

	* gdk/Makefile.am
	* gtk/Makefile.am: Pass appropriate -machine flag to lib.exe.

2008-08-04  Tor Lillqvist  <tml@novell.com>

	Bug 544684 - Win64 issue, window handles are assumed to be 32-bit

	* configure.in: On Win64, define GDK_NATIVE_WINDOW_POINTER.

	* gdk/gdkconfig.h.win32: Ditto here.

2008-08-04  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkstatusicon.c: Fix typo in Win32 and Quartz code:
	s/gtk_icon_icon_info_load_icon/gtk_icon_info_load_icon/ .

2008-08-04  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't bother with the test "if gio can sniff png"
	if $gio_can_sniff has been already set. Preset it to "no" for
	Win32. This helps cross-compilation from 32-bit Windows to 64-bit,
	or from Unix to Windows in general. No idea how this should be
	handled for cross-compilation in general.

2008-08-04  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkdisplay-win32.c: Don't bother looking up
	EnumDisplayMonitors and GetMonitorInfoA dynamically, they are
	present in NT-based Windows since Windows 2000.
	(enum_monitor): For some reason the MONITORINFOEX struct in
	mingw-win64 is different than the proper one as in MSDN and 32-bit
	mingw, so just copy the proper definition here.

2008-08-03  Björn Lindqvist  <bjourne@gmail.com>

	Bug 540379 – gtk_tree_view_enable_model_drag_dest and
	gtk_tree_view_enable_model_drag_source unsets reorderable property

	* gtk/gtktreeview.c: Improve docstrings regarding reorderable
	property.

2008-08-03  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkapplaunchcontext-x11.c: Support GEmblemedIcon.

2008-08-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 546128 – Weirz string

	* gtk/gtksettings.c: Add a translator hint.
	Requested by Ignacio Casal Quinteiro

2008-08-02  Tor Lillqvist  <tml@novell.com>

	Bug 538686 - gtkprintoperation-win32.c: devmode_from_settings

	* gtk/gtkprintoperation-win32.c (devmode_from_settings): Plug
	potential leak. Thanks to Morten Welinder.

2008-08-02  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkprint-win32.c
	* gtk/gtkprint-win32.h
	* gtk/gtkprintoperation-win32.c: Cosmetic fixups after patch
	below.

2008-08-02  Tor Lillqvist  <tml@novell.com>

	Bug 339699 - implement gtk_print_operation_set_show_dialog for
	Windows
	
	* gtk/gtkprint-win32.c
	* gtk/gtkprint-win32.h
	* gtk/gtkprintoperation-win32.c: Patch by ecyrbe@gmail.com.

2008-08-02  Matthias Clasen  <mclasen@redhat.com>
	
	Bug 544302 – GtkStatusIcon should support GIcon

	* gtk/gtk.symbols:
	* gtk/gtkstatusicon.[hc]: Add GIcon support to GtkStatusIcon.
	Patch by Christian Dywan

2008-08-02  Matthias Clasen  <mclasen@redhat.com>
	
	Bug 429427 – Add "arrow-spacing" style property to GtkRange

	* gtk/gtkrange.c: Add an arrow-spacing style property.
	Patch by Carlos Garnacho and Christian Dywan

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 429411 – add style properties to set minimum progressbar 
	width/height

	* gtk/gtkprogressbar.c: Add style properties for minimum size.
	Patch by Carlos Garnacho and Christian Dywan

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 526575 – Missing return type in gtk_ui_manager_get_toplevels
	documentation

	* gtk/gtkuimanager.c (gtk_ui_manager_get_toplevels): Improve
	the docs.

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 523950 – GtkTreeModelFilter's visible function may get an empty
	row

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_set_visible_func):
	Explain and show how iterators pointing to empty rows should be
	handled in the visible function. Patch by Björn Lindqvist

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 539733 – No way to control treeview separator height

	* gtk/gtktreeview.c: Respect the wide-separators and
	separator-height style properties when drawing separators.
	Patch by Christian Dywan

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 65818 – rename gtk_window_set_default() and add getter for it

	* gtk/gtk.symbols:
	* gtk/gtkwindow.[hc]: Rename gtk_window_get_default to
	gtk_window_get_default_widget. Patch by Christian Dywan

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 344383 – use po/LINGUAS

	* po/LINGUAS: New file, to make translators happy.
	* configure.in: Use po/LINGUAS
	* po/Makefile.in.in: Add po/LINGUAS to DISTFILES
	Patch by Claude Paroz

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkapplaunchcontext.c: Improve the docs

2008-08-01  Claudio Saavedra  <csaavedra@igalia.com>

	Bug 545931 – small documentation typos

	* gtk/gtkcomboboxentry.c: Fix some typos in the documentation.

2008-08-01  Hans Breuer  <hans@breuer.org>

	* gdk/makefile.msc : build gdkwindowimpl

	* gtk/gtkwidget.c : fix c99ism - declaration needs to be at the
	start of a block

	* tests/makefile.msc : update

2008-07-31  Cody Russell  <bratsche@gnome.org>

	Bug 56070 – Can't click button after setting it sensitive.

	* gtk/gtkwidget.[ch]
	* gtk/gtkwindow.c
	* gtk/gtkmain.c
	* gtk/gtkbutton.c
	* gtk/gtkprivate.h
	* gdk/gdkevents.h: Synthesize crossing events events where necessary.

	* gtk/tests/crossingevents.c: Add unit tests for crossing events.

	Big thanks to Ed Catmur, Matthias Clasen, and everyone else who
	has worked on and helped out with this.

2008-07-31  Matthias Clasen  <mclasen@redhat.com>

	Bug 424207 – printing hangs on unreachable cups server

	* modules/printbackends/cups/gtkcupsutils.[hc]: Implement a
	non-blocking test for reachability of the cups server.

	* modules/printbackends/cups/gtkprintbackendcups.c: Don't block
	while trying to get the default printer. Patch by Marek Kasik.

2008-07-31  Matthias Clasen  <mclasen@redhat.com>

	* modules/input/gtkimcontextmultipress.c: Use a second-granularity
	timer for automatic commit.

	* gtk/gtkclipboard.c (gtk_clipboard_store): Use a second-grandularity
	timer for the store timeout.

2008-07-31  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk.[hc]:
	* gdk/gdk.symbols: Complete the set of thread-safe timeout function
	with second-granularity versions. Patch by Marek Kasik.

2008-07-30  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkprintoperation-win32.c: Fix problems in handling custom
	paper sizes. The DEVMODE::dmPaperWidth and dmPaperLength are in
	tenths of a millimeter, and the RECT passed to CreateEnhMetaFile()
	is in hundredths of a millimeter. Patch by Sven Neumann.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreemodel.c: Small doc improvements.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump GLib requirement to 2.17.5 for GEmblemedIcon

	* gtk/gtkicontheme.c: Support rendering GEmblemedIcons.

2008-07-27  Sven Herzberg  <sven@imendio.com>

	Bug 544863 – gtkquartz.h not included in released 2.13.5 package

	* gtk/Makefile.am: explicitly include the moved header in EXTRA_DIST

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkstatusicon.c (gtk_status_icon_class_init):
	Documented the activate and popup-menu signals as being for use 
	by applications and language bindings, though they are G_SIGNAL_ACTION, 
	as stated in bug #361561.

2008-07-24  Sebastien Bacher  <seb128@ubuntu.com>

	* modules/printbackends/cups/gtkprintbackendcups.c:
	(cups_printer_get_options): don't try free gettext() values,
	fix a printing dialog crasher (bug 544390)

2008-07-24  Cody Russell  <bratsche@gnome.org>

	Bug 544510 – SetTimer callback signatures has the wrong type

	* gdk/win32/gdkevents-win32.c: Fix modal_timer_proc() and
	sync_timer_proc() to use UINT_PTR for the 'id' parameter
	instead of 'id'.  Patch by Richard Hult.

2008-07-23  Matthias Clasen  <mclasen@redhat.com>

	Bug 543915 – "Sole completion" translation issue

	* gtk/gtkfilechooserentry.c: Add translator hints to a
	bunch of strings. Requested by Andre Klapper

2008-07-23  Matthias Clasen  <mclasen@redhat.com>

	Bug 544265 – GDK assumes XFIXES extension

	* gdk/x11/gdkcursor-x11.c (_gdk_x11_cursor_update_theme):
	Only call XFixes functions if the server has the extension.
	Reported by Ian Turner.

2008-07-22  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Compare two content types, not content type
	and mime type.

2008-07-22  Sven Herzberg  <sven@imendio.com>

	Fix svn:ignore and the include condition

	* gdk/tests/check-gdk-cairo.c: ifndef => ifdef

2008-07-22  Tor Lillqvist  <tml@novell.com>

	* configure.in: Workaround for what apparently is a bug in MSYS:
	returning -1 from main() is misinterpreted as exit status 0, so
	make sure we return 0 or 1. (The net effect of the bug was that no
	image loading worked on Windows.)

2008-07-22  Sven Herzberg  <sven@imendio.com>

	Add a test for my fixes from July 20th.

	* configure.in: create gdk/tests/Makefile
	* gdk/Makefile.am: include the tests subfolder
	* gdk/tests/Makefile.am: create and run my test
	* gdk/tests/check-gdk-cairo.c (test), (main): the test that I wrote
	(passes at least for x11 and quartz backends)

2008-07-22  Frederic Crozat  <fcrozat@mandriva.com>

	* gdk/x11/gdkscreen-x11.c: Don't use RandR 1.2
	if driver is detected as randr12_compat (ie X driver
	is not RandR 1.2 compliant). Fixes multihead with 
	such drivers. Bug #543317.

2008-07-21  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Default to linking against Xinerama again,
	so that we can fallback to Xinerama when broken X drivers
	make Xrandr useless. Sigh.

2008-07-21  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.13.5 ===

2008-07-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktestutils.c:
	* gtk/gtkscalebutton.c:
	* gtk/gtkmessagedialog.c:
	* gtk/gtkmenu.c:
	* gtk/gtkcontainer.c:
	* gtk/gtkcolorseldialog.c:
	* gtk/gtkaccelgroup.c:
	* gtk/gtkentry.c:
	* gtk/gtkfontsel.c: Fix some doc problems.

2008-07-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbox.c (gtk_box_add): use gtk_box_pack_start() instead of
	the deprecated gtk_box_pack_start_defaults().

	* gtk/gtkbindings.c (gtk_binding_entry_add_signal)
	(gtk_binding_parse_signal): use _gtk_binding_entry_add_signall()
	instead of the deprecated gtk_binding_entry_add_signall().

2008-07-21  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(recent_app_info_new), (recent_app_info_free): Use GSlice to
	allocate the application data for recently used resources;
	do not call time() to initialize the timestamp, as it will
	be overwritten anyway later. (#535223, Michael Meeks)

2008-07-21  Kristian Rietveld  <kris@gtk.org>

	Bug 543989 - Crash in gtk_tree_view_size_allocate_columns

	* gtk/gtktreeview.c (gtk_tree_view_size_allocate_columns): check
	for width_changed != NULL.  (Patch by Josselin Mouette).

2008-07-21  Michael Natterer  <mitch@imendio.com>

	Bug 442042 – GtkScaleButton is too limited

	* tests/testvolumebutton.c: forgot to commit code that tests
	toggling the button's orientation. Also fixes the file's coding
	style.

2008-07-21  Cody Russell  <bratsche@gnome.org>

	Bug 153567 – Repaint glitches in widgets

	* gdk/win32/gdkevents-win32.c: Set a sync timer when
	we receive WM_SYNCPAINT, and RedrawWindow() once
	the timer expires.

2008-07-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktoolbar.c (gtk_toolbar_class_init): use the simpler
	g_signal_override_class_handler() instead of
	g_signal_override_class_closure().

	* gtk/gtktextview.c (gtk_text_view_class_init): ditto.

	(gtk_text_view_compat_move_focus): chain up using
	g_signal_chain_from_overridden_handler() instead of the generic
	g_signal_chain_from_overridden() which needs manual fiddling with
	millions of GValues.

2008-07-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkuimanager.c: remove redundant include.

2008-07-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbindings.[ch]: remove _gtk_binding_signal_new().

	* gtk/gtkfilechooserdefault.c
	* gtk/gtkmenu.c
	* gtk/gtkmenushell.c
	* gtk/gtkscalebutton.c
	* gtk/gtktextview.c
	* gtk/gtktoolbar.c
	* gtk/gtkwidget.c: use g_signal_new_class_handler() instead. Add
	some missing I_() to the signal names.

2008-07-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkspinbutton.c: remove g_return_if_fail() from private
	functions and virtual function implementations. Some minor
	cleanups.

2008-07-20  Andre Klapper  <a9016009@gmx.de>

	Bug 543915 - translation issues

	* modules/printbackends/cups/gtkprintbackendcups.c:
	Add translator comments for several strings.

2008-07-20  Sven Herzberg  <sven@imendio.com>

	reviewed by: Richard Hult

	Fixes #543868: GdkPixmap is upside down on quartz

	* gdk/quartz/gdkdrawable-quartz.c (gdk_quartz_draw_drawable): flip the
	coordinate space from GTK+ orientation to CoreGraphics orientation
	before calling CoreGraphics code
	* gdk/quartz/gdkgc-quartz.c (gdk_quartz_draw_tiled_pattern): drop the
	coordinate space flipping (we always get it right, now)
	* gdk/quartz/gdkpixmap-quartz.c
	(gdk_pixmap_impl_quartz_get_context): flip the coordinate space when
	creating the CGContextRef

2008-07-20  Sven Herzberg  <sven@imendio.com>

	reviewed by: Richard Hult

	Extracted the CGContextRef creation into a virtual function of
	GdkDrawableImplQuartz; implement get_context() for GdkPixmap and
	GdkWindow

	* gdk/quartz/gdkdrawable-quartz.c
	(gdk_quartz_drawable_get_context): dropped the different
	implementations; forward to the virtual function now
	* gdk/quartz/gdkdrawable-quartz.h: added the virtual function
	* gdk/quartz/gdkpixmap-quartz.c
	(gdk_pixmap_impl_quartz_get_context),
	(gdk_pixmap_impl_quartz_class_init): implemented get_context()
	* gdk/quartz/gdkwindow-quartz.c
	(gdk_window_impl_quartz_get_context),
	(gdk_window_impl_quartz_class_init): implemented get_context()

2007-08-19  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2007-08-18  Matthias Clasen  <mclasen@redhat.com>

	Bug 543545 – GtkAssistant crashes when gtk_widget_hide() is called
	inside "apply" signal handler

	* gtk/gtkassistant.c: Don't emit signals with extra parameters.
	Patch by Antti Kaijanmäki

2007-08-18  Matthias Clasen  <mclasen@redhat.com>

	Bug 543217 – GTK application crashed with directfb backend

	*  gdk/directfb/gdkvisual-directfb.c: Avoid a crash in
	_gdk_visual_init().  Patch by Huimin He.

2008-07-18  Federico Mena Quintero  <federico@novell.com>

	* gtk/updateiconcache.c (build_cache): If the resulting cache file
	would be empty, erase the old cache file as well as the temporary file.

2008-07-18  Federico Mena Quintero  <federico@novell.com>

	* demos/gtk-demo/changedisplay.c (find_toplevel_at_pointer): Don't
	do funny casts to avoid compiler warnings.

	* demos/gtk-demo/textview.c (easter_egg_callback): Likewise.

	* gtk/gtkmain.c (rewrite_event_for_grabs, gtk_get_event_widget): Likewise.

	* gtk/gtkmodules.c (load_module): Likewise.

	* gtk/gtkselection.c (gtk_selection_convert): Likewise.

	* gtk/gtktipsquery.c (gtk_tips_query_event): Likewise.

	* gtk/queryimmodules.c (query_module): Likewise.

	* tests/testgtk.c (create_gridded_geometry, create_key_lookup)
	(find_widget_at_pointer): Likewise.

2008-07-08  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Add a forgotten
	hunk of the previous commit.

2008-07-18  Sven Herzberg  <sven@imendio.com>

	Make aliasfilecheck.sh pass for the quartz backend, too.

	* gtk/Makefile.am: don't include gtkquartz.h in the list of c files

2008-07-17  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Pashto (ps) to ALL_LINGUAS

2008-07-15  Paolo Borelli  <pborelli@katamail.com>

	Bug 447998 - GtkBuilder does not support building parts of the xml tree

	* gtk/gtkbuilder.c:
	* gtk/gtkbuilder.h:
	* gtk/gtkbuilderprivate.h:
	* gtk/gtkbuilderparser.c:
	* gtk/gtk.symbols:
	Add two new functions that allow cherry picking and construct
	objects from a ui description file or string.

	* gtk/tests/builder.c: tests for the above.

2008-07-15  Paolo Borelli  <pborelli@katamail.com>

	* gtk/tests/builder.c: fix up broken test (cellview has no "clicked"
	signal) case and plug a couple of leaks.

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 543244 – crashes when renaming a bookmark

	* gtk/gtkfilesystem.c (_gtk_file_system_set_bookmark_label): Don't
	free a GFile. Reported by Sebastien Bacher

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 339591 – Detect list of availible cover pages

	Patch by Marek Kasik:
	* modules/printbackends/cups/gtkprintbackendcups.c: Get the list of
	available cover pages and the default front and back cover pages 
	from the cups server.

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 384940 – handle rejecting jobs and authentication meaningfully

	Patch by Marek Kasik, icons by Mike Langlie:
	* gtk/gtk.symbols:
	* gtk/gtkprintbackend.h:
	* gtk/gtkprinter.[hc]: Add new paused and accepting-jobs properties
	and getters/setters.

	* gtk/gtkstock.h:
	* gtk/gtkiconfactory.c:
	* gtk/Makefile.am:
	* gtk/stock-icons/{16,24}/gtk-print-paused.{png,svg}: New icon.

	* modules/printbackends/cups/gtkprintbackendcups.c: 
	* gtk/gtkprintunixdialog.c: Handle paused and job-rejecting 
	printers.

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Add a test to see if GIO can sniff image data,
	this should make gdk-pixbuf use its own sniffing again, on OS X.

2008-07-15  Xavier Claessens  <xclaesse@gmail.com>

	Bug 542523 – GtkTextTag should handle setting properties to NULL

	* gtk/gtktexttag.c (gtk_text_tag_set_property): Unset the color when
	setting it to NULL instead of displaying a warning.

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 479780 – Bookmarks in left pane of FileChooser cannot be renamed

	* gtk/gtkfilechooserdefault.c (shortcuts_build_popup_menu):
	Call shortcuts_check_popup_sensitivity() every time the
	menu is popped up. Problem reported by Hong Jen Yee
	
2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 488766 – GtkFileChooserButton doesn't clear icon after
	gtk_file_chooser_unselect_all

	* gtk/gtkfilechooserbutton.c (update_label_and_image): Unset
	the image when the label is set to "(None)". Reported by
	Neil Roberts

	* tests/testfilechooserbutton.c: Add an "Unselect all" button.

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 507394 – mem leak from gtk_selection_add_targets

	* gtk/gtkoldeditable.c: Free target lists in finalize.
	Reported by Christian Persch

2008-07-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols:
	* gtk/gtktypeutils.[hc]: Complete the deprecation of gtk_type_class.

2008-07-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklabel.c: Trivial doc fix.

2008-07-14  Matthias Clasen  <mclasen@redhat.com>

	Bug 542853 – jasper test fails due to incomplete library arguments

	* configure.in: Add -ljpeg when checking for jasper.
	Reported by Mike Calmus

2008-07-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Add some missing stock-icons. Noticed by Marek 
	Kasik.

2008-07-11  Kristian Rietveld  <kris@gtk.org>

	Bug 316087 - Resizing columns is chaotic

	* gtk/gtktreeprivate.h: add new member fields.

	* gtk/gtktreeview.c (gtk_tree_view_init), (validate_row): set post
	validation flag,
	(gtk_tree_view_size_allocate_columns): rework the size allocation
	mechanism to only recalculate the expand values if the width of the
	widget, content or the column configuration has changed,
	(gtk_tree_view_size_allocate): move call to size_allocate_columns()
	to before the adjustment updates so the proper width is used after
	we updated it,
	(gtk_tree_view_button_press), (gtk_tree_view_motion_resize_column):
	use the column width minus the expand value for the resized width,
	(gtk_tree_view_move_column_after): update call to
	gtk_tree_view_size_allocate_columns().

	* gtk/gtktreeviewcolumn.c (gtk_tree_view_column_set_expand): set use
	resized width to FALSE.

	* tests/Makefile.am:
	* tests/testtreecolumnsizing.c: new interactive test program
	for testing column resizing with different column configurations.

2008-07-11  Simos Xenitellis  <simos@gnome.org>

	* gtk/compose-parse.py:
	* gtk/gtkimcontextsimple.c:
	Fixed typo for the name of Markus Kuhn, issue mentioned 
	in bug #321896 (comment 61).
	
2008-07-11  Simos Xenitellis  <simos@gnome.org>	

	Bug 334418 – Support easy input of ellipsis

	* gtk/gtkimcontextsimpleseqs.h: Fixed 18 compose sequences
	that listed the wrong codepoint.  Reported by Wouter Bolsterlee.

2008-07-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkwidget.c (gtk_widget_set_property):  tooltip-text and 
	tooltip-markup properties: Interpret an empty string as a NULL 
	string because an empty tooltip is silly. This will help 
	language bindings that do not bother to have the two types of 
	empty/null strings.
	Bug #541399.

2008-07-10  Matthias Clasen  <mclasen@redhat.com>

	Bug 542234 – iconview a11y implementation segfaults

	* gtk/gtkiconview.c: Fix a segfault in the a11y code.
	Patch by Li Yuan.

2008-07-08  Christian Neumair  <cneumair@gnome.org>

	* gtk/gtkuimanager.c (update_node):
	Skip update of accelerator child node if it has no associated action.
	Fixes #541950.

2008-07-07  Cody Russell  <bratsche@gnome.org>

	Bug 541964 – [Win32] Setting modal hint to current value might confuse the stack

	* gdk/win32/gdkwindow-win32.c: Check if the value is the same as the
	existing modal hint value before setting it.

2008-07-07  Cody Russell  <bratsche@gnome.org>

	Bug 540994 – [Win32] Some windows don't appear at the top when created

	* gdk/win32/gdkwindow-win32.c: Raise the window when setting it modal.

	I actually already committed this one by accident, probably when I committed
	#541305, but just wanted to document it here in the ChangeLog.

2008-07-07  Johan Dahlin  <johan@gnome.org>

	* gtk/tests/builder.c (test_cell_view):
	Add a test case for 528845.

2008-07-07  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c
	(gdk_window_foreign_new_for_display): Need to initialise
	private->impl here, too.

2008-07-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilesystem.c: include the two needed headers instead of
	<gtk/gtk.h>.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 528845 – segv from GtkBuilder on attempting <accelerator> under
	GtkCellView

	* gtk/gtkcellview.c: Don't blindly chain up in the buildable
	implementation.  Reported by Kevin Ryde.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 469068 – clarify gdk_cairo_create()

	* gdk/gdkcairo.c (gdk_cairo_create): Add a note that cairo
	contexts cannot be cached for handling expose events.
	Proposed by Behdad Esfahbod.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 507953 – gtk_tree_view_set_tooltip_column() shows markups

	* gtk/gtktreeview.c (gtk_tree_view_set_tooltip_column): Mention
	that the tooltip is set as markup. Proposed by Czirkos Zoltan.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 510225 – gtk_widget_get_composite_name retval should be freed

	* gtk/gtkwidget.c (gtk_widget_get_composite_name): Clarify the
	docs. Pointed out by Wolfgang Oertl

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 531129 – gtk_style_copy() does not include a return value or 
	description

	* gtk/gtkstyle.c: Document gtk_style_copy.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 541540 – Dead link to pkg-config site in GTK+ online FAQ
	Bug 513580 – Broken link in GTK+ FAQ

	* docs/faq/gtk-faq.sgml: Remove or update some outdated links.

2008-07-07  Christian Dywan  <christian@imendio.com>

	* gtk/gtkcontainer.c (gtk_container_add_with_properties): Remove
	erroneously added g_return_if_fail (bug #541811).

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 343663 – source-buffer highlighting highlights "char" in
	gtk_text_iter_forward_char

	* demos/gtk-demo/*.c: Fix up the handrolled hilighting a bit.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 327582 – Incomplete docs for GtkSettings::gtk-icon-sizes
	
	* gtk/gtksettings.c: Improve the documentation of the
	gtk-icon-sizes setting. Proposed by Tommi Komulainen.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 539248 – gtk_calender_query_tooltip calls ->detail_func with
	invalid dates

	* gtk/gtkcalendar.c (gtk_calendar_query_tooltip):
	Check that the cursor is over a valid date before retrieving
	its details.  Patch by Chris Wilson

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 493008 – gdk_screen_get_window_stack is not 64-bit-compatible

	* gdk/x11/gdkscreen-x11.c (gdk_screen_get_window_stack): Fix
	64-bit brokenness. Reported by Christian Hammond.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 541645 – gtkfilechooserdefault segfaults when bookmark does not
	contain ://

	* gtk/gtkfilechooserdefault.c (_gtk_file_chooser_label_for_file):
	Be more robust. Reported by  Jelte van der Hoek

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 540917 – deprecate pack_start_defaults()

	* gtk/gtk.symbols:
	* gtk/gtkbox.[hc]: Deprecated gtk_box_pack_{start,end}_defaults.
	Proposed by Owen Taylor

2008-07-05  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

2008-07-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.4 ===

2008-07-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.symbols: move gtk_draw_insertion_cursor() out of the
	deprecated section because it isn't deprecated.

2008-07-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprogressbar.c: remove #if HAVE_CONFIG_H and clean up
	other include weirdness in this file.

2008-07-05  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c:
	* gtk/gtkfontsel.c:
	* gtk/gtkscalebutton.c: Small doc fixes.

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdkevents.c:
	* gdk/x11/gdktestutils-x11.c: Small doc fixes

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tests/defaultvalue.c: Omit some more untestable properties.

	* gtk/gtkmenu.c: Fix the initial value of the monitor property.

	* gtk/gtkentry.c: Fix the property getter for text-length property.

	* gtk/gtkaccelgroup.c: Fix default value for modifier-mask property.

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkmenu.c: Debork the attach-widget property.

2008-07-04  Michael Natterer  <mitch@imendio.com>

	Fix make check:

	* gtk/Makefile.am: remove GTK_DISABLE_DEPRECATED from INCLUDES
	again :-(

	* gtk/gtkclist.c
	* gtk/gtkcombo.c
	* gtk/gtkctree.c
	* gtk/gtklist.c
	* gtk/gtklistitem.c
	* gtk/gtknotebook.c
	* gtk/gtkobject.c
	* gtk/gtkoldeditable.c
	* gtk/gtkpixmap.c
	* gtk/gtktext.c
	* gtk/gtktipsquery.c
	* gtk/gtktree.c
	* gtk/gtktreeitem.c: don't #define it again before including
	gtkalias.h after it has been #undef'ed before.

2008-07-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.c (_gtk_entry_reset_im_context): set need_im_reset
	to FALSE instead of 0.

2008-07-04  Michael Natterer  <mitch@imendio.com>

	Allocate with GSlice:

	* gtk/gtkassistant.c: GtkAssistantPage
	* gtk/gtkcellview.c: GtkCellViewCellInfo
	* gtk/gtkentry.c: GtkEntryPasswordHint, PopupInfo
	* gtk/gtkfilefilter.c: FilterRule
	* gtk/gtknotebook.c: GtkNotebookPage

2008-07-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c: allocate ComboCellInfo with GSlice.

2008-07-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprintoperation.c (print_pages): change "error_dialog"
	variable to GtkWidget fo fix two warnings.

2008-07-04  Michael Natterer  <mitch@imendio.com>

	Bug 539944 – Add GtkScaleButton API so struct fields can be marked
	as private

	* gtk/gtk.symbols
	* gtk/gtkscalebutton.[ch]: add gtk_scale_button_get_plus_button()
	and _get_minus_button(). Patch by Christian Dywan.

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkscalebutton.c:
	* gdk/gdk.symbols: 
	* gdk/gdkwindowimpl.c: Fix make check.

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 540618 – gtk_menu_shell_select_first prints warning on GtkMenubar
	constructed using GtkUIManager

	* gtk/gtkmenuitem.c: Fall back to the default positioning when
	the menuitem is not realized. Patch by Björn Lindqvist.

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 540612 – mem leak in filechooser

	* gtk/gtkfilesystem.c (get_volumes_list): Fix a memory leak.
	Patch by Christian Persch.

2008-07-04  Tor Lillqvist  <tml@novell.com>

	Bug 540861 - invalid UTF-8 in input device name

	* gdk/win32/gdkinput-win32.c: Fetch the device and cursor names in
	Unicode, and convert to UTF-8 for the GdkDevice's name field.

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 538863 – Fixes assertion on entering empty folder

	* gtk/gtkfilechooserdefault.c (browse_files_select_first_row): Don't
	select the first row if the folder is empty.
	Patch by Olle Bergkvist.

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 540915 – GtkBuilder sets properties in reverse order

	* gtk/gtkbuilderparser.c (parse_custom): Set properties in the order 
	in which they are specified in the xml file.  

2008-07-03  Matthias Clasen  <mclasen@redhat.com>
	
	Bug 539944 – Add GtkScaleButton API so struct fields can be marked as
	private

	* gtk/gtk.symbols:
	* gtk/gtkscalebutton.[hc] (gtk_scale_button_get_popup): Add an
	accessor for the popup. Patch by Christian Dywan

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 535498 – Printing demo broken

	* demos/gtk-demo/printing.c: Use monospace as font name, 
	not mono. Also use the right advance when moving from line to line.
	Patch by Yevgen Muntyan.

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	Bug 538547 – Update doc-shooter in gtk documentation

	* docs/tools/Makefile.am:
	* docs/tools/folder.png:
	* docs/tools/gnome.png: New images

	* docs/tools/widgets.c: Use the new images.
	Patch by Baptiste Mille-Mathias.

2008-07-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkscalebutton.c: remove "_from_bindings" suffix from the
	names of binding signal implementations.

2008-07-03  Li Yuan  <li.yuan@sun.com>

	* gail-uninstalled.pc.in:
	Bug #536430. Add libgailutil.la into gail-uninstalled.pc.in.

2008-07-03  Cody Russell  <bratsche@gnome.org>

	Bug 540529 – Remove all GIMP references

	* gtk+-2.0.pc.in:
	* gdk-2.0.pc.in:
	* gtk+-unix-print-2.0.pc.in:
	* gtk+-2.0-uninstalled.pc.in:
	* gdk-2.0-uninstalled.pc.in: Changed GIMP Toolkit to say
	GTK+ Graphical UI Library in the pkg-config files.

2008-07-02  Cody Russell  <bratsche@gnome.org>

	Bug 541305 – [Win32] Scrolling was broken after GdkWindow refactoring

	* gdk/win32/gdkwindow-win32.c: Reverted some logic so that scrolling
	works again.

	* gdk/win32/gdkgeometry-win32.c: Removed some more unnecessary checks.
	* gdk/win32/gdkkeys-win32.c: Removed unused variable to fix compile-time
	warnings.

2008-07-02  Cody Russell  <bratsche@gnome.org>

	Bug 541249 – [Win32] Fix some internal static methods

	* gdk/gdkwindow-win32.c: Make the interface implementation methods
	static.

2008-07-02  Michael Natterer  <mitch@imendio.com>

	Bug 537591 – Don't hardcode minimum width of menuitems

	* gtk/gtkmenuitem.c: applied patch from Christian Dywan which
	introduces a "width-chars" style property which replaces the
	hardcoded minimum width of menuitems with submenu. Patch
	extracted from Maemo-GTK+.

2008-07-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserdefault.c: remove some of the million includes.

2008-07-02  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellrendererpixbuf.c (gtk_cell_renderer_pixbuf_class_init):
	Since s/2.16/2.14/ for the new gicon property.

2008-07-02  Kristian Rietveld  <kris@imendio.com>

	Bug 455268 - Add gtk-enable-tooltips GtkSetting

	* gtk/gtk.symbols:
	* gtk/gtktoolbar.[ch] (gtk_toolbar_[gs]et_tooltips): deprecated.

	* gtk/gtksettings.c: introduce gtk-enable-tooltips XSetting.

	* gtk/gtktooltip.c (_gtk_tooltip_handle_event): take the newly
	introduced XSetting into account.

	* demos/gtk-demo/appwindow.c: don't use the now deprecated
	gtk_toolbar_set_tooltips().

2008-07-02  Cody Russell  <bratsche@gnome.org>

	Bug 541162 – [Win32] Update for the new GdkWindowImpl stuff

	* gdk/win32/gdkprivate-win32.h:
	* gdk/win32/gdkgeometry-win32.c:
	* gdk/win32/gdkevents-win32.c:
	* gdk/win32/gdkwindow-win32.c: Update Win32 backend according to
	the newly refactored GdkWindow code.
	
2008-07-01  Cody Russell  <bratsche@gnome.org>

	Bug 539164 – Windows' System Menu blocks main loop

	* gdk/win32/gdkevents-win32.c: Use a modal timer proc in between
	receiving WM_ENTERMENULOOP and WM_EXITMENULOOP and pump the
	GLib mainloop from there.

2008-07-01  Richard Hult  <richard@imendio.com>

	Some aftermath from the window impl cleanups:

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_merge_child_input_shapes): Rename and export again.
	(gdk_window_quartz_get_offsets): Make static.

2008-07-01  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkscalebutton.h: forgot to commit the header, fixed now.

2008-07-01  Matthias Clasen  <mclasen@redhat.com>

	539790 – [PATCH] Please add three new settings to GtkSettings

	* gdk/x11/gdksettings.c: 
	* gtk/gtksettings.c: Add event sound settings.
	Patch by Lennart Poettering.

2008-07-01  Matthias Clasen  <mclasen@redhat.com>

	Bug 434535 – printoperation's create_surface doesn't check temp file
	creation for success

	Patch by Marek Kasik:

	* gtk/gtkprintoperation-unix.c
	(_gtk_print_operation_platform_backend_create_preview_surface): 
	Handle failure to create temp file by returning NULL.

	* gtk/gtkprintoperation.c (gtk_print_operation_preview_handler):
	Return FALSE if surface creation fails.

	(print_pages): If the preiew signal is not handled, show an
	error dialog.

2008-07-01  Michael Natterer  <mitch@imendio.com>

	Bug 442042 – GtkScaleButton is too limited

	* gtk/gtkscalebutton.[ch]: turn "orientation" into a normal
	property that can be changed at any time after widget
	creation. Add public API for it.

	* gtk/gtk.symbols: add gtk_scale_button_get/set_orientation.

2008-06-30  Michael Natterer  <mitch@imendio.com>

	Some unrelated cleanups found while reviewing
	the offscreen window patch:

	* gdk/gdkwindow.c: add missing Since: 2.14 to the redirection
	functions, fix some function header indentation, update
	documentation of redirect_to_drawable().

	* gdk/x11/gdkwindow-x11.c
	* gdk/x11/gdkpixmap-x11.c: fix function header
	formatting/indentation.

	* gtk/gtkwidget.c: use I_() on "damage_event".

2008-06-30  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkinternals.h: remove duplicate declaration of
	_gdk_window_new().

2008-06-30  Michael Natterer  <mitch@imendio.com>

	* gdk/Makefile.am: reorder source lists alphabetically.

2008-06-30  Matthias Clasen  <mclasen@redhat.com>

	Bug 540310 – Avoid unnecessary repaints when resizing GtkWindow

	* gtk/gtkwindow.c: Avoid unnecessary redraws when resizing.
	Patch by Owen Taylor

2008-06-29  Behdad Esfahbod  <behdad@gnome.org>

	Bug 530255 – GtkAboutDialog cuts off comments label
	Followup patch from  Jan Arne Petersen

	* gtk/gtklabel.c (gtk_label_get_layout_offsets): Ensure layout.

2008-06-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkselection.h: properly indent the newly added
	GtkSelectionData accessors. Some newlines can't hurt either.

2008-06-27  Mikael Hallendal  <micke@imendio.com>

	* gtk/gtkbox.c (gtk_box_pack): Removed accidental empty row.

2008-06-27  Mikael Hallendal  <micke@imendio.com>

	* gtk/gtkbox.c (gtk_box_pack, gtk_box_pack_start, gtk_box_pack_end):
	Factored out gtk_box_pack from gtk_box_pack_start and use it from both
	pack_start and pack_end in order to reduce the code duplication.

2008-06-27  Michael Natterer  <mitch@imendio.com>

	Bug 442042 – GtkScaleButton is too limited

	* gtk/gtkscalebutton.c (gtk_scale_button_init): set the name
	"gtk-scalebutton-popup-window" on the popup window so it is
	properly themeable.

2008-06-27  Kristian Rietveld  <kris@imendio.com>

	* gdk/quartz/gdkgeometry-quartz.c:
	* gdk/quartz/gdkwindow-quartz.c:
	* gdk/quartz/gdkprivate-quartz.h: adapt to use GdkWindowImpl
	interface.

2008-06-27  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkrecentmanager.c (get_icon_for_mime_type): Fix two potential
	critical warnings. Bug #539470.

2008-06-27  Emmanuele Bassi  <ebassi@gnome.org>

	Abstract some GdkWindow API into an interface that the backends
	must implement. (based on a patch by Alex Larsson)

	* gdk/Makefile.am: Add gdkwindowimpl.[ch]

	* gdk/gdk.symbols: Move symbols around.

	* gdk/gdkinternals.h:
	* gdk/gdkwindowimpl.[ch]: Move some of the GdkWindow API we require
	from the backends to a GInterface that the backends should implement
	instead.

	* gdk/gdkwindow.c: Provide some of the GdkWindow public API as a
	wrapper call around the GdkWindowImpl interface vtable.

	* gdk/x11/gdkevents-x11.c:
	* gdk/x11/gdkgeometry-x11.c:
	* gdk/x11/gdkprivate-x11.h:
	* gdk/x11/gdkwindow-x11.c:
	* gdk/x11/gdkwindow-x11.h: Update the X11 backend to implement
	the GdkWindowImpl interface.

2008-06-27  Martyn Russell  <martyn@imendio.com>

	Bug 540318 - Invalid URL
	
	* gtk/gtkcontainer.c: (gtk_container_add): Fixed the FAQ location
	in the warning produced here.

2008-06-27  Michael Natterer  <mitch@imendio.com>

	Bug 442042 – GtkScaleButton is too limited

	* gtk/gtkscalebutton.c: add "orientation" property. Make sure the
	stuff that is part of the public API continues to be created in
	init() to stay compatible. Move creating of the popup scale to
	constructor(). Add an internal HScale class. Changed popup
	positioning for horizontal scales accordingly.

2008-06-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkscalebutton.c
	* gtk/gtkvolumebutton.c: remove redundant init() and class_init()
	prototypes, remove redundant includes, remove a little trailing
	whitespace.

2008-06-26  Richard Hult  <richard@imendio.com>

	* gtk/gtkclipboard-quartz.c: (gtk_clipboard_wait_for_contents):
	* gtk/gtkquartz.c:
	(_gtk_quartz_get_selection_data_from_pasteboard),
	(_gtk_quartz_set_selection_data_for_pasteboard): Patch from
	Christian Dywan to clean up selection data setting.

2008-06-26  Richard Hult  <richard@imendio.com>

	* gtk/gtkdnd-quartz.c (gtk_drag_begin_internal): Don't use
	deprecated function gtk_widget_ref, replace with g_object_ref.

2008-06-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilesystem.c: #include "config.h"

2008-06-26  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkfilechooserdefault.c
	(gtk_file_chooser_default_get_current_folder): current_folder can be
	NULL here, do not try to reference it (Bug #540235)
	(gtk_file_chooser_default_get_files): Deal better with
	gtk_file_chooser_default_get_current_folder() being able to return
	NULL.

2008-06-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextutil.c (_gtk_text_util_append_special_char_menuitems):
	allocate the GtkTextUtilCallbackInfo structs with GSlice.

2008-06-25  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.h: there is no reason to include
	<gtk/gtktypebuiltins.h> in the middle of the file, move it to top,
	replacing the <glib-object.h> include. Also move the remaining few
	non-deprecated things to the top and move some deprecated things
	around to clean up the mess with too many deprecated sections even
	more.

2008-06-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.h: deprecate gtk_type_init() unconditionally
	(also for GTK_COMPILATION). Move some deprecated typedefs around
	to reduce the mess with zillions of deprecated sections.

	* gtk/gtkmain.c (do_post_parse_initialization): replace the call
	to gtk_type_init() by g_type_init() and gtk_object_get_type() even
	though the latter is probably completely pointless.

2008-06-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkdialog.c (gtk_dialog_init): also revert change in how
	the dialog's vbox was added (bug #539732).

2008-06-24  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkdialog.[ch]: Remove container implementation, which isn't
	thought for handling non-direct children. Fixes #539732.
	(gtk_dialog_pack_start) (gtk_dialog_pack_end): Removed as well, it
	doesn't provide enough control to API users (removing, reordering...),
	this is better handled through:
	(gtk_dialog_get_content_area): New function which just returns
	dialog->vbox.
	* gtk/gtk.symbols: Modify accordingly.
	* docs/reference/gtk/tmpl/gtkdialog.sgml: Update docs to recommend
	using gtk_dialog_get_[action|content]_area() instead of accessing
	dialog struct members directly.

2008-06-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkassistant.h
	* gtk/gtkcellrenderer.h
	* gtk/gtkfilechooserentry.h
	* gtk/gtkprivate.h
	* gtk/gtktooltip.h
	* gtk/gtktreeview.h
	* gtk/gtkwindow.h: no need to include gtkwidget.h or gtkobject.h
	if there is any other widget included, they all have to include
	their respective parent classes (the is-a relation works for
	includes too).

2008-06-24  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextutil.h: remove includes from this internal header.

	* gtk/gtktextutil.c: include gtktextbuffer.h before gtktextutil.h.

2008-06-23  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkinvisible.h: formatting.

2008-06-23  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaction.h
	* gtk/gtkbuildable.h
	* gtk/gtkbuilderprivate.h
	* gtk/gtkcelllayout.h
	* gtk/gtkentrycompletion.h
	* gtk/gtkfilechoosersettings.h
	* gtk/gtkfilesystem.h
	* gtk/gtkfilesystemmodel.h
	* gtk/gtkicontheme.h
	* gtk/gtklinkbutton.h
	* gtk/gtkpagesetup.h
	* gtk/gtkpapersize.h
	* gtk/gtkprintcontext.h
	* gtk/gtkprintoperation.h
	* gtk/gtkprintoperationpreview.h
	* gtk/gtkprintsettings.h
	* gtk/gtkrecentchooserprivate.h
	* gtk/gtkrecentmanager.h
	* gtk/gtksearchengine.h
	* gtk/gtktexttag.h
	* gtk/gtktreeselection.h
	* gtk/gtktreeviewcolumn.h
	* gtk/gtkuimanager.h: remove redundant inclusion of <glib.h> and
	<glib-object.h>. There is no point in relying on them being pulled
	in by other headers in some places and placing them explicitly in
	other places, so choose the "as little includes as possible"
	approach and get rid of them.

2008-06-23  Kristian Rietveld  <kris@imendio.com>

	* gdk/gdkenumtypes.h.template:
	* gdk-pixbuf/gdk-pixbuf-enum-types.h.template:
	* gtk/gtktypebuiltins.h.template:
	* perf/typebuiltins.h.template: do not hard code the prefix of the
	enum, use @ENUMPREFIX@ instead (you need an up to date glib for this).

2008-06-23  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmountoperation.h
	* gtk/gtktestutils.h
	* gtk/gtkshow.[ch]: remove as many includes as possible from these
	new files. They can't be included individually, so nothing can break.

2008-06-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaccelgroup.c: use g_param_spec_flags(), not enum() when
	registering the "modifier-mask" property.

2008-06-21  Johan Dahlin  <jdahlin@async.com.br>

    * *.[ch]: Include "config.h" instead of <config.h>
	Command used:
	find -name \*.[ch]|xargs perl -p -i -e 's/^#include <config.h>/#include "config.h"/g'
	Rubberstamped by Mitch and Tim

2008-06-21  Carlos Garnacho  <carlos@imendio.com>

	Bug 539466 – GtkMenuShell API/ABI break in trunk.

	* gtk/gtkmenushell.h: Fix API/ABI break, two guint fields had
	different name and packing width.

2008-06-21  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkiconcachevalidator.c (check_pixel_data): Cast to guint8* to avoid
	a compiler warning.

2008-06-21  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkapplaunchcontext.h: remove redundant include, fix
	indentation, replace header by a GDK copyright header (don't say
	"The Gnome Library"), remove trailing whitespace.

2008-06-21  Hans Breuer  <hans@breuer.org>

	* gtk/gtkprintoperation-win32.c(1713) : fix 'function' : incompatible 
	types - from 'struct _cairo *' to 'struct _cairo_surface *' by
	passing the surface to cairo_surface_show_page(), not the context
	* gtk/gtkprintoperation-win32.c(866) : get rid of warning C4018: 
	'<' : signed/unsigned mismatch by using guint for the loop

	* gtk/gtkmenu.c(gtk_menu_get_property) : property 'menu::active' is 
	an uint, gtk_menu_get_active() returns the widget pointer. Convert
	the latter to the former by calculating the index in menu::children
	Also fix some occurences of g_return_if_fail() where 
	g_return_val_if_fail() was meant

2008-06-21  Björn Lindqvist  <bjourne@gmail.com>

	Bug 539363 – Segfault when creating GtkPlugs

	* gtk/gtkplug.c (gtk_plug_class_init): Spaces not allowed in
	property names. "socket window" => "socket-window"

2008-06-20  Jody Goldberg <jody@gnome.org>

	* gtk/gtkprintoperation-win32.c (gtk_print_run_page_setup_dialog) : 
	  Fix life cycle to avoid crash. [#536966]

2008-06-20  Hans Breuer  <hans@breuer.org>

	* gtk/gtkmenuitem.c gtk/gtkmessagedialog.c gtk/gtkplug.c : must return
	a value of the appropriate type with g_return_val_if_fail
	
	* gdk/gdkconfig.h.win32 : add the GSEAL definition here as well

	* gtk/gtkfilesystem.c : don't add the "File System" on win32

	* tests/makefile.msc : remove broken autotestfile(system|chooser) 
	from build

2008-06-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbutton.c: Document a style property

	* gtk/gtkeditable.c: Document and use - instead of _ in signal names.

	* gtk/gtkbutton.c:
	* gtk/gtkcolorsel.c:
	* gtk/gtkentry.c:
	* gtk/gtkitemfactory.c:
	* gtk/gtknotebook.c:
	Fix up deprecated markup syntax. Add version numbers and
	a message on the remaning ones.

2008-06-20  Mikael Hallendal  <micke@imendio.com>

	* tests/testthreads.c: Use g_signal_connect instead of
	gtk_signal_connect.

	* demos/testgtk/main.c: switched to use GSignal instead of GtkSignal.
	While the code is not built, people may still look at it.

2008-06-20  Kjartan Maraas  <kmaraas@gnome.org>

	reviewed by: <Carlos Garnacho <garnacho@gnome.org>

	* gtk/gtkbuilder.h:
	* gtk/gtkliststore.h:
	* gtk/gtkobject.h:
	* gtk/gtktextchild.h:
	* gtk/gtktreemodelfilter.h:
	* gtk/gtktreemodelsort.h:
	* gtk/gtktreestore.h:
	#include <gdkconfig.h> not <gdk/gdkconfig.h>

2008-06-20  Martyn Russell  <martyn@imendio.com>

	* gtk/gtkaccelgroup.c: Fix warnings from calling
	g_object_notify() on a GtkAccelGroup without casting to a
	GObject.

2008-06-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkcolorsel.c: Modernize and order things as most
	other objects. Defines at the top, class init before init
	before gobject methods before object method before widget
	methods. No changes to the logic done.

2008-06-20  Martyn Russell  <martyn@imendio.com>

	* gtk/gtkaccelgroup.c: Don't call g_object_notify() with
	properties that don't exist. Also, make sure we notify for
	the "is-locked" property.

2008-06-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtklayout.c (enum): Remove left-over unused property enum.

2008-06-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkscalebutton.c: Fix gtk-doc syntax, add missing trailing colon.

	* gtk/gtk.symbols: Add all newly added accessors so abicheck.sh passes

	* gtk/gtkwidget.c (gtk_widget_get_allocation): Initialize the
	allocation to avoid compiler warnings

2008-06-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaccellabel.h
	* gtk/gtkactiongroup.h
	* gtk/gtkalignment.h
	* gtk/gtkarrow.h
	* gtk/gtkaspectframe.h
	* gtk/gtkbin.h
	* gtk/gtkhandlebox.h
	* gtk/gtkprogressbar.h
	* gtk/gtkrange.h
	* gtk/gtkscale.h
	* gtk/gtkscalebutton.h
	* gtk/gtkselection.h: fix some formatting and spacing uglyness
	that got merged from the GSEAL branch.

2008-06-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk.symbols:
	* gtk/gtkmessagedialog.c (gtk_message_dialog_get_image):
	* gtk/gtkmessagedialog.h:
	Add missing accessor for sealed field GtkMessageDialog->image.

2008-06-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprinter.h: the GSEAL branch added two includes for no
	reason.

2008-06-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkaccelgroup.c:
	* gtk/gtkcolorseldialog.c:
	* gtk/gtkcontainer.c:
	* gtk/gtkdialog.c:
	* gtk/gtkentry.c (gtk_entry_class_init):
	* gtk/gtkfontsel.c:
	* gtk/gtkhandlebox.c:
	* gtk/gtklayout.c:
	* gtk/gtkmenu.c (gtk_menu_class_init):
	* gtk/gtkmenuitem.c (gtk_menu_item_class_init):
	* gtk/gtkplug.c (gtk_plug_class_init):
	* gtk/gtkselection.c:
	* gtk/gtksocket.c:
	* gtk/gtktreeselection.c:
	* gtk/gtkwidget.c (gtk_widget_class_init):
	* gtk/gtkwindow.c:
	Add missing Since: gtk-doc markup for newly added GSEAL API.
	Change all Since: GSEAL-branch to Since: 2.14.

2008-06-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaccelgroup.[ch]: fix some formatting and whitespace in
	the code merged from the GSEAL branch.

2008-06-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkdialog.[ch] (gtk_dialog_get_action_area): change return
	value from GtkHButtonBox to GtkWidget.

2008-06-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkhandlebox.h (struct _GtkHandleBox): deuglify formatting
	of sealed fields.

2008-06-20  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwindow.[ch]
	* gtk/gtk.symbols: rename gtk_window_group_get_windows() to
	gtk_window_group_list_windows().

2008-06-20 12:35:20 +0200 Tim Janik

	* Fixed wrongly resolved merge conflicts.

2008-06-19 19:01:41 +0200 Carlos Garnacho

	Add gtk_window_group_get_windows().

	* gtk/gtk.symbols:
	* gtk/gtkwindow.[ch] (gtk_window_group_get_windows): New function.

2008-06-19 18:39:47 +0200 Carlos Garnacho

	Document gtk_dialog_get_action_area(), gtk_dialog_pack_start() and gtk_dialog_pack_end()

	* gtk/gtkdialog.c: Add missing documentation for new fucntions.

2008-06-19 18:38:35 +0200 Carlos Garnacho

	Document gtk_container_get_focus_child().

	* gtk/gtkcontainer.c: Add documentation for gtk_container_get_focus_child().

2008-06-19 13:50:06 +0200 Christian Dywan

	Add gtk_plug_get_socket_window

2008-06-19 13:11:52 +0200 Christian Dywan

	Remove superflous gtkselection accessors and merge _get_data

2008-06-13 15:56:51 +0200 Christian Dywan

	Implement gtk_selection_get_display, style fixes

2008-06-13 15:45:00 +0200 Christian Dywan

	Fix indentation of a comment.

2008-06-13 15:10:08 +0200 Christian Dywan

	Change docs and signature of gtk_widget_get_allocation

2008-06-13 14:22:17 +0200 Christian Dywan

	Remove unneeded GtkColorSelectionDialog accessors

2008-06-13 12:57:54 +0200 Christian Dywan

	Fix documentaion of gtk_menu_item_get_accel_path

2008-06-11 13:49:34 +0200 Christian Dywan

	Fix gtk_widget_get_allocation

2008-06-07 15:37:18 +0200 Carlos Garnacho

	Switch to "guint GSEAL (foo) : width;" when packing fields in guints.

	* gtk/gtkbox.h:
	* gtk/gtkbutton.h:
	* gtk/gtkcellrenderer.h:
	* gtk/gtkcellrenderertext.h:
	* gtk/gtkcheckmenuitem.h:
	* gtk/gtkcontainer.h:
	* gtk/gtkentry.h:
	* gtk/gtkhandlebox.h:
	* gtk/gtkimcontextsimple.h:
	* gtk/gtklabel.h:
	* gtk/gtkliststore.h:
	* gtk/gtkmenu.h:
	* gtk/gtkmenuitem.h:
	* gtk/gtkmenushell.h:
	* gtk/gtknotebook.h:
	* gtk/gtkpaned.h:
	* gtk/gtkplug.h:
	* gtk/gtkprintjob.h:
	* gtk/gtkprogressbar.h:
	* gtk/gtkrange.h:
	* gtk/gtkscale.h:
	* gtk/gtkscrolledwindow.h:
	* gtk/gtksizegroup.h:
	* gtk/gtksocket.h:
	* gtk/gtkspinbutton.h:
	* gtk/gtkstatusbar.h:
	* gtk/gtktable.h:
	* gtk/gtktearoffmenuitem.h:
	* gtk/gtktextbuffer.h:
	* gtk/gtktextview.h:
	* gtk/gtktogglebutton.h:
	* gtk/gtktoolbar.h:
	* gtk/gtktreestore.h:
	* gtk/gtktreeviewcolumn.h:
	* gtk/gtkwindow.h: Do not specify width inside GSEAL() when packing fields in guints.

2008-06-06 19:02:17 +0200 Christian Dywan

	Seal GtkWidget

2008-06-06 17:58:21 +0200 Christian Dywan

	Seal GtkSelectionData

2008-06-06 17:57:23 +0200 Christian Dywan

	Fix GtkDialog, don't add vbox via gtk_container_add.

2008-06-06 13:39:34 +0200 Kristian Rietveld

	Make GtkCellRenderer::editing read-only.  (Catched by Matthias)

2008-06-03 09:11:50 +0200 Kristian Rietveld

	Seal GtkTextView.

2008-05-30 16:48:12 +0100 Martyn Russell

	Seal GtkFontSelection & GtkFontSelectionDialog

2008-05-29 10:35:29 +0200 Kristian Rietveld

	Seal GtkTearoffMenuItem.

	(the torn_off field is for internal state keeping, you can retrieve
	the value from the parent menu's tearoff_state).

2008-05-27 18:34:12 +0200 Christian Dywan

	Seal GtkObject

2008-05-27 18:17:44 +0200 Christian Dywan

	Seal GtkRange

2008-05-27 15:10:02 +0200 Christian Dywan

	Seal GtkPlug

2008-05-27 14:17:45 +0200 Christian Dywan

	Seal GtkMenuItem

2008-05-27 14:04:31 +0200 Christian Dywan

	Seal GtkMenuShell

2008-05-27 12:40:08 +0200 Christian Dywan

	Seal GtkInputDialog

2008-05-27 12:39:49 +0200 Christian Dywan

	Seal GtkIMMultiContext

2008-05-27 12:39:17 +0200 Christian Dywan

	Seal GtkIMContextSimple

2008-05-27 12:14:53 +0200 Christian Dywan

	Seal GtkImage

2008-05-27 11:14:21 +0200 Christian Dywan

	Seal GtkSocket

2008-05-27 10:54:20 +0200 Christian Dywan

	Fix the build by including gdkconfig.h in gtkprinter.h.

2008-05-27 10:38:02 +0200 Christian Dywan

	Seal GtkGammaCurve

2008-05-27 10:20:56 +0200 Christian Dywan

	Seal GtkHandleBox

2008-05-26 17:58:19 +0200 Kristian Rietveld

	Seal GtkInvisible.

2008-05-26 17:54:56 +0200 Kristian Rietveld

	Seal GtkPrintJob.

2008-05-26 17:48:23 +0200 Kristian Rietveld

	Seal GtkTextBuffer.

2008-05-26 17:39:38 +0200 Kristian Rietveld

	Seal GtkSpinButton.

2008-05-26 17:31:06 +0200 Kristian Rietveld

	Seal GtkTable.

2008-05-26 17:27:22 +0200 Kristian Rietveld

	Seal GtkRuler.

2008-05-26 17:07:43 +0200 Kristian Rietveld

	Seal GtkStatusBar.

2008-05-26 17:07:37 +0200 Kristian Rietveld

	Seal GtkTextMark.

2008-05-26 16:39:27 +0200 Kristian Rietveld

	Seal GtkTextTagTable.

2008-05-26 16:34:13 +0200 Kristian Rietveld

	Seal GtkViewPort.

2008-05-26 17:08:19 +0200 Christian Dywan

	Seal GtkSettings.h

2008-05-26 16:40:05 +0200 Christian Dywan

	Seal GtkMenu

2008-05-26 16:37:54 +0200 Christian Dywan

	Seal GtkLayout

2008-05-26 14:09:32 +0200 Kristian Rietveld

	Seal priv pointer in GtkToggleToolButton.

2008-05-26 14:04:51 +0200 Kristian Rietveld

	Seal priv pointer in GtkUIManager.

2008-05-26 14:01:32 +0200 Kristian Rietveld

	Seal priv pointer in GtkToolItem.

2008-05-26 14:01:12 +0200 Kristian Rietveld

	Seal priv pointer in GtkToolButton.

2008-05-26 14:00:24 +0200 Kristian Rietveld

	Seal priv pointer in GtkToggleAction.

2008-05-26 13:58:01 +0200 Kristian Rietveld

	Seal priv pointer in GtkStatusIcon.

2008-05-26 13:57:33 +0200 Kristian Rietveld

	Seal priv pointer in GtkSeparatorToolItem.

2008-05-26 13:56:33 +0200 Kristian Rietveld

	Seal priv pointer in GtkScaleButton.

2008-05-26 13:55:57 +0200 Kristian Rietveld

	Seal priv pointer in GtkRecentManager.

2008-05-26 13:55:25 +0200 Kristian Rietveld

	Seal priv pointer in GtkRecentChooserWidget.

2008-05-26 13:54:39 +0200 Kristian Rietveld

	Seal priv pointer in GtkRecentChooserMenu.

2008-05-26 13:54:15 +0200 Kristian Rietveld

	Seal priv pointer in GtkRecentChooserDialog.

2008-05-26 13:52:40 +0200 Kristian Rietveld

	Seal priv pointer in GtkRecentAction.

2008-05-26 13:51:47 +0200 Kristian Rietveld

	Seal priv pointer in GtkRadioAction.

2008-05-26 13:50:49 +0200 Kristian Rietveld

	Seal priv pointer in GtkPrintUnixDialog.

2008-05-26 13:50:08 +0200 Kristian Rietveld

	Seal priv pointer in GtkPrintOperation.

2008-05-26 13:49:41 +0200 Kristian Rietveld

	Seal priv pointer in GtkPrinter.

2008-05-26 13:48:49 +0200 Kristian Rietveld

	Seal priv pointer in  GtkPageSetupUnixDialog.

2008-05-26 13:47:39 +0200 Kristian Rietveld

	Seal priv pointer in GtkMenuToolButton.

2008-05-26 13:47:29 +0200 Kristian Rietveld

	Add gdkconfig.h include to GtkBuilder for GSEAL macro.

2008-05-26 13:23:45 +0200 Kristian Rietveld

	Seal priv pointer in GtkLinkButton.

2008-05-26 13:22:25 +0200 Kristian Rietveld

	Seal priv pointer in GtkIconView.

2008-05-26 13:22:04 +0200 Kristian Rietveld

	Seal priv pointer in GtkIconTheme.

2008-05-26 13:13:49 +0200 Kristian Rietveld

	Seal child_allocation field in GtkFrame.

2008-05-26 13:10:17 +0200 Kristian Rietveld

	Sealed priv pointer in GtkFontButton.

2008-05-26 13:07:14 +0200 Kristian Rietveld

	Seal priv pointer in GtkFileChooserButton.

2008-05-26 13:06:43 +0200 Kristian Rietveld

	Seal priv pointer in GtkExpander.

2008-05-26 13:03:24 +0200 Kristian Rietveld

	Sealed remaining (private) fields in GtkContainer.

2008-05-26 13:02:26 +0200 Kristian Rietveld

	Seal priv pointer in GtkComboBoxEntry.

2008-05-26 13:01:40 +0200 Kristian Rietveld

	Seal priv pointer in GtkComboBox.

2008-05-26 13:00:59 +0200 Kristian Rietveld

	Seal private_data pointer in GtkColorSel.

2008-05-26 12:57:50 +0200 Kristian Rietveld

	Seal 3 remaining fields in GtkButton.

2008-05-26 12:55:24 +0200 Kristian Rietveld

	Seal priv pointer in GtkBuilder.

2008-05-26 12:52:44 +0200 Kristian Rietveld

	Seal center_allocation field in GtkAspectFrame.

2008-05-26 12:48:18 +0200 Kristian Rietveld

	Seal priv pointer in GtkAction.

2008-05-26 12:46:11 +0200 Kristian Rietveld

	Seal priv pointer in GtkAboutDialog.

2008-05-26 12:41:46 +0200 Kristian Rietveld

	Seal GtkSizeGroup.

2008-05-26 12:39:54 +0200 Kristian Rietveld

	Seal GtkPaned.

2008-05-26 11:59:35 +0200 Kristian Rietveld

	Set the Since: values in the API docs to GSEAL-branch for the newly added accessors/properties.

2008-05-26 11:52:20 +0200 Kristian Rietveld

	Add new GtkColorSelectionDialog accessors to gtk.symbols.

2008-05-26 11:41:47 +0200 Kristian Rietveld

	gtklabel.h: include bit-size of fields inside GSEAL parens.

2008-05-26 11:40:07 +0200 Kristian Rietveld

	gtktoolbar.h: include bit-size of fields inside GSEAL parens.

2008-05-26 11:39:35 +0200 Kristian Rietveld

	gtkentry.h: include bit-size of fields inside GSEAL parens.

2008-05-26 11:34:14 +0200 Kristian Rietveld

	Add new accessors for GtkEntry to gtk.symbols.

2008-05-26 11:23:56 +0200 Kristian Rietveld

	Also seal GtkWindowGroup in gtkwindow.h

2008-05-26 10:48:48 +0200 Kristian Rietveld

	Fix the build by including gdkconfig.h in gtktextchild.h.

2008-05-23 18:48:56 +0200 Christian Dywan

	Seal GtkLabel

2008-05-23 18:28:39 +0200 Christian Dywan

	Seal GtkToolbar

2008-05-23 18:28:07 +0200 Christian Dywan

	Seal GtkColorSelectionDialog

2008-05-23 18:03:44 +0200 Carlos Garnacho

	Seal GtkTextChildAnchor.

	* gtk/gtktextchild.h: Sealed private member.

2008-05-23 17:42:01 +0200 Carlos Garnacho

	Seal GtkWindow.

	* gtk/gtkwindow.h: Seal all fields.

2008-05-23 17:40:09 +0200 Carlos Garnacho

	Add gtk_window_get_default()

	* gtk/gtkwindow.[ch]: Add gtk_window_get_default().
	* gtk/gtk.symbols: same here.

2008-05-09 15:41:57 +0100 Martyn Russell

	Seal GtkAccelGroup - fixed some issues with the initial attempt thanks to comments from Tim

2008-05-02 16:31:40 +0200 Martyn Russell

	Seal GtkEntry

2008-05-02 16:30:09 +0200 Martyn Russell

	Seal GtkContainer - fixed Carlos' missing gtk_container_get_focus_child() header declaration

2008-04-27 18:49:50 +0200 Kristian Rietveld

	Seal GtkToggleButton.

	* gtk/gtktogglebutton.h: Seal all member fields.

2008-04-27 18:41:46 +0200 Kristian Rietveld

	Seal GtkTreeViewColumn.

	* gtk/gtktreeviewcolumn.h: Seal all public member fields.  The button field is
	still troublesome.  We are probably going to need an accessor for this and
	deprecated it immediately in GTK+ 3.0.  Accessors for requested_width and
	resized_width can be useful, but I really consider them to be private and
	of not much use to applications.

2008-04-27 18:23:23 +0200 Kristian Rietveld

	Seal GtkRadioMenuItem.

	* gtk/gtkradiomenuitem.h: Seal member field.

2008-04-27 18:21:29 +0200 Kristian Rietveld

	Seal GtkRadioButton.

	* gtk/gtkradiobutton.h: seal member field.

2008-04-27 18:11:41 +0200 Kristian Rietveld

	Seal GtkTreeSelection.

	* gtk/gtktreeselection.h: Seal all member fields.

2008-04-27 18:09:46 +0200 Kristian Rietveld

	Add gtk_tree_selection_get_select_function().

	* gtk/gtktreeselection.[ch] (gtk_tree_selection_get_select_function): new
	function.
	* gtk/gtk.symbols: add new function.

2008-04-27 16:05:02 +0200 Kristian Rietveld

	Seal GtkScrolledWindow.

	* gtk/gtkscrolledwindow.h: Seal all object member fields.

2008-04-27 15:56:33 +0200 Kristian Rietveld

	Seal GtkCellRenderer.

	* gtk/gtkcellrenderer.h: seal all member fields.  All member fields are
	already accessible via GObject properties.

2008-04-27 15:56:01 +0200 Kristian Rietveld

	Add "editing" GObject property to GtkCellRenderer.

	* gtk/gtkcellrenderer.c (gtk_cell_renderer_class_init),
	(gtk_cell_renderer_get_property),
	(gtk_cell_renderer_set_property): add the property and hook
	it up.

2008-04-27 15:42:08 +0200 Kristian Rietveld

	Seal GtkCellRendererText.

	* gtk/gtkcellrenderertext.h: seal all member fields (all of them were already
	marked as private).

2008-04-27 15:40:47 +0200 Kristian Rietveld

	Seal GtkCellRendererCombo.

	* gtk/gtkcellrenderercombo.h: seal all member fields.  The members fields
	that were not marked as private are already accessible via GObject properties.

2008-04-27 15:39:41 +0200 Kristian Rietveld

	Seal GtkCellRendererAccel.

	* gtk/gtkcellrendereraccel.h: seal all member fields that were already
	marked as private.

2008-04-18 16:55:44 +0200 Kristian Rietveld

	Seal GtkTreeView

	* gtk/gtktreeview.h: seal private pointer.

2008-04-18 16:52:54 +0200 Kristian Rietveld

	Seal GtkTreeModelFilter

	* gtk/gtktreemodelfilter.h: include gdkconfig.h for GSEAL, seal private
	pointer.

2008-04-18 16:50:55 +0200 Kristian Rietveld

	Seal GtkTreeModelSort

	* gtk/gtktreemodelsort.h: include gdkconfig.h to get GSEAL defined, seal
	all public member fields.

2008-04-18 16:42:28 +0200 Kristian Rietveld

	Seal GtkTreeStore

	* gtk/gtktreestore.h: include gdkconfig.h to get GSEAL defined, seal
	public member fields.

2008-04-18 16:37:43 +0200 Kristian Rietveld

	Seal GtkListStore

	* gtk/gtkliststore.h: include gdkconfig.h to get GSEAL defined; seal
	public member fields.

2008-04-18 18:26:31 +0200 Carlos Garnacho

	* gtk/gtkcontainer.c (gtk_container_get_focus_child): add accessor.

2008-04-18 18:25:22 +0200 Carlos Garnacho

	* gtk/gtkcontainer.h: seal members.

2008-04-11 17:28:54 +0200 Carlos Garnacho

	* gtk/gtkmisc.h: seal members.

2008-04-11 17:28:05 +0200 Carlos Garnacho

	*gtk/gtkfixed.h: seal members.

2008-04-11 16:04:23 +0200 Michael Natterer

	* gtk/gtkcellrendererpixbuf.h: seal all members.

2008-04-11 16:01:19 +0200 Michael Natterer

	* gtk/gtkcellrendererprogress.h: seal private member.

2008-04-11 15:43:22 +0200 Michael Natterer

	* gtk/gtkcellrenderertoggle.h: seal all members.

2008-04-04 18:50:05 +0200 Carlos Garnacho

	* gtk/gtkfilechooserwidget.h: Seal the private member.

2008-04-04 18:46:47 +0200 Carlos Garnacho

	gtk/gtkfilechooserdialog.h: seal the private member.

2008-04-04 18:42:17 +0200 Carlos Garnacho

	* gtk/gtkentrycompletion.h: Seal private member.

2008-04-04 18:36:35 +0200 Carlos Garnacho

	* gtk/gtkcellview.h: Seal the private member.

2008-04-04 18:28:00 +0200 Carlos Garnacho

	* gtk/gtkcolorbutton.h: seal private member.

2008-04-04 18:27:26 +0200 Carlos Garnacho

	* gtk/gtkcheckmenuitem.h: seal public struct members.

2008-04-04 18:25:25 +0200 Carlos Garnacho

	* gtk/gtkcalendar.h: seal public struct members.

2008-04-04 18:24:15 +0200 Carlos Garnacho

	* gtk/gtkdialog.h: Also seal variables marked as private.

2008-04-04 17:35:48 +0200 Michael Natterer

	* gtk/gtkimagemenuitem.h: seal private member.

2008-04-04 17:28:56 +0200 Michael Natterer

	* gtk/gtkiconfactory.h: seal private member.

2008-03-28 16:56:53 +0000 Martyn Russell

	Seal GtkActionGroup

	* gtk/gtkactiongroup.[ch]: Use GSEAL macro on ->private_data public
	  member and clean up .c file to reflect this.

2008-03-28 15:00:09 +0100 Sven Herzberg

	Seal GtkAccelLabel

	gtk/gtkaccellabel.h: deprecate direct field access to GtkAccelLabel fields

2008-03-28 16:38:00 +0100 Michael Natterer

	* gtk/gtkdrawingarea.h: seal instance struct member.

2008-03-28 16:23:32 +0100 Christian Dywan

	Seal GtkScaleButton public fields

	* gtk/gtkscalebutton.h: Deprecate direct access through GSEAL().

2008-03-28 16:07:50 +0100 Christian Dywan

	Seal GtkScale public fields

	* gtk/gtkscale.h: Deprecate direct access through GSEAL().

2008-03-14 20:45:34 +0100 Christian Dywan

	Seal GtkProgressBar public fields


2008-03-14 20:32:12 +0100 Christian Dywan

	Seal GtkFrame public vars

2008-03-14 18:57:35 +0100 Carlos Garnacho

	Deprecate direct access to public variables in GtkButton.

	* gtk/gtkbutton.h: Deprecate direct access through GSEAL().

2008-03-14 18:56:23 +0100 Carlos Garnacho

	Deprecate direct access to public variables in GtkButtonBox.

	* gtk/gtkbbox.h: Deprecate direct access through GSEAL().

2008-03-14 18:54:35 +0100 Carlos Garnacho

	Deprecate direct access to public variables in GtkBox.

	* gtk/gtkbox.h: Deprecate direct access through GSEAL().

2008-03-09 11:50:41 +0100 Carlos Garnacho

	Seal GtkMessageDialog public vars

2008-03-09 11:38:00 +0100 Carlos Garnacho

	Seal GtkDialog public vars

2008-03-09 11:32:05 +0100 Carlos Garnacho

	Add accessors for GtkDialog public vars, also implement GtkContainer::add/remove

2008-03-09 11:31:46 +0100 Carlos Garnacho

	Seal GtkAssistant public fields

2008-03-09 11:31:30 +0100 Carlos Garnacho

	Seal GtkNotebook public fields

2008-03-07 20:29:47 +0100 Mikael Hallendal

	Deprecate direct access to child in GtkBin.

	* gtk/gtkbin.h: Deprecate direct access to child by GSEAL.

2008-03-07 18:25:59 +0000 Martyn Russell

	Sealed GtkAccelGroup and added

	* gtk/gtkaccelgroup.[ch]: Added GObject properties for lock_count,
	  modifier_mask, acceleratables, n_accels and priv_accels. Added seal
	  macro for public struct members which should be private.

2008-03-07 18:54:22 +0100 Mikael Hallendal

	Deprecate xalign, yalign, ratio and obey_child direct access in GtkAspectFrame.

	* gtk/gtkaspectframe.h: Deprecate public object fields by GSEAL.

2008-03-07 18:48:29 +0100 Mikael Hallendal

	Deprecate arrow_type and shadow_type direct access in GtkArrow.

	* gtk/gtkarrow.h: Deprecate public object fields by GSEAL.

2008-03-07 18:35:12 +0100 Mikael Hallendal

	Added GSEAL to GtkAlignment.

	* gtk/gtkalignment.h: Seal the object data with GSEAL.

2008-03-07 15:24:27 +0100 Tim Janik

	Introduce GSEAL() macro.

	* configure.in: define GSEAL() when generating gdkconfig.h

2008-06-20  Michael Natterer  <mitch@imendio.com>

	Bug 538395 – gtk_combo_box_append_text() on non-compliant model
	segfaults

	* gtk/gtkcombobox.c (gtk_combo_box_append_text)
	(gtk_combo_box_insert_text)
	(gtk_combo_box_prepend_text)
	(gtk_combo_box_remove_text)
	(gtk_combo_box_real_get_active_text): apply patch from Christian
	Dywan which adds the needed g_return_if_fail() to prevent the
	crashes.

2008-06-20  Cody Russell  <cody@jhu.edu>

	* gdk/directfb/gdkwindow-directfb.c:

	Rename gdk_window_new -> _gdk_window_new and
	gdk_window_reparent -> _gdk_window_reparent to fix
	the build.  (#539095, Sebastien Bacher)

2008-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkmenuitem.c: remove an unused variable and cast
	accel_path to gchar, just like in gtkmenu.c

2008-06-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentmanager.c (get_icon_for_mime_type): Use GIO
	for this.

2008-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkprintbackend.c: Fix a typo in a comment

	* gtk/gtkhsv.c (paint_ring, paint_triangle):
	Cast buf to unsigned char to avoid two compiler
	warnings.

	* gtk/gtkclist.c:
	* gtk/gtkstyle.c (gtk_style_finalize):
	Do not ignore the return value of g_slist_remove.
	gtkstyle.c changes rubberstamped by Owen.

2008-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtktreeview.c (gtk_tree_view_set_grid_lines),
	(gtk_tree_view_set_enable_tree_lines):
	gdk_gc_set_dashes expects a list of gint8, not guint8.

2008-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkmenu.c (gtk_menu_set_accel_path):
	Remove an unused variable and cast to gchar to avoid a compiler
	warning.

2008-06-19  Christian Persch  <chpe@gnome.org>

	* docs/reference/gtk/gtk-sections.txt:
	* gtk/gtk.symbols:
	* gtk/gtkclipboard.c:
	* gtk/gtkclipboard.h: Add clipboard convenience functions  for URI 
	targets. Bug #537639.

2008-06-19  Christian Persch  <chpe@gnome.org>

        * gtk/gtkfilechooserdefault.c: Use gtk_drag_*_add_*_targets instead of
	hardcoded target tables. Bug #516092.

2008-06-19  Christian Persch  <chpe@gnome.org>

	* gdk-pixbuf/gdk-pixbuf-io.c:
	* gdk-pixbuf/gdk-pixdata.c:
	* gdk-pixbuf/io-ani.c:
	* gdk-pixbuf/io-bmp.c:
	* gdk-pixbuf/io-gdip-utils.c:
	* gdk-pixbuf/io-gif.c:
	* gdk-pixbuf/io-icns.c:
	* gdk-pixbuf/io-ico.c:
	* gdk-pixbuf/io-jasper.c:
	* gdk-pixbuf/io-jpeg.c:
	* gdk-pixbuf/io-pcx.c:
	* gdk-pixbuf/io-png.c:
	* gdk-pixbuf/io-pnm.c:
	* gdk-pixbuf/io-ras.c:
	* gdk-pixbuf/io-tga.c:
	* gdk-pixbuf/io-tiff.c:
	* gdk-pixbuf/io-wbmp.c:
	* gdk-pixbuf/io-xbm.c:
	* gdk-pixbuf/io-xpm.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkfilesystemmodel.c:
	* gtk/gtkiconfactory.c:
	* gtk/gtkicontheme.c:
	* gtk/gtkmain.c:
	* gtk/gtkpagesetup.c:
	* gtk/gtkpapersize.c:
	* gtk/gtkprintoperation-win32.c:
	* gtk/gtktextbufferserialize.c:
	* tests/testfilechooser.c: Use g_set_error_literal where appropriate. Bug #538640.

	* configure.in: Update glib requirement to 2.17.3.

2008-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* demos/testpixbuf.c (new_testrgb_window):
	* gtk/gtkctree.c (gtk_ctree_new_with_titles):
	* gtk/gtkitemfactory.c (gtk_item_factory_construct),
	(gtk_item_factory_create_item):
	* gtk/gtkmenu.c (gtk_menu_set_tearoff_state)
	* gtk/gtkprogressbar.c (gtk_progress_bar_new),
	(gtk_progress_bar_new_with_adjustment):
	* gtk/gtkscrolledwindow.c (gtk_scrolled_window_new):
	* gtk/gtktext.c (gtk_text_new):
	* gtk/gtkviewport.c (gtk_viewport_new):
	* tests/simple.c (main):
	* tests/testgtk.c (create_statusbar), (create_get_image),
	(create_saved_position), (create_tooltips), (create_cursors),
	(create_display_screen), (create_progress_bar), (create_idle_test):
	* tests/testmultidisplay.c (make_selection_dialog), (main):
	* tests/testmultiscreen.c (main):
	* tests/testrgb.c (new_testrgb_window):
	Use g_object_new instead of gtk_widget_new

2008-06-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkcellrendererpixbuf.c: Remove an unused prototype.

	* gtk/gtklabel.c (gtk_label_set_text_with_mnemonic): Remove
	an unused variable.

	* gtk/gtkactiongroup.c: Use GdkModifierType instedd of guint,
	to avoid a gcc warning.

2008-06-18  Olle Bergkvist <olle.bergkvist@yahoo.se>

	http://bugzilla.gnome.org/show_bug.cgi?id=538784 - Don't change
	the filename in the name entry in CREATE_FOLDER mode when changing
	folders, so that you can enter a new subfolder name, double-click on a
	folder to change to it, and close the dialog.

	* gtk/gtkfilechooserdefault.c (update_chooser_entry): Don't change
	the filename in the entry in CREATE_FOLDER mode, either.

2008-06-18  Olle Bergkvist <olle.bergkvist@yahoo.se>

	http://bugzilla.gnome.org/show_bug.cgi?id=419737#c59 - The file
	chooser clears the filename entry in SAVE/CREATE_FOLDER modes when
	it shouldn't.

	* gtk/gtkfilechooserdefault.c (shortcuts_activate_iter): Don't
	clear the entry for CREATE_FOLDER either; this needs the same
	behavior as SAVE mode.
	(update_chooser_entry): Only clear the entry in OPEN/SELECT_FOLDER
	modes.

2008-06-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystem.c (_gtk_file_system_volume_render_icon):
	* gtk/gtkfilechooserbutton.c (change_icon_theme):
	(model_add_bookmarks):
	(model_update_current_folder):
	* gtk/gtkfilechooserdefault.c (shortcuts_insert_file):
	(shortcuts_reload_icons): Use standard icon names.

2008-06-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Add some more aliases for standard
	icon names to the builtin icon theme: drive-harddisk,
	folder, folder-remote, text-x-generic.

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcalendar.c: set the maximum of the "year" property to
	G_MAXINT >> 8 instead of G_MAXINT to fix overflows in internal
	calculations which in turn caused writing beyond the boundaries of
	the calendar->day_month[] and day[] arrays which in turn caused a
	SEGV. This limits the lifetime of GTK+ to the year 8,388,608 ;)

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* tests/Makefile.am
	* tests/autotestfilechooser.c
	* tests/buildertest.c
	* tests/defaultvaluetest.c
	* tests/floatingtest.c
	* tests/objecttests.c
	* tests/pixbuf-init.c
	* tests/textbuffertest.c: remove unit tests here...

	* gtk/tests/Makefile.am
	* gtk/tests/builder.c
	* gtk/tests/defaultvalue.c
	* gtk/tests/filechooser.c
	* gtk/tests/floating.c
	* gtk/tests/object.c
	* gtk/tests/pixbuf-init.c
	* gtk/tests/textbuffer.c: ...and add them here.

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk.h: deprecate GdkDestroyNotify.

	* gdk/gdkevents.c
	* gdk/gdktypes.h
	* gdk/x11/gdkevents-x11.c
	* gtk/gtkmain.c: s/GdkDestroyNotify/GDestroyNotify/g.

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.h: deprecate GtkDestroyNotify.

	* gtk/gtkactiongroup.[ch]
	* gtk/gtkcombobox.[ch]
	* gtk/gtkcontainer.[ch]
	* gtk/gtkliststore.[ch]
	* gtk/gtkmain.[ch]
	* gtk/gtkmenu.c
	* gtk/gtkstock.[ch]
	* gtk/gtktreedatalist.[ch]
	* gtk/gtktreemodelfilter.[ch]
	* gtk/gtktreemodelsort.[ch]
	* gtk/gtktreeprivate.h
	* gtk/gtktreeselection.[ch]
	* gtk/gtktreesortable.[ch]
	* gtk/gtktreestore.[ch]
	* gtk/gtktreeview.[ch]
	* gtk/gtktreeviewcolumn.[ch]: s/GtkDestroyNotify/GDestroyNotify/g.

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* tests/testgtk.c: some more undeprecation.

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.h: deprecate GtkType, GtkSignalFunc and
	GTK_SIGNAL_FUNC().

	(struct GtkArg): s/GtkType/GType/ and s/GtkSignalFunc/GCallback/

2008-06-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.[ch]: deprecate gtk_type_class().

	* gtk/gtk.symbols: changed accordingly.

	* gtk/gtksettings.c (gtk_settings_install_property)
	(gtk_settings_install_property_parser): get rid of using
	gtk_type_class() by keeping a static reference to GtkSettingsClass
	around in both functions and passing that pointer on to
	settings_install_property_parser().

	* tests/testgtk.c: use g_type_class_ref()/unref() instead of
	gtk_type_class().

	* gtk/gtkobject.c: #undef GTK_DISABLE_DEPRECATED around including
	gtktypeutils.h.

2008-06-17  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkstyle.c: Add deprecated version
	and change the deprecation markup used by ref/unref 

2008-06-17  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkwidget.c: 
	Add deprecated versions and fixup markup.

2008-06-17  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkaboutdialog.c:
	* gtk/gtkbutton.c (gtk_button_class_init):
	Don't markup deprecated in italics.

2008-06-18  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkfilesystem.[ch]: Remove GtkFileSystemError, use
	GtkFileChooserError instead. (#538378, patch by Matthias Clasen)

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* examples/gtkdial/gtkdial.[ch]: undeprecate.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkobject.c: remove bogus extern declaration of non-existing
	function gtk_object_init_type().

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbindings.c (gtk_binding_entry_add_signal):
	* gtk/gtktoolbutton.c (gtk_tool_button_get_type): 
	* examples/gtkdial/gtkdial.h (gtk_dial_get_type): 
	s/GtkType/GType/

2008-06-17  Tor Lillqvist  <tml@novell.com>

	* gtk/gtknotebook.c: Need to do the GTK_DISABLE_DEPRECATED
	#undef/#define dance here, too, because
	gtk_notebook_set_group_id() is deprecated but used here before it
	is defined, and gcc complains about conflicting type from the
	implicit int declaration when it sees the actual void definition.

	* modules/input/gtkimcontextime.h: Don't use the deprecated GTK_*
	GtkType macros.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/Makefile.am: build with GTK_DISABLE_DEPRECATED.

	* gtk/gtkclist.c
	* gtk/gtkcombo.c
	* gtk/gtkctree.c
	* gtk/gtklist.c
	* gtk/gtklistitem.c
	* gtk/gtkoldeditable.c
	* gtk/gtkpixmap.c
	* gtk/gtktext.c
	* gtk/gtktipsquery.c
	* gtk/gtktree.c
	* gtk/gtktreeitem.c: whenever we #undef GTK_DISABLE_DEPRECATED and
	actually use deprecated symbols (not just types or macros),
	#define it again before #include "gtkalias.h" so the symbols match
	and the beast links.

2008-06-17  Paolo Borelli  <pborelli@katamail.com>

	* gtk/tests/recentmanager.c: more tests for GtkRecentManager.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* modules/input/gtkimcontextmultipress.h
	* modules/input/gtkimcontextthai.h
	* modules/input/gtkimcontextxim.h: use G_TYPE instead of GTK_CHECK
	type checking macros.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.h: really move the GtkType typedef to an
	undeprecated section.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktypeutils.h: deprecate GTK_CHECK_CAST,	GTK_CHECK_CLASS_CAST,
	GTK_CHECK_GET_CLASS, GTK_CHECK_TYPE and GTK_CHECK_CLASS_TYPE.
	Move the GtkType typedef to an undeprecated section.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprogress.h: use G_TYPE macros for type checking instead
	of GTK_CHECK ones because it's the parent class of an undeprecated
	class and the GTK_CHECK stuff will soon be deprecated.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilesel.c
	* gtk/gtkinputdialog.c
	* gtk/gtkmenutoolbutton.c
	* gtk/gtkoptionmenu.c
	* gtk/gtktoolitem.c
	* gtk/gtktooltips.c: add or move around
	#undef GTK_DISABLE_DEPRECATED so it's possible to build without
	deprecated stuff again (with the minor glitch that it doesn't
	link ;) but at least it's a tool to keep the code clean).

2008-06-17  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_remove_item): Fix dumb typo in the previous
	commit.

2008-06-17  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_remove_item),
	(gtk_recent_manager_move_item): Increase the consistency of the
	errors returned by GtkRecentManager. (Paolo Borelli)

2008-06-17  Paolo Borelli  <pborelli@katamail.com>

	* gtk/tests/recentmanager.c: add some unit tests for GtkRecentManager.

2008-06-17  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_remove_item): Consistently use the same
	error when removing a URI from an empty GtkRecentManager.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserdefault.c: remove static integer variables
	which hold the number of members in GtkTargetEntry arrays and use
	G_N_ELEMENTS() directly instead.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.symbols: move some deprecated symbols into
	#ifndef GTK_DISABLE_DEPRECATED.

2008-06-17  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkfilechooserdefault.c:
	(gtk_file_chooser_default_init),
	(gtk_file_chooser_default_constructor),
	(gtk_file_chooser_default_screen_changed),
	(recent_start_loading): Remove the GtkRecentManager screen
	dance, as it has been deprecated since 2.12. Now we get the
	GtkRecentManager singleton whewn we create the FileChooserDefault
	instance. (Michael Natterer)

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkoptionmenu.c (gtk_option_menu_position): cast menu's
	toplevel to GtkWindow when passing to gtk_window_set_type_hint().

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktestutils.c: #undef GTK_DISABLE_DEPRECATED, clean up
	includes a bit.

	* gtk/gtkuimanager.c: #include "gtkwindow.h", it was only pulled
	in via deprecated headers.

2008-06-16  Matthias Clasen  <mclasen@redhat.com>

	Bug 508751 – gnome-terminal crashed with SIGSEGV after keypress

	* gdk/x11/gdkkeys-x11.c (_gdk_keymap_key_is_modifier): Protect
	against XKB being stupid. Reported by Pedro Villavicencio.

2008-06-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkplug.c (_gtk_plug_send_delete_event): use g_object_ref()
	and unref() instead of the deprecated gtk_widget_ref() and unref().

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentry.c: removed function drag_begin_cb(), which was in
	svn since 2.8 but was never used.

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbindings.c (_gtk_binding_entry_add_signall): use
	gtk_binding_entry_clear() instead of gtk_binding_entry_add()
	(the former is deprecated and #defined to gtk_binding_entry_clear)

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprintoperation-unix.c: don't include the deprecated (and
	unused) "gtkmarshal.h".

2008-06-16  Behdad Esfahbod  <behdad@gnome.org>

	Bug 538182 – pango_cairo_context_update_layout is not noop after
	gtk_widget_create_pango_layout

	* gtk/gtksettings.c (settings_update_font_options): Make sure all
	font option fields are set to non-DEFAULT values.

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfontsel.c
	* gtk/gtkrc.c
	* gtk/gtkstyle.c
	* gtk/gtkwidget.c: use g_object_unref() instead of the deprecated
	gtk_rc_style_unref().

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_class_init): use
	_gtk_marshal_BOOLEAN__VOID instead of the deprecated
	gtk_marshal_BOOLEAN__VOID.

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrendereraccel.h
	* gtk/gtkiconview.h
	* gtk/gtkobject.h: use G_TYPE macros instead of the old GTK_CHECK
	macros for type checking.

	(gtk_object_get_type): change prototype to return GType instead of
	GtkType.

2008-06-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Make folder, user-home and user-desktop links 
	to gtk-directory in the builtin icon theme, so that we can
	use these icon names without risk of ending up without an icon.

2008-06-16  Tor Lillqvist  <tml@novell.com>

	Bug 538362 - Get Win32 icons back in the file chooser

	* gtk/gtkicontheme.c (choose_icon): Check if the icon name is a
	reference to an icon resource in a DLL or .EXE in the same format
	as the DefaultIcon strings in the Registry. In that case, extract
	the icon and convert to a GdkPixbuf. Patch by Hans Breuer. This
	code has to be in sync with the corresponding code in
	glib/gio/gcontenttype.c.

2008-06-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/stock-icons/24/audio-volume*: Add icons used by GtkVolumeButton
	to the builtin icon theme, to avoid showing broken images when
	there is no icon theme around.  The new icons are thanks to
	Lapo Calamandrei.

2008-06-16  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserprivate.h: remove GtkTooltips member from the
	GtkFileChooserDefault struct.

	* gtk/gtkfilechooserdefault.c: don't allocate and free the
	GtkTooltips.

2008-06-16  Carlos Garnacho  <carlos@imendio.com>

	Bug 538519 – GtkCellRendererPixbuf doesn't allow unsetting the icon
	anymore

	* gtk/gtkcellrendererpixbuf.c (gtk_cell_renderer_pixbuf_set_property):
	Allow again setting any of the properties to render an image back to
	NULL.

2008-06-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkimage.c: When pixel-size is specified, use
	GTK_ICON_LOOKUP_FORCE_SIZE when loading themed icons.

2008-06-15  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkfilechooser.c (gtk_file_chooser_get_filename): Return full 
	path here as expected, not just the basename.

	* gtk/gtkfilechooserdefault.c
	(gtk_file_chooser_default_update_current_folder): Ensure that we keep
	a reference to file, since it can be destroyed when switching back to
	browse mode.

	* gtk/gtkfilesystem.c (get_icon_for_special_directory): Removed, home
	and desktop directories are dealt by the filechooser as normal files,
	not volumes, so the icon for these is handled directly by GIO.
	(_gtk_file_system_volume_render_icon): Update caller.

2008-06-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcellrendererpixbuf.c: Add a gicon property.

2008-06-14  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkselection-win32.c (gdk_win32_selection_add_targets):

	Initialize hwnd to NULL.  This fixes OpenClipboard() failure and,
	according to MSDN docs, associates the open clipboard with the
	current task.  (#378158, reported by Andreas Köhler)

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.13.3 ===

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkaccelgroup.c: Add some docs

	* gdk/gdkwindow.c: Fix doc typos

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystem.c: Avoid PLT entries by including
	gtkalias.h

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserbutton.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkfilechooserentry.c:
	* gtk/gtkfilesystem.c:
	* gtk/gtkfilesystem.h:
	* gtk/gtkfilesystemmodel.c:
	* gtk/gtkpathbar.c: Really make GtkFileSystem private
	by _-prefixing all functions.

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* docs/RELEASE-HOWTO: Updates
	* INSTALL.in: Bump version

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2008-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrendereraccel.h
	* gtk/gtkfilechooser.h
	* gtk/gtkfilechooserdialog.h
	* gtk/gtkfilechooserwidget.h
	* gtk/gtkmenutoolbutton.h
	* gtk/gtkpagesetup.h
	* gtk/gtkpapersize.h
	* gtk/gtkprintcontext.h
	* gtk/gtkprintoperation.h
	* gtk/gtkprintoperationpreview.h
	* gtk/gtkprintsettings.h
	* gtk/gtkradiotoolbutton.h
	* gtk/gtkrecentchooser.h
	* gtk/gtkrecentchooserdialog.h
	* gtk/gtkrecentchoosermenu.h
	* gtk/gtkrecentchooserwidget.h
	* gtk/gtkseparatortoolitem.h
	* gtk/gtkshow.h
	* gtk/gtktoggletoolbutton.h
	* gtk/gtktoolbar.h
	* gtk/gtktoolbutton.h
	* gtk/gtktooltip.h: #include <gtk/gtkfoo.h> instead of
	"gtk/gtkfoo.h" or even just "gtkfoo.h" in public headers.

2008-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktexttagtable.h: remove double inclusion of
	<gtk/gtktexttag.h>.

2008-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaction.c (gtk_action_set_short_label): change type of
	local "image" variable from GtkImage to GtkWidget to fix warning.

2008-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_menu_position): cast menu's
	toplevel to GtkWindow when passing to gtk_window_set_type_hint().

2008-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkuimanager.c (start_element_handler): silently skip
	unknown attributes instead of bailing out with an error in order
	to be compatible with possible future attribute names.

	This is related to the discussion in bug #516425 but actually
	needed for any kind of XML format extension.

2008-05-23  Hans Breuer  <hans@breuer.org>

	* gtk/gtkprintoperation.c : check surface status after ceating a pdf.
	Avoids crashing when the target can not be written, bug #537685

	* gdk/win32/gdkdisplay-win32.c : runtime linking of ProcessIdToSessionId

	* gtk/gtkfilesystem.c : variadic macros are not supported with c89 and
	it was not needed here anyway.

2008-06-13 Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c (gtk_entry_draw_frame): Fix frame size allocation.
	Patch by Jan Arne Peterson

2008-06-12  Matthias Clasen  <mclasen@redhat.com>

	Bug 537985 – gtk_init_with_args() doesn't open a display after
	gtk_parse_args()

	* gtk/gtkmain.c (gtk_init_with_args): Open the default display
	even when gtk_parse_args() has already been called.
	Patch by Mathias Hasselmann

2008-06-12  Matthias Clasen  <mclasen@redhat.com>

	Bug 524222 – GtkToolbar with mix of buttons with and without 
	icons looks "bad"

	* gtk/gtktoolbutton.c (gtk_tool_button_construct_contents):
	Improve appearance of "both vertical" mode toolbuttons.
	Patch by Peter Johanson

2008-06-12  Matthias Clasen  <mclasen@redhat.com>

	Bug 519092 – Add accessibility support to GtkVolumeButton

	* gtk/gtkvolumebutton.c: Set accessibility descriptions.
	Patch by Jonh Wendell

2008-06-12  Matthias Clasen  <mclasen@redhat.com>

	Bug 517706 – Connecting GtkButton with "use-stock" == FALSE to a
	GtkAction has problems
	Patch by Peter Johanson

	* gtk/gtkaction.c (connect_proxy): Set the image of a button
	proxy to the "icon-name" property.

	(gtk_action_set_short_label):  If the "image" property is set 
	on the button proxy, also tries to set the "label" property on 
	the GtkButton.

2008-06-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmain.c
	* gtk/gtktrayicon-x11.c: don't #include <libintl.h>, it's pulled
	in via "gtkintl.h" from <glib/gi18n-lib.h>.

2008-06-12  Matthias Clasen  <mclasen@redhat.com>

	RH bug 248245 and 449379: cups client printing from gnome
	applications fail

	* modules/printbackends/cups/gtkprintbackendcups.c: Really fix
	printer URI construction. Patch by Marek Kasik
	
2008-06-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkentrycompletion.c (_gtk_entry_completion_resize_popup):
	limit the number of displayed items by the actual screen height
	instead of some arbitrary value (Bug #408154, Xan Lopez and
	Christian Dywan).

2008-06-11  Behdad Esfahbod  <behdad@gnome.org>

	Bug 503071 – Application direction changes to right to left even if
	theres no translation

	* configure.in: Bump glib requirement.

	* gtk/gtkaccellabel.c
	(_gtk_accel_label_class_get_accelerator_label):
	* gtk/gtkactiongroup.c (dgettext_swapped):
	* gtk/gtkbuilder.c (gtk_builder_class_init):
	* gtk/gtkbuilderparser.c (_dpgettext),
	(_gtk_builder_parser_translate):
	* gtk/gtkfilechooserdefault.c (list_size_data_func):
	* gtk/gtkimmulticontext.c (gtk_im_multicontext_append_menuitems):
	* gtk/gtkintl.h:
	* gtk/gtkmain.c (setlocale_initialization),
	(do_pre_parse_initialization), (gettext_initialization):
	* gtk/gtkstock.c (gtk_stock_lookup), (sgettext_swapped):
	Use g_dgettext() and g_dngettext().

2008-06-11  Matthias Clasen <mclasen@redhat.com>

	* docs/RELEASE-HOWTO: Updates

2008-06-11  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkdisplay-win32.c (gdk_display_get_name): As we don't
	support Win9x anyway, we can use ProcessIdToSessionId()
	unconditionally.

2008-06-11  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilechooserbutton.c: fix local prototype of
	_gtk_file_chooser_label_for_file() (takes a GFile, not const gchar*).

2008-06-10  Matthias Clasen <mclasen@redhat.com>

	Bug 536765 – GtkComboBox should set COMBO type hint for its menu

	* gtk/gtkoptionmenu.c:
	* gtk/gtkcombobox.c: Set the window type hint on popups.
	Patch by Danny Baumann

2008-06-10  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkfilesystem.c (get_icon_for_special_directory):
	(gtk_file_system_volume_render_icon): Add standard icon names,
	and also fall back to builtin gtk stock icons.

2008-06-10  Christian Persch  <chpe@gnome.org>

	* gtk/gtktreeview.c: (destroy_info), (set_destination_row),
	(gtk_tree_view_maybe_begin_dragging_row),
	(gtk_tree_view_set_reorderable),
	(gtk_tree_view_enable_model_drag_source),
	(gtk_tree_view_enable_model_drag_dest),
	(gtk_tree_view_unset_rows_drag_source),
	(gtk_tree_view_unset_rows_drag_dest): Make
	gtk_tree_view_enable_model_drag_[source|dest] compatible with
	gtk_drag_[source|dest]_add_*_targets. Bug #506853.

2008-06-10  Christian Persch  <chpe@gnome.org>

	* gtk/gtktreeview.c: (gtk_tree_view_button_release_drag_column),
	(dest_row_free), (set_dest_row), (ensure_info),
	(gtk_tree_view_remove), (gtk_tree_view_put),
	(gtk_tree_view_set_column_drag_info): Use GSlice. Patch from
	bug #506853.

2008-06-10  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkfilechooser.c (gtk_file_chooser_set_current_folder_uri)
	use g_file_new_for_uri.

2008-06-10  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkfilesystem.c (gtk_file_system_volume_render_icon): do not
	leak the GIcon.

2008-06-10  Carlos Garnacho  <carlos@imendio.com>

	* configure.in:
	* gtk/Makefile.am:
	* gtk/xdgmime: removed local xdgmime copy as Matthias suggested in bug
	#520874, comment #8. It's no longer used directly by GTK+.

2008-06-10  Carlos Garnacho  <carlos@imendio.com>

	Bug 520874 - Should use gio directly.

	* gtk/gtkfilesystem.[ch]: Turn into a private object, which mostly
	provides helper functions for asynchronous calls, folder abstraction
	and uniform handling of volumes/drives/mounts.

	* gtk/gtkfilesystemwin32.[ch]:
	* gtk/gtkfilesystemunix.[ch]: Removed, these are no longer required.

	* gtk/gtkfilechooser.c:
	* gtk/gtkfilechooserbutton.c:
	* gtk/gtkfilechooserdefault.c:
	* gtk/gtkfilechooserentry.[ch]:
	* gtk/gtkfilechooserprivate.h:
	* gtk/gtkfilechooserutils.c:
	* gtk/gtkfilesystemmodel.[ch]:
	* gtk/gtkpathbar.[ch]: Use GIO internally. Adapt to GtkFileSystem API.
	Do not load filesystem implementation modules.

	* gtk/Makefile.am:
	* gtk/gtk.symbols: the gtkfilesystem.h private header isn't installed
	anymore, nor the unix/win32 implementations.

	* README.in: Add blurb about these changes.

2008-06-09  Kristian Rietveld  <kris@gtk.org>

	Bug 526987 - GtkCellRendererCombo should allow model to be NULL

	* gtk/gtkcellrenderercombo.c (gtk_cell_renderer_combo_class_init),
	(gtk_cell_renderer_combo_set_property),
	(gtk_cell_renderer_combo_editing_done),
	(gtk_cell_renderer_combo_start_editing): introduce private class
	struct, allow model to be set to NULL.

2008-06-08  Björn Lindqvist  <bjourne@gmail.com>

	Bug 131920 – gtkNotebook sends incorrect switch_page value

	* gtk/gtknotebook.c (gtk_notebook_real_remove): Make switch-page
	signal send correct page index when page index 0 is active and
	removed. (#131920, Samuel Fogh)

2008-06-08  Kristian Rietveld  <kris@gtk.org>

	Bug 536730 - memory corruption in gtktreeview

	* gtk/gtktreeview.c (gtk_tree_view_real_collapse_row): first
	remove the expand/collapse timeout and node, then free the rbtree.

2008-06-08  Kristian Rietveld  <kris@gtk.org>

	Bug 488119 - critical warnings from gtk_tree_view_get_visible_range

	* gtk/gtktreeview.c (gtk_tree_view_get_visible_range): only try to
	find path if we found valid nodes, return FALSE otherwise.  (Patch
	from Matthias Clasen).

2008-06-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentmanager.c:
	* gtk/gtkrecentfilter.c:
	* gtk/gtkfilefilter.c: Replace uses of xdgmime with
	g_content_type.
	
2008-06-08  Christian Persch <chpe@gnome.org>

	Bug 535608 – do not string-copy accel paths in the menu code

        * gtk/gtkaccelgroup.c:
        * gtk/gtkaccelmap.c:
        * gtk/gtkaction.c:
        * gtk/gtkmenu.c:
        * gtk/gtkmenuitem.c:
        * gtk/gtkwidget.c:  Don't store the accel path as a string in
        gtkmenu/gtkmenuitem. The accel path will be interned anyway, so
        keeping a string copy around is just a waste of memory.
        Improve the documentation to mention this.

2008-06-07  Tor Lillqvist  <tml@novell.com>

	Bug 536990 - updateiconcache.c: 'close ()' is redundant

	* gtk/updateiconcache.c (build_cache): Drop redundant close()
	calls. fclose() on a fdopen()ed stream closes the underlying file
	descriptor.

2008-06-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 536757 – regression: openoffice.org menus are placed at wrong
	position since 2.12.10

	* gdk/x11/gdkwindow-x11.c (gdk_window_get_frame_extents):
	Return the right coordinates.  

2008-06-06  Behdad Esfahbod  <behdad@gnome.org>

	Bug 536185 – monitor font configuration

	* configure.in:
	* gdk/x11/gdksettings.c:
	* gtk/gtksettings.c (gtk_settings_class_init),
	(gtk_settings_notify), (settings_update_fontconfig):
	Monitor xsettings key Fontconfig/Timestamp and upon change,
	reread fontconfig configuration, clear Pango's caches, and
	redraw all widgets.

2008-06-06  Ross Burton  <ross@burtonini.com>

	* gtk/gtkwindow.c:
	Fix trivial typo in documentation.

2008-06-06  Tor Lillqvist  <tml@novell.com>

	* config.h.win32.in: Slight update to match what configure
	produces.

2008-06-05  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkbuilder.h (enum): Add the new version mismatch error
	constant to the end of the list, to avoid breaking the stable ABI

2008-06-05  Michael Natterer  <mitch@imendio.com>

	* configure.in: add -DATK_DISABLE_SINGLE_INCLUDES to CPPFLAGS.

2008-06-05  Li Yuan  <li.yuan@sun.com>

	* gail-uninstalled.pc.in:
	Bug #536430. Patch from Damien Carbery <damien.carbery@sun.com>.
	Correct paths to gail headers and libraries in gail-uninstalled.pc.in.

2008-06-03  Matthias Clasen  <mclasen@redhat.com>

	* docs/RELEASE-HOWTO: Update a bit

2008-06-03  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump version

	* === Released 2.13.2 ===

2008-06-03  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserentry.c (install_completion_feedback_timer):
	If the user presses Tab while the completion feedback window is
	active, then we'll assert.  Remove the assertion and just re-set
	the timer.  Fixes https://bugzilla.novell.com/show_bug.cgi?id=355225

2008-06-03  Colin Walters  <walters@redhat.com>
	
	Bug 535303 – add _get_implementation to GtkStatusIcon

	* gtk/gtkstatusicon.c (gtk_status_icon_get_x11_window_id): New
	function to retrieve internal X11 window ID, useful for libnotify.
	* gtk/gtkstatusicon.h: Prototype it.
	* docs/reference/gtk/gtk-sections.txt: Add to docs.
	* gtk/gtk.symbols: Export it.

2008-06-03  Tor Lillqvist  <tml@novell.com>

	* gtk/updateiconcache.c (build_cache): Use g_open().

2008-06-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkclist.h
	* gtk/gtkctree.h: revert includes to how they have been before the
	GTK_DISABLE_SINGLE_INCLUDES changes. Apparently I missed the fact
	that you can't include <gtk/gtk.h> from two headers where one is a
	parent class of the other and expect them both to be includable
	individually.

2008-06-03  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprinteroptionset.h: remove newline at beginning of file.

2008-06-02  Matthias Clasen  <mclasen@redhat.com>
	
	Bug 536092 – GtkEntryCompletion's popup window should set type hint

	* gtk/gtkentrycompletion.c (gtk_entry_completion_init): Set
	a type hint on the popup window to help compiz.
	Patch by Vaclav Slavik.

2008-06-02  Claudio Saavedra  <csaavedra@igalia.com>

	Bug 535862 – gtk_action_create_icon can't create icons from the
	icon themes

	* gtk/gtkaction.c: (gtk_action_create_icon): Look for the icon in
	the default factories as it's supposed.

2008-06-02  Yevgen Muntyan  <muntyan@tamu.edu>

        Bug 535497 – Print preview doesn't work.

        * gtk/Makefile.am: GTK_PRINT_PREVIEW_COMMAND on quartz: use open
        instead of launching Preview.app directly.

2008-06-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtksignal.h: put back #include <gtk/gtkmarshal.h>, it's not
	in <gtk/gtk.h>. Fixes stuff that uses deprecated cruft.
	(bug #536126).

2008-05-31  Emmanuele Bassi  <ebassi@gnome.org>

	Bug 535830 – wrong content type adding an item

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_add_item_query_info): Use the correct API
	for retrieving the fast MIME type of a URI. (Carlos Garcia
	Campos)

2008-05-31  Kristian Rietveld  <kris@imendio.com>

	Bug 530146 - Setting non-string tooltip with
	gtk_tree_view_set_tooltip_column() segfaults

	* gtk/gtktreeview.c (gtk_tree_view_set_tooltip_query_cb): use
	gtk_tree_model_get_value() and explicitly transform the value to a
	string before setting it as tooltip.

2008-05-30  Tor Lillqvist  <tml@novell.com>

	* modules/engines/ms-windows/msw_style.h
	* modules/engines/ms-windows/msw_rc_style.h: Include gtk.h.

2008-05-30  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenu.c (get_attach_info): cast attach_info_free() to
	GDestroyNotify when using it in g_object_set_data_full().

2008-05-30  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkapplaunchcontext.h
	* gdk/gdktestutils.h
	* gtk/gtkmountoperation.h
	* gtk/gtkshow.h
	* gtk/gtktestutils.h
	* gtk/gtktoolshell.h: no need to allow disabling single includes
	conditionally in these new files. Simply forbid including them
	individually from the beginning.

2008-05-30  Tor Lillqvist  <tml@novell.com>

	Bug 533108 - leak of GDI region in function 'handle_wm_paint'

	* gdk/win32/gdkevents-win32.c (handle_wm_paint): Patch by Daniel
	Atallah.

2008-05-29  Matthias Clasen <mclasen@redhat.com>

	* configure.in: Bump version 

	* === Released 2.13.1 ===

	* NEWS: Updates

2008-05-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtkwidget.c: s/2.16/2.14/ in Since tags

2008-05-29  Matthias Clasen <mclasen@redhat.com>

	* tests/Makefile.am: Don't add testmountoperation to TEST_PROGS.

2008-05-29  Tor Lillqvist  <tml@novell.com>

	Bug 535526 - updateiconcache.c: using open/close without prototype

	* gtk/updateiconcache.c: Include <io.h> if _MSC_VER. Also, use
	g_utime() when available instead of utime() for UTF-8 pathname
	support on Windows.

2008-05-29  Jan Arne Petersen  <jpetersen@jpetersen.org>

	Bug 56355 – GtkLabel - Not all changes propagate correctly

	* gtk/gtklabel.c: (gtk_label_recalculate), (gtk_label_set_label),
	(gtk_label_set_markup_with_mnemonic), (gtk_label_parse_uline),
	(gtk_label_set_text_with_mnemonic), (gtk_label_set_use_underline):
	Call gtk_label_setup_mnemonic from gtk_label_recalculate. Add
	notifications of mnemonic-keyval changes.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 522084 – GIcon support for GtkIconTheme & GtkImage

	* gtk/gtkicontheme.[hc]: Add support for GIcon based lookups.
	* gtk/gtkimage.[hc]: Allow setting an image from a GIcon.
	* gtk/gtk.symbols: Additions
	* tests/testimage.c: Add a GIcon test

2008-05-29  Michael Natterer  <mitch@imendio.org>

	* gtk/Makefile.am
	* gtk/gtkunixprint.h: add a single-include header for the unix
	print stuff.

	* gtk/gtkpagesetupunixdialog.h
	* gtk/gtkprinter.h
	* gtk/gtkprintjob.h
	* gtk/gtkprintunixdialog.h: add single-include guards that #error
	out if GTK_DISABLE_SINGLE_INCLUDES is defined and any of these
	files is included individually.

	* gtk/gtkprintbackend.h
	* gtk/gtkprinter-private.h
	* modules/printbackends/cups/gtkprintbackendcups.c
	* modules/printbackends/cups/gtkprintercups.h
	* modules/printbackends/lpr/gtkprintbackendlpr.c
	* tests/buildertest.c
	* tests/defaultvaluetest.c
	* docs/tools/widgets.c: include <gtk/gtkunixprint.h> instead of
	individual files.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk*.h: whitespace cleanup: remove trailing whitespace and
	excess newlines and sprinkled some newlines where needed. Zero
	code or formatting changes included.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprinter.h: fix formatting of details_acquired() signal.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcolorbutton.h: fix comment: the widget is called
	GtkColorButton, not GtkColorSelectButton. Remove trailing
	whitespace and excess newlines.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* configure.in: last but not least, add G_DISABLE_SINGLE_INCLUDES,
	GDK_PIXBUF_DISABLE_SINGLE_INCLUDES and GTK_DISABLE_SINGLE_INCLUDES
	to CPPFLAGS so it's impossible to commit code that would break
	apps which use DISABLE_INCLUDE defines.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.h: define __GTK_H_INSIDE__ around including all other
	headers.

	* gtk/gtktypebuiltins.h.template
	* gtk/gtkversion.h.in
	* gtk/gtk*.h: add single-include guards that #error out if
	GTK_DISABLE_SINGLE_INCLUDES is defined and any of these files is
	included individually.

	* gtk/gtkprintbackend.h
	* gtk/gtkprinter-private.h
	* gtk/gtktextlayout.h
	* gtk/gtktexttagprivate.h
	* gtk/gtktexttypes.h
	* gtk/gtktreedatalist.h: include <gtk/gtk.h> instead of individual
	headers in these private or semi-private headers.

	* gtk/gtkimmodule.h: also here because it's not in gtk.h.

	* gtk/gtkpagesetupunixdialog.h
	* gtk/gtkprinter.h
	* gtk/gtkprintjob.h
	* gtk/gtkprintunixdialog.h: likewise in the gtkunixprint headers.

	* gtk/gtkclist.h
	* gtk/gtkcombo.h
	* gtk/gtkctree.h
	* gtk/gtkfilesel.h
	* gtk/gtkitemfactory.h
	* gtk/gtklist.h
	* gtk/gtklistitem.h
	* gtk/gtkoldeditable.h
	* gtk/gtkoptionmenu.h
	* gtk/gtkpixmap.h
	* gtk/gtkpreview.h
	* gtk/gtksignal.h
	* gtk/gtktipsquery.h: whenever possible, include only <gtk/gtk.h>
	instead of individual headers in these deprecated headers. They
	don't get included at all when GTK_DISABLE_DEPRECATED is defined,
	so if an app needs them anyway, it must undef GTK_DISABLE_DEPRECATED
	and include them individually, which should continue to work.

	* gtk/gtkclist.c: include "gtkctree.h" because of the change
	above.

2008-05-28  Kristian Rietveld  <kris@imendio.com>

	Bug 449625 - crash in gtk_tree_view_real_move_cursor at
	gtktreeview.c:9641

	* gtk/gtktreeview.c (gtk_tree_view_move_cursor_page_up_down):
	cursor_offset *must* be larger than background height of the cursor
	node, not just equal otherwise there is no guarantee there is a next
	node.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktestutils.c: don't include <gdk/gdktestutils.h>.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk.h: define __GDK_H_INSIDE__ around including all other
	headers.

	* gdk/gdkenumtypes.h.template
	* gdk/gdk*.h: add single-include guards that #error out if
	GTK_DISABLE_SINGLE_INCLUDES is defined and any of these files is
	included individually. Also removed some redundant includes and
	did some tiny trailing whitespace removal that's not worth to
	commit separately.

	* gdk/gdkprivate.h: include <gdk/gdk.h> instead of individual
	files.

	* gdk/win32/gdkwin32.h
	* gdk/x11/gdkx.h: only include <gdk/gdkprivate.h> and remove all
	other includes.

2008-05-28  Kristian Rietveld  <kris@imendio.com>

	Bug 504087 - make gtk_tooltip_set_custom a no-op for setting the
	current widget again.

	* gtk/gtktooltip.c (gtk_tooltip_set_custom),
	(gtk_tooltip_reset), (gtk_tooltip_run_requery): use a
	custom_was_reset field to check if the custom widget is set again in
	the query-tooltip callback; if not, we set it to NULL.  Based on a
	patch by Xavier Claessens, insightful comments from Jean-Yves Lefort
	and Christian Persch.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* modules/printbackends/cups/gtkcupsutils.c
	* modules/printbackends/cups/gtkprintbackendcups.c
	* modules/printbackends/file/gtkprintbackendfile.c
	* modules/printbackends/lpr/gtkprintbackendlpr.c: include
	<gtk/gtk.h> instead of individual files.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* demos/testpixbuf.c: include <gdk-pixbuf/gdk-pixbuf.h> instead of
	individual files.

2008-05-28  Kristian Rietveld  <kris@imendio.com>

	Bug 498010 - gtk_tree_view_set_cursor fails if model!=NULL.

	* gtk/gtktreeview.c (gtk_tree_view_set_cursor_on_cell): return if fail
	->priv->tree != NULL.  Suggestion from Stefan Kost.

2008-05-28  Kristian Rietveld  <kris@imendio.com>

	Bug 324282 - add selected signal to cell renderer combo.

	* gtk/gtkcellrenderercombo.c (gtk_cell_renderer_combo_class_init),
	(gtk_cell_renderer_combo_changed),
	(gtk_cell_renderer_combo_start_editing): add a new "changed" signal
	that will be emitted as soon as the combo box emitted changed and has
	an active iterator.  (Modified patch based on work by James
	Pelletier).

	* gtk/gtkmarshalers.list: add marshaler.

2008-05-28  Kristian Rietveld  <kris@imendio.com>

	Refactor expand/collapse timeout handling (amendment to bug 511217).

	* gtk/gtktreeview.c (add_expand_collapse_timeout),
	(remove_expand_collapse_timeout): new functions, the remove function
	also clears expanded_collapsed_node,
	(cancel_arrow_animation): moved to be next to the add/remove timeout
	functions,
	(gtk_tree_view_unrealize),
	(gtk_tree_view_row_deleted),
	(gtk_tree_view_set_model),
	(cancel_arrow_animation),
	(gtk_tree_view_real_expand_row),
	(gtk_tree_view_real_collapse_row): use the new add/remove functions.

2008-05-28  Kristian Rietveld  <kris@imendio.com>

	Amendment of bug 485218 - Strange warning encountered.

	* gtk/gtktreemodelsort.[ch]
	(gtk_tree_model_sort_convert_child_iter_to_iter): return a boolean
	indication whether or not the conversion had succeeded.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 509788 - GTK+ should use CUPS to set Postscript level of PS output

	* modules/printbackends/cups/gtkprintbackendcups.c
	(cups_printer_create_cairo_surface): Fall back to PostScript level 2
	if the printer does not support level 3. Patch by Marek Kašík.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 404571 - Scroll arrow backgrounds should be painted with different
	detail

	* gtk/gtkmenu.c (gtk_menu_paint): Use "menu_scroll_arrow_up/down" 
	as detail when drawing scroll arrow backgrounds. Proposed by
	Tommi Komulainen.
	
2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 511217 - potential memory corruption after refreshing a tree_view

	* gtk/gtktreeview.c (cancel_arrow_animation): Reset
	expanded_collapsed_node when canceling the animation.
	Patch by Nicholas Setton.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* modules/input/gtkimcontextime.h
	* modules/input/gtkimcontextmultipress.h
	* modules/input/gtkimcontextthai.h
	* modules/input/gtkimcontextxim.h: include <gtk/gtk.h> instead of
	individual files.

	* modules/input/gtkimcontextime.c
	* modules/input/gtkimcontextmultipress.c
	* modules/input/gtkimcontextxim.c
	* modules/input/imam-et.c
	* modules/input/imcedilla.c
	* modules/input/imcyrillic-translit.c
	* modules/input/iminuktitut.c
	* modules/input/imipa.c
	* modules/input/imti-er.c
	* modules/input/imti-et.c
	* modules/input/imviqr.c: ditto. Some minor cleanups like moving
	"gtk/gtkintl.h" to the end of includes.

2008-05-28  Michael Natterer  <mitch@imendio.com>

	* modules/engines/pixbuf/pixbuf-style.h
	* modules/engines/pixbuf/pixbuf-rc-style.h: include <gtk/gtk.h>
	instead of individual files.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 485218 - Strange warning encountered

	* gtk/gtktreemodelsort.c (gtk_tree_model_sort_row_inserted):
	(gtk_tree_model_sort_convert_child_iter_to_iter):
	(gtk_tree_model_sort_build_level): Better warnings. Patch
	by Kristian Rietveld.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 351910 - Search column setting lost

	* gtk/gtktreeview.c (gtk_tree_view_set_search_column): Clarify
	the docs. Patch by Matt Barnes.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 477278 - avoid unnecessary pointer subtraction

	* gtk/gtkaccelgroup.c (quick_accel_remove): Avoid pointer 
	subtraction that sparse complains about. Patch by Christian
	Persch.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 106574 - Inconsistent increment behavior for gtkspinbutton

	* gtk/gtkspinbutton.c (gtk_spin_button_real_value_change):
	Commit the entry text before doing an increment. Patch by
	Björn Lindqvist.

2008-05-27  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=533891 - Don't allow
	drag and drop from the file list into itself, as it doesn't make
	sense (it would just change the current folder).

	* gtk/gtkfilechooserdefault.c (file_list_dest_targets): Use
	GTK_TARGET_OTHER_WIDGET so we don't DnD from the file list into
	itself.

2008-05-27  Michael Natterer  <mitch@imendio.com>

	* gtk/gtksignal.h: move deprecated guards around everything,
	including includes and include guards (just as in all other
	deprecated files).

2008-05-27  Tor Lillqvist  <tml@novell.com>

	* gtk/updateiconcache.c (build_cache): Use simpler mode for open()
	on Windows. (No S_I?GRP and S_I?OTH bits are defined in
	<sys/stat.h> on Windows, and the mode used in open() doesn't
	matter much as there are no rwxrwxrwx bits on Windows anyway.)
	Open file in binary mode. Passing "b" to fdopen() later isn't
	enough.

2008-05-27 10:33:41  Tim Janik  <timj@imendio.com>

	* gtk/gtkwidget.c: guard gtk_widget_get_snapshot() against
	invalid or invisible widgets.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 531008 – Crash in gtkprintunixdialog.c

	* gtk/gtkprintunixdialog.c: Disconnect signal handlers when
	the dialog closes. Patch by Yevgen Muntyan.

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	RH bug 248245: cups client printing from gnome applications fail

	* modules/printbackends/cups/gtkprintbackendcups.c
	(gtk_print_backend_cups_print_stream): Specify the right server.

2008-05-27  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkfilechooserdefault.c (set_select_multiple): Enable
	rubberbanding when "select-multiple" is TRUE. Bug #446068.

2008-05-27  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkmountoperation.c (gtk_mount_operation_ask_password): Enable
	correctly dialog buttons sensitivity when the anonymous option is
	enabled by default. Bug #531865.

2008-05-27  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkmountoperation.c (gtk_mount_operation_ask_password): Set
	password dialog modal and transient for the parent window also if it
	was specified in the constructor. Bug #531864.

2008-05-26  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (gdk_screen_get_setting): Try
	setting the default font, might need to tweak this.

2008-05-26  Michael Natterer  <mitch@imendio.com>

	* examples/gtkdial/gtkdial.h
	* modules/input/gtkimcontextthai.h: use G_BEGIN/END_DECLS.

2008-05-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkimmodule.h: fix indentation.

2008-05-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkshow.h: include "gdk/gdk.h" instead of "gdk/gdkscreen.h"

	* gtk/gtkshow.c: remove inclusion of single files from gdk/

	Removed trailing whitespace in both files.

2008-05-26  Richard Hult  <richard@imendio.com>

	Bug 530353 – Mac-like gtk_accelerator_get_label()

	* gtk/gtkaccellabel.c: (gtk_accel_label_class_init),
	(append_keyval_symbol), (_gtk_accel_label_class_get_accelerator_label):
	On quartz, make gtk_accelerator_get_label() format a Mac-like
	string, using unicode characters for modifier keys, arrows, delete
	etc. Patch from Yevgen Muntyan.

2008-05-26  Richard Hult  <richard@imendio.com>

	Bug 534869 – Length miscalculation in
	_gtk_quartz_get_selection_data_from_pasteboard

	* gtk/gtkquartz.c: (_gtk_quartz_get_selection_data_from_pasteboard):
	Get the number of bytes, not the number of characters, patch from
	Yevgen Muntyan.

2008-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkwidget.c: Some doc formatting fixes.

2008-05-26  Matthias Clasen  <mclasen@redhat.com>

	Bug 511163 – Remove pango_extents_to_pixels() calls

	* gtk/gtkcellrenderertext.c (get_size): Use
	pango_layout_get_pixel_extents.

	* configure.in: Bump Pango requirement to 1.20

	* INSTALL.in: Update required versions

2008-05-26  Matthias Clasen  <mclasen@redhat.com>

	Bug 513811 – Use cairo_format_stride_for_width()

	* gtk/gtkhsv.c (paint_ring, paint_triangle):
	* gdk/gdkcairo.c (gdk_cairo_set_source_pixbuf): Use
	cairo_format_stride_for_width, proposed by Behdad Esfahbod.

	* configure.in: Bump cairo requirement to 1.6.0

	* INSTALL.in: Update required versions

2008-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkshow.[hc]: Formatting fixes

	* gtk/gtkmountoperation.c: Add docs

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 507389 – use gslice for gtksettings

	* gtk/gtksettings.c: Change from g_new0/g_free to use GSlice.
	Report and patch by Christian Persch.

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 523562 - gtk-update-icon-cache core dumps when run concurrently and
	when options are missing

	* gtk/updateiconcache.c: Open the cache file (O_CREAT | O_EXCL) so
	that other processes that try to open it will fail gracefully.  Also
	fix a crasher caused by lack of a NULL check.  Report and patch
	by Erwann Chenede.

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 526635 - _gdk_window_get_toplevel handles FOREIGN windows

	* gdk/x11/gdkwindow-x11.c (_gdk_window_get_toplevel): Check
	!WINDOW_IS_TOPLEVEL instead of checking for GDK_WINDOW_CHILD,
	so that we also take into account for foreign windows.
	Report and patch by Nathaniel Smith.

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 525461 - Don't invalidate under an input-only child

	* gdk/x11/gdkgeometry-x11.c (_gdk_window_move_resize_child):
	Check that the window is not input-only before invalidating.
	Report and patch by Owen Taylor.

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 524110 - Gdk should not assume reparenting WMs when retrieving
	window frame extents

	* gdk/x11/gdkwindow-x11.c (gdk_window_get_frame_extents):
	Use _NET_FRAME_EXTENTS, if available.  Patch by Danny Baumann.

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 522269 - Evince windows sometimes incorrectly unmaximized,
	caused by missing flag initialization

	* gdk/x11/gdkwindow-x11.c (set_initial_hints): Initialize
	top-level private flags correctly.  Patch by Danny Baumann.

2008-05-25  Cody Russell  <bratsche@gnome.org>

	Bug 534463 - non-editable GtkTextView should not call
	gtk_im_context_focus_in in focus event

	* gtk/gtktextview.c: Add checks to see if the textview is
	editable.  Patch by Wang Diancheng.

2008-05-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 501730 – use GSlice for small allocs

	* gtk/gtkmenuitem.c:
	* gtk/gtkmenu.c: Use the slice allocator for small allocations.
	Patch by Christian Persch.
	
2008-05-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 523930 – sort -> search in gtktreeview.c

	* gtk/gtktreeview.c (gtk_tree_view_set_search_column): Fix a doc
	glitch, pointed out by Björn Lindqvist.

2008-05-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 479384 – gtk_selection_data_targets_include_uri docs buglet

	* gtk/gtkselection.c (gtk_selection_data_targets_include_uri): Fix
	doc glitch, pointed out by Christian Persch.

2008-05-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 534694 – Col id in GtkListStore could be out of range

	* gtk/gtkliststore.c (list_store_start_element): Fix up error handling
	a bit. Pointed out by Jan Arne Petersen.

2008-05-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 532497 – Configure problem when cross-compiling

	* configure.in: Use AC_CHECK_TOOLS to find C++ compiler, 
	pointed out by Marko Lindqvist.

2008-05-25  Richard Hult  <richard@imendio.com>

	* gtk/gtkquartz.c: (_gtk_quartz_set_selection_data_for_pasteboard):
	Slight coding style cleanup.

2008-05-25  Tristan Van Berkom <tvb@gnome.org>

	* gtk/gtkbuilderprivate.h, gtk/gtkbuilder.h, gtk/gtkbuilderparser.c:
	Added support for parsing required toolkit versions (so that ui descriptions
	can target specific versions of the backend widget libraries) bug 527612.

	* gtk/docs/reference/gtk/tmpl/gtkbuilder.sgml: Added documentation
	for the added xml tags to the ui description.

	* tests/buildertest.c: Enhanced pango attribute tests, Added tests
	for requires tag handling.

2008-05-25  Richard Hult  <richard@imendio.com>

	* gtk/gtkdnd-quartz.c: (gtk_drag_drop_finished): Run
	gtk_drag_source_info_destroy in an idle, workaround for bug
	#501588, that makes any code that uses the context returned from
	gtk_drag_begin() crash, like treeview/iconview dnd.
	(GdkDragSourceOwner::provideDataForType): only use the data if we
	got any.

2008-05-25  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkfilechooserdefault.c: (create_file_list): Add GDK_ACTION_MOVE
	to the drag actions to allow trash (#137717).

2008-05-25  Josselin Mouette  <joss@malsain.org>

	reviewed by: Matthias Clasen

	* gtk/gtksearchenginetracker.c: (_gtk_search_engine_tracker_new):
        check that tracker is actually working before using it. Fixes
        bug #479197.

2008-05-25  Sven Neumann  <sven@gimp.org>

	* gtk/gtkdrawingarea.c (gtk_drawing_area_realize)
	(gtk_drawing_area_size_allocate): respect the GTK_NO_WINDOW flag
	and don't create an output window if it is set.

	* gtk/gtkprintunixdialog.c: set the GTK_NO_WINDOW flag for the
	drawing areas. Fixes bug #519317.

2008-05-25  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkentry.c: (gtk_entry_class_init), (get_text_area_size),
	(gtk_entry_get_text_area_size), (gtk_entry_draw_frame):
	* gtk/gtkentry.h:
	* gtk/gtkspinbutton.c: (gtk_spin_button_class_init),
	(gtk_spin_button_realize), (gtk_spin_button_size_allocate),
	(gtk_spin_button_expose), (gtk_spin_button_draw_arrow),
	(gtk_spin_button_enter_notify), (gtk_spin_button_leave_notify),
	(gtk_spin_button_grab_notify), (gtk_spin_button_state_changed),
	(start_spinning), (gtk_spin_button_button_release),
	(gtk_spin_button_motion_notify), (gtk_spin_button_value_changed),
	(gtk_spin_button_get_text_area_size), (gtk_spin_button_real_spin),
	(gtk_spin_button_update): Reorder strange window hierarchy of the
	GtkSpinButton (#466000).

2008-05-25  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtklabel.c: (get_layout_location): Subtract logical.x from x to
	fix the wrong position for right and center justified labels with
	logical.x > 0 (#530255).

2008-05-25  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkfilechooserdefault.c:
	(shortcuts_activate_volume_mount_cb): Ignore G_IO_ERROR_FAILED_HANDLED
	errors (#532262).

2008-05-25  Björn Lindqvist  <bjourne@gmail.com>

	* tests/pixbuf-lowmem.c
	* tests/pixbuf-random.c
	* tests/pixbuf-randomly-modified.c
	* tests/pixbuf-read.c
	* tests/pixbuf-threads.c
	* tests/testgtk.c
	* tests/testtreeview.c: Fix remaining compiler warnings in these
	files (#523751).

2008-05-25  Jaap A. Haitsma  <jaap@haitsma.org>

	reviewed by: Matthias Clasen

	* gtk/Makefile.am:
	* gtk/gtk.h:
	* gtk/gtk.symbols:
	* gtk/gtkshow.c: (gtk_show_uri):
	* gtk/gtkshow.h:
	Add gtk_show_uri to make showing uris really easy. Fixes bug #514396

2008-05-25  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkliststore.c: (list_store_text): Use type of the correct
	column (#529535).
	* tests/buildertest.c: (test_list_store): Add test.

2008-05-24  Matthias Clasen  <mclasen@redhat.com>

	Bug 520989 – icon factory buildable too strict

	* gtk/gtkiconfactory.c (icon_source_start_element): Make filename
	an optional attribute.

2008-05-24  Matthias Clasen  <mclasen@redhat.com>

	Bug 387972 – gtkassistant drawing problem

	* gtk/gtkassistant.c (gtk_assistant_size_allocate): Make 
	GtkAssistant work better in glade. 

2008-05-24  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtktoolbar.c: (gtk_toolbar_class_init): Change defaults of child
	properties "expand" and "homogeneous" from TRUE to FALSE (as they are
	used in GtkToolItem) (#532787).

2008-05-24  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkfilechooserdefault.c: (location_toggle_popup_handler): Don't
	try to toggle the visibility of the location entry field in search and
	recent mode (#526422).

2008-05-24  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtkfilechooserdefault.c: (shortcuts_query_tooltip_cb),
	(shortcuts_list_create): Show parse name as tooltip for path
	shortcuts (#137503).

2008-05-24  Björn Lindqvist  <bjourne@gmail.com>

	* gdk/gdkcolor.c (gdk_color_parse): Update docstring to match
	pango_color_parse, do not reference XParseColor forms (#434991).

2008-05-24  James Sharpe <jsharpe@gnome.org>

	* gdk/gdk.symbols: Remove duplicate
	gdk_window_redirect_to_drawable and gdk_window_remove_redirection
	* gtk/gtk.symbols: Remove duplicate gtk_widget_get_snapshot
	
2008-05-23  Hans Breuer  <hans@breuer.org>

	* **/makefile.msc gtk/makefile.msc.in : updated
	* gtk/gtkwidget.c : fix c99ism (variable at start of block
	* gdk/gdk.symbols gtk/gtk.symbols : export functions for window 
	redirection
	* gtk/gtkfilechooserdefault.c : #include <locale.h> for 
	setlocale(LC_ALL, ...)

2008-05-23  Tor Lillqvist  <tml@novell.com>

	* gdk/gdk.symbols: Add gdk_window_redirect_to_drawable and
	gdk_window_remove_redirection.

	* gdk/win32/gdkwindow-win32.c (_gdk_window_new)
	(_gdk_window_reparent): Rename to adapt to the offscreen rendering
	changes. Remove now unnecessary parameter checks as the caller
	does that already.

	* gtk/gtk.symbols: Add gtk_widget_get_snapshot.

2008-05-23  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkwindow-win32.c (update_style_bits): Don't do
	anything if style doesn't change. Improve debugging output.

2008-05-23  Michael Natterer  <mitch@gimp.org>

	* perf/widgets.h
	* tests/print-editor.c
	* tests/prop-editor.h
	* tests/testmountoperation.c
	* tests/testmultidisplay.c
	* tests/testnouiprint.c
	* tests/testprint.c
	* tests/testprintfileoperation.h
	* tests/testtreesort.c
	* tests/textbuffertest.c: include <gtk/gtk.h> instead of single
	files. Remove some redundant includes.

2008-05-22  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gtk/gtksockget.c: (gtk_socket_realize): Remove second call of
	GTK_WIDGET_SET_FLAGS (widget, GTK_REALIZED).

2008-05-21  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(_gdk_window_new), (_gdk_window_reparent): Renamed to adapt to the
	offscreen rendering changes, fixes build.

2008-05-21 21:10:15  Tim Janik  <timj@imendio.com>

	* gtk/gtkwidget.h: added GdkRectangle *clip_rect to gtk_widget_get_snapshot().

	* gtk/gtkwidget.c: clip the returned snapshot pixmap to clip_rect.
	return snapshot pixmap coordinates widget relative in *clip_rect.

	* tests/testgtk.c: fixed bogus NULL pointer unref.

2008-05-21 21:04:28  Tim Janik  <timj@imendio.com>

	* gtk/gtkwidget.c gtk_widget_get_snapshot(): grow snapshot area from
	widget's allocation to cover extra widget windows placed outside the
	widget allocation (spinbutton arrows are the prime example for this).

2008-03-18 10:49:20  Tim Janik  <timj@imendio.com>

	* Applied pixmap redirection patch by Alexander Larsson with
	various updates from:
	Bug 318807 – Offscreen windows and window redirection.


	Updates:

	* updated docs to mention "Since 2.16".

	* tests/testgtk.c: fixed snapshooting pixmap leak.
	convert pixmap to pixbuf after snapshooting, to compensate for different
	bit depths (occurs when snapshooting ARGB visuals and displaying the
	pixmap in an RGB visual).

	* gdk/gdkwindow.[hc]: made GdkWindowRedirect private.

	* gdk/gdkwindow.c: removed damage idle handler, there's no aparent
	need for it. enqueue damage notification as GDK_DAMAGE events
	for each painting redirection at the start of the event queue.
	consider windows with a redirection fully visible when invalidating,
	and when updating from backing store. cleaned up stale variables.

	* gdk/gdkevents.c: added _gdk_event_queue_prepend().

	* gtk/gtkwidget.c: fixed coordinates for !NO_WINDOW widgets in
	gtk_widget_get_snapshot; this fixes garbage snap offsets for gammacurve,
	tree, drawingarea, text, handlebox, etc.
	clip the redirected window hierarchy to window sizes, the visible
	rectangles don't need to be taken into account here.
	extended snapshooting docs to recommend gdk_pixbuf_get_from_drawable()
	in case pixmap visuals could mismatch.

	* gdk/x11/gdkwindow-x11.c: removed _gdk_windowing_window_get_visible_rect().


	Base patch:

	* tests/testgtk.c: add a "Snapshot" test to demonstrate snapshooting
	of possibly obscured widgets into an offscreen pixmap.

	* gtk/gtkwidget.[hc]: add GtkWidget::damage-event signal, add
	gtk_widget_get_snapshot() to render a widget's contents to a GdkPixmap.

	* gtk/gtkmain.c: dispatch GDK_DAMAGE events.

	* gdk/gdkwindow.c: moved outer gdk_window_new() and gdk_window_reparent()
	implementations here, adapted them to propagate redirects to child windows.
	gdk_window_end_paint(): copy repainted window contents to redirection pixmap,
	clipped to visible region. queue GDK_DAMAGE event delivery.
	gdk_window_redirect_to_drawable(): install window painting redirection.
	gdk_window_remove_redirection(): remove previously installed redirection.

	* gdk/x11/gdkwindow-x11.c: added _gdk_windowing_window_get_visible_rect(),
	renamed _gdk_window_new() and _gdk_window_reparent().

	* gdk/gdkwindow.h: added GdkWindowRedirect* to GdkWindowObject, export
	gdk_window_redirect_to_drawable() and gdk_window_remove_redirection().

	* gdk/gdkevents.h: added GDK_DAMAGE event type.

	* gdk/gdkevents.c: extract time and state from GDK_DAMAGE events.

	* gdk/gdkinternals.h: added internal prototypes.

2008-05-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkalignment.c
	* gtk/gtkarrow.c
	* gtk/gtkbbox.c
	* gtk/gtkcalendar.c
	* gtk/gtkscrolledwindow.c: remove PROP_LAST enum values.

2008-05-20  Matthias Clasen  <mclasen@redhat.com>

	RH bug 204621 - "GtkPrint" asks for "Letter" size paper when "A4" size
	was chosen

	Patch by Marek Kasik.

	* gtk/gtk.symbols:
	* gtk/gtkprinter.[hc]: Add gtk_printer_get_default_page_size.
	
	* gtk/gtkprintbackend.[hc]: Add fallback implementation.

	* modules/printbackends/file/gtkprintbackendfile.c:
	* modules/printbackends/cups/gtkprintbackendcups.c: Implement
	get_default_page_size.

	* gtk/gtkpagesetupunixdialog.c: When selecting a different printer,
	select its default paper size.

	* gtk/gtkprintunixdialog.c: If no explicit page setup has been set,
	use the printer default.

	* gtk/gtkprintoperation-unix.c: Don't create an empty page setup
	if we don't have a default page setup.

2008-05-20  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtkdnd.c: (gtk_drag_set_icon_pixmap): Fix the docs, the mask param
	can accept NULL for none. Fixes bug #533920.

2008-05-20  Björn Lindqvist  <bjourne@gmail.com>

	* gtk/gtkspinbutton.c: (gtk_spin_button_snap,
	gtk_spin_button_update): Remove two chunks of duplicated
	code (#533733).

2008-05-20 14:27:34  Tim Janik  <timj@imendio.com>

	* reverted recent unapproved changes by Yair Hershkovitz,
	regarding: Bug 503071 – Application direction changes to right
	to left even if theres no translation.

2008-05-19  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_hide),
	(gdk_window_fullscreen), (gdk_window_unfullscreen): Use
	SetSystemUIMode instead of hiding and showing the menubar.

2008-05-19  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=322298 - Save dialog
	can't be resized until you expand the "Browse for other folders"
	section.

	* gtk/gtkfilechooserembed.h (struct _GtkFileChooserEmbedIface):
	Removed the "get_resizable" method.
	(_gtk_file_chooser_embed_get_resizable): Removed.

	* gtk/gtkfilechooserembed.c: Removed the _get_resizable() machinery.

	* gtk/gtkfilechooserdefault.c: Likewise.

	* gtk/gtkfilechooserdialog.c
	(file_chooser_widget_default_size_changed): Act as if the dialog
	were always resizable.

2008-05-19  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrenderer.c
	* gtk/gtkcellrendererpixbuf.c
	* gtk/gtkcellrenderertoggle.c
	* gtk/gtkimagemenuitem.c
	* gtk/gtkmenutoolbutton.c
	* gtk/gtkoptionmenu.c
	* gtk/gtkstatusbar.c
	* gtk/gtktextview.c: s/PROP_ZERO/PROP_0/g, remove LAST_PROP.

2008-05-17  Yair Hershkovitz  <yairhr@gmail.com>

	* gtk/gtkmain.c: gtk_disable_setlocale() - Added a call to
	g_disable_setlocale().

2008-05-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_impl_quartz_invalidate_maybe_recurse):
	(gdk_window_quartz_update_idle): Use gdk_threads_add_idle instead
	of g_idle_add. Add a temporary check if the window is already in
	the updates list, since update_area currently doesn't always match
	the backend's state, see bug #530801.

2008-05-13  Tor Lillqvist  <tml@novell.com>

	Bug 496958 - Wacom Bamboo doesn't function with GTK apps in Win32

	* gdk/win32/gdkinput-win32.c (_gdk_input_wintab_init_check): Set
	the "packet rate" of devices to zero instead of 50. This is
	reported to help significantly with Wacom tablet behaviour in GIMP
	and Inkscape. Patch from Thomas Bleeker.

2008-05-12  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c:
	* gdk/quartz/gdkquartz.h: Remove special casing of menu key events
	as it's no longer necessary; instead the added quartz API to get
	the nsevent from an event should be used. Also move the global
	filter up so it's done before the check for window-less events.

2008-05-12  Tor Lillqvist  <tml@novell.com>

	Bug 532558 - Cannot build dll when using separate builddir

	* gdk/Makefile.am
	* gtk/Makefile.am: .def file belongs in $(srcdir). Patch by Marko
	Lindqvist.

2008-05-12  Yair Hershkovitz  <yairhr@gmail.com>

	* gtk/gtkmain.c: g_i18n_init(); -> g_i18n_init ();

2008-05-12  Tor Lillqvist  <tml@novell.com>

	Bug 532059 - Leak in win32 clipboard manipulation

	* gdk/win32/gdkselection-win32.c
	(gdk_win32_selection_add_targets): Plug memory leak. Patch by
	Daniel Atallah.

2008-05-11  Yair Hershkovitz  <yairhr@gmail.com>

	* gtk/gtkmain.c: call g_i18n_init() in gettext_initialization(). do
	gettext_initialization only once.

	*  gtk/gtkbuilderparser.c: use glib i18n api. removed dpgettext() as it
	duplicates g_dpgettext() and added _g_dpgettext() to wrap g_dpgettext 
	with the extended functionality that was in the removed dpgettext().

	* gtk/gtkaccellabelc:
	* gtk/gtkstock.c:
	* gtk/gtkimmulticontext.c:
	* gtk/gtkactiongroup.c:
	* gtk/gtkintl.h: use glib i18n api.

2008-05-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkgeometry-quartz.c (gdk_window_scroll): Move the
	currently invalidated region. Fixes bug #532048, patch by Yevgen
	Muntyan.

2008-05-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkeventloop-quartz.c (poll_func): Only set the fake
	fd's revents, not the first one. Fixes bug #531056, spotted by
	Yevgen Muntyan.

2008-05-07  Tor Lillqvist  <tml@novell.com>

	* gtk-zip.sh.in: Add gtk-update-icon-cache.exe and more man pages
	to the dev zipfile.

2008-05-05  Matthias Clasen  <mclasen@redhat.com>

	Apply a patch by Marek Kasik <mkasik@redhat.com> to display
	more printer status information in the print dialog. 

	* modules/printbackends/cups/gtkprintbackendcups.c: Translate
	printer-state-reasons into suitable messages and icons.

	* gtk/stock-icons/16/gtk-print-error.{svg,png}:
	* gtk/stock-icons/16/gtk-print-report.{svg,png}:
	* gtk/stock-icons/16/gtk-print-warning.{svg,png}:
	* gtk/Makefile.am: 
	* gtk/gtkiconfactory.c:
	* gtk/gtkstock.h: New stock icons to display printer state.

2008-05-07  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkinternals.h
	* gdk/gdkevents.c
	* gdk/directfb/gdkevents-directfb.c
	* gdk/quartz/gdkevents-quartz.c
	* gdk/win32/gdkevents-win32.c
	* gdk/x11/gdkevents-x11.c (_gdk_windowing_event_data_copy):
	order parameters src,dest and make src const.

2008-05-06  Richard Hult  <richard@imendio.com>

	* gdk/gdkevents.c: (gdk_event_copy), (gdk_event_free):
	* gdk/gdkinternals.h: Add private backend data to events, and
	handle it when copying/freeing events. Currently only needed in
	the quartz backend.

	* gdk/directfb/gdkevents-directfb.c:
	* gdk/quartz/gdkevents-quartz.c:
	* gdk/win32/gdkevents-win32.c:
	* gdk/x11/gdkevents-x11.c: (_gdk_windowing_event_data_copy)
	(_gdk_windowing_event_data_free): Add stubs for X11, win32 and
	directfb. Implement for quartz. Part of fixing bug #473822.

2008-05-05  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkmain-quartz.c (_gdk_windowing_init): Initalize
	framework if there is one.

2008-05-05  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellrenderercombo.h
	* gtk/gtkcellrendererspin.h
	* gtk/gtkfilechooserbutton.h: style cleanups for the sake of
	consistency.

	* gtk/gtkfilechooserdialog.h
	* gtk/gtkfilechooserwidget.h
	* gtk/gtkscalebutton.h: reorder instance and class structs to be
	in canonical order.

2008-05-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkkeys-quartz.c (maybe_update_keymap): Check if
	gdk_unicode_to_keyval() worked before using the result. Makes
	function keys work, bug #530156. Also add F16 to the function key
	map.

2008-05-04  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkkeys-quartz.c (maybe_update_keymap): Remove stray
	semicolon after if statement. Fixes bug #530963, patch from Yevgen
	Muntyan.

2008-05-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.h: add 15 files that were missing (they all got included
	indirectly by including gtk.h, so should have been here in the
	first place).

2008-05-02  Michael Natterer  <mitch@imendio.com>

	* modules/input/imthai.c: use GETTEXT_PACKAGE instead of "gtk20".

2008-05-01  Richard Hult  <richard@imendio.com>

	* gtk/gtkquartz.c (_gtk_quartz_set_selection_data_for_pasteboard):
	Prevent crash, fixes bug #530153. Patch from Yevgen Muntyan.

2008-05-01  Matthias Clasen  <mclasen@redhat.com>

	* modules/imput/imthai.c: Register the right translation domain.

2008-04-30  Matthias Clasen  <mclasen@redhat.com>

	Bug 529386 – Printing options hidden by blacklisted option

	* modules/printbackend/cups/gtkprintbackendcups.c
	(cups_printer_get_options): Fix the blacklist handling. 
	Patch by Marek Kašík.
	
2008-04-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Simplify check for zero sized expose
	area.

2008-04-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (_gdk_events_queue): Don't send
	nsevents with the gdk lock held, fixes deadlock when doing manual
	window resizing with threading enabled.

2008-04-30  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c:
	(get_keyboard_modifiers_from_ns_event), (create_key_event): Map
	Alt to Alt and Cmd to Meta. This is not only more logical but also
	makes it easier to have Mac-like behavior.

2008-04-25  Björn Lindqvist  <bjourne@gmail.com>

	* gtk/gtkentry.c: (gtk_entry_expose) Use existing window size when
	painting the flat box instead of recalculating it. (#437493,
	Ricardo Cruz)

2008-04-25  Michael Emmel  <mike.emmel@gmail.com>

	Bug 529841 – incorrect position in directfb 

	* gdk/directfb/gdkwindow-directfb.c: fix y = abs_x 

2008-04-25  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkwidget.h: include <atk/atk.h> instead of <atk/atkobject.h>

2008-04-25  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkprintcontext.h: include <pango/pango.h> instead of
	<pango/pango-layout.h>.

	* gtk/gtkiconfactory.c
	* gtk/gtkimmodule.c
	* gtk/gtkmain.c
	* gtk/gtkmodules.c
	* gtk/queryimmodules.c: remove inclusion of single files from
	pango, none of them was actually needed.

	* modules/input/gtkimcontextime.c: include <pango/pango.h> instead of
	<pango/pango-utils.h>.

2008-04-25  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkfont.h: include <pango/pango.h> instead of
	<pango/pango-font.h>.

2008-04-25  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmountoperation.h: include <gdk/gdk.h> instead of
	<gdk/gdkscreen.h>.

2008-04-21  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkselection.c: add tons of g_return_if_fail() instead of
	crashing when NULL pointers get passed.

2008-04-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkenums.h: move a few '{' to their own lines so all enums
	here have the same style.

2008-04-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkicontheme.h
	* gtk/gtkrecentmanager.h: include <gdk/gdk.h> instead of
	<gdk/gdkscreen.h>.

	* gtk/gtkbuilderparser.c
	* gtk/gtklinkbutton.c
	* gtk/gtkpreview.c
	* gtk/gtkrecentchooserdefault.c
	* gtk/gtkrecentchoosermenu.c
	* modules/input/gtkimcontextthai.c: remove inclusion of single
	files from gdk, none of the includes was actually needed.

2008-04-18  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk.h: reorder one include so they are all alphabetical.

2008-04-18  Michael Natterer  <mitch@imendio.com>

	* modules/printbackends/cups/gtkprintercups.[ch]
	(gtk_printer_cups_get_ppd_name): change return value and local
	variable to const gchar* to fix warning about discarding const
	qualifier.

2008-04-18  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_set_filename): Keep the default storage
	file in $HOME, as we don't have a migration code in place yet.

2008-04-18  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrecentmanager.c (gtk_recent_manager_clamp_to_age):
	g_strfreev() the uris returned by g_bookmark_file_get_uris().

2008-04-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkiconfactory.c (get_default_icons): register the
	GTK_STOCK_PAGE_SETUP icon.

2008-04-17  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktooltips.c (gtk_tooltips_destroy): no need to
	g_return_if_fail(tooltips != NULL);

2008-04-16  Tristan Van Berkom <tvb@gnome.org>

	* gtk/gtkwindow.c: Chain up in buildable_finish()

	* gtk/gtkbuilder.c: _gtk_builder_get_absolute_filename() handle
	cases where g_path_get_dirname() returns "."

	* docs/reference/gtk/tmpl/gtklabel.sgml, 
	docs/reference/gtk/tmpl/gtkbuilder.sgml: Added documentation
	for the <attributes> tags on GtkLabel

2008-04-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_real_changed): Fix last commit, and
	complete the gtk-recent-files-max-age semantics: if the
	property is set to 0 then purge the list.

2008-04-15  Emmanuele Bassi  <ebassi@gnome.org>

	Bug 488507 – boundless growth of .recently-used.xbel file
	slows down applications

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_init),
	(gtk_recent_manager_real_changed),
	(gtk_recent_manager_set_filename),
	(gtk_recent_manager_clamp_to_age): Clamp the recently
	used resources list by the age of its items, using
	the newly added GtkSettings property.

	* gtk/gtksettings.c (gtk_settings_class_init): Add the
	gtk-recent-files-max-age property, controlling the
	maximum age of the items in the recently used resources
	list.

2008-04-15  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_add_item_query_info),
	(gtk_recent_manager_add_item): Emit the ::changed signal
	at the end of the asynchronous MIME type query.

2008-04-15  Emmanuele Bassi  <ebassi@gnome.org>

	Bug 487375 – gtkrecent apps poll ~/.recently-used.xbel
	every 5 seconds

	* gtk/gtkrecentmanager.c: Use GFileMonitor to check for
	changes in the recently used resources storage file, and
	drop the timeout-based poll.

	* ChangeLog: Fix attribution of the patch of the previous
	commit.

2008-04-15  Emmanuele Bassi  <ebassi@gnome.org>

	Bug 506062 – gtk_recent_manager_add_item does not detect mime
	type on Windows

	* configure.in: Depend on gio-2.0

	* gtk/gtkrecentmanager.c:
	(gtk_recent_manager_add_item_query_info_cb),
	(gtk_recent_manager_add_item): Use GIO to (asynchronously)
	query the MIME type of the passed URI (based on a patch by
	Armin Burgmeier)

2008-04-11  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkassistant.c (gtk_assistant_set_current_page): Add current
	page to visited page list instead of next current page. (#527466,
	patch by Marcus Brinkmann)

2008-04-11  Tristan Van Berkom <tvb@gnome.org>

	* gtk/gtklabel.c: Added <attributes> / <attribute>
	custom tags to parse pango attributes into labels (#527486).

	* tests/buildertest.c: Added tests for GtkLabel custom
	tag parsing.

2008-04-10  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtknotebook.c (hide_drag_window): Do not call
	gtk_widget_set_parent_window(), using widget->window instead of NULL
	to unset is the wrong thing, and gtk_widget_unparent() will already 
	take care of this (#467698, patch by Sébastien Granjoux)

2008-04-08  Tor Lillqvist  <tml@novell.com>

	* demos/gtk-demo/builder.c (quit_activate, about_activate): Mark
	these functions with G_MODULE_EXPORT.

2008-04-08  Tomas Bzatek  <tbzatek@redhat.com>

	* gtk/gtkfilesystem.c: (gtk_file_info_render_icon),
	(gtk_file_system_volume_render_icon):
	Fix fallback icon rendering size

2008-04-08  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenushell.c (gtk_real_menu_shell_move_current): fix a
	touchscreen-mode keynav corner case: when navigating to the parent
	menu, make sure we don't close two menus at the same time in case
	the deepest open menu has no selectable items.

2008-04-06  Tristan Van Berkom <tvb@gnome.org>

	* gtk/gtkwidget.c: Clarified a g_warning message regarding
	parsing accelerators from builder files.

2008-04-03  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkprintoperation-win32.c: Fix variable declared in the middle
	of the block. (#526021, reported by Kazuki IWAMOTO)

2008-04-03  Tor Lillqvist  <tml@novell.com>

	Bug 330743 - Up/down spinbuttons won't take zeros and exhibit very
	strange behavior

	* gtk/gtkspinbutton.c (gtk_spin_button_insert_text) [Win32]: Add
	workaround for a specific kind of screwed up locale setting.

2008-04-02  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkcolor-x11.c: Don't call XFreeColormap on foreign
	colormaps.  Found by Daniel Berrange.

2008-04-02  Björn Lindqvist  <bjourne@gmail.com>

	* tests/autotestfilechooser.c: Cover
	GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER action in tests for current
	name. (#346058, Joe Halliwell)

2008-04-02  Federico Mena Quintero  <federico@novell.com>

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=492134 - The file
	chooser incorrectly substitutes and expands a ~ when you type it
	in the filename entry.

	* gtk/gtkfilesystemunix.c (expand_tilde): Ensure that empty
	basenames result in a slash-terminated pathname.
	gtk_file_system_unix_parse() is correct, but it was splitting
	"/home/username" into path="/home" and file_part="username", which
	is not what the caller wants when the entry has just "~" or
	"~username".

2008-04-02  Tor Lillqvist  <tml@novell.com>

	* gtk/Makefile.am: Don't bother compiling gtksearchenginebeagle.c
	and gtksearchenginetracker.c on Windows.

	* gtk/gtksearchengine.c: Don't define HAVE_BEAGLE and HAVE_TRACKER
	on Windows.

2008-04-01  Cody Russell  <bratsche@gnome.org>

	* configure.in: Bump required Cairo to 1.5.2.

	* gtk/gtkprintoperation-win32.c: Add support for using the new
	cairo_win32_printing_surface for printing.  Also fixed to use
	cairo_surface_show_page(). (#488833 and #521178)

2008-03-31  Cody Russell  <bratsche@gnome.org>

        * demos/gtk-demo/printing.c (draw_page): Move down each line in         
        units of text_height rather than in units of data->font_size.
        (totally awesome catch by Dom Lachowicz)

2008-03-28  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c: (gdk_event_translate),
	(_gdk_quartz_events_trigger_crossing_events): Defer the generated
	event to the mainloop and don't generate one at all if the
	toplevel didn't change. Use the actual window and not the toplevel
	as event window. These changes make the generated crossing events
	match the X11 behavior and fixes issues with e.g. tooltips,
	comboboxes and menus.

	* gdk/quartz/GdkQuartzView.c: Don't update the tracking rect if
	the view has no window, it will be updated as soon as it's put
	inside a window.

	* gdk/quartz/gdkwindow-quartz.c:
	(_gdk_quartz_window_debug_highlight): Make it possible to track
	multiple windows with debug highlighting.
	(show_window_internal): Remove workaround for tooltips and popups
	that is no longer needed with the above changes.

2008-03-26  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserentry.c (commit_completion_and_refresh): New
	helper function; factored out from the functions that commit the
	current suggested autocompletion and that refresh the entry's paths.
	(gtk_file_chooser_entry_activate): Use commit_completion_and_refresh().
	(_gtk_file_chooser_entry_get_file_part): Likewise.
	(_gtk_file_chooser_entry_get_current_folder): Likewise.  This
	makes the entry have the correct paths when *not* using any form
	of completion (and makes the file chooser work when clicking the
	OK button).

2008-03-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c:
	(_gdk_quartz_events_trigger_crossing_events): Bail out early if we
	can't find a matching window.

	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal): Add a
	comment, and only trigger an event for non-temp windows, fixes
	problems for tooltips caused by the workarounds for the
	problematic tracking rect API.

2008-03-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_quartz_process_all_updates): Plug a leak and add a
	check that we have a toplevel before accessing it.

2008-03-24  Tor Lillqvist  <tml@novell.com>

	Bug 524151 - Dragging of 0-byte files results in an empty filename
	on Windows XP and above

	* gdk/win32/gdkdnd-win32.c (resolve_link): Check for the file
	being empty first. For some reason ISHellLink and IPersistFile
	succeeds in interpreting empty files as shortcuts, claiming the
	target of the shortcut is an empty path.

	Change the function to take the wide character file name that the
	caller already has anyway, to avoid a superfluous conversion from
	UTF-8 to UTF-16.

2008-03-23  Björn Lindqvist  <bjourne@gmail.com>

	* gdk-pixbuf/gdk-pixbuf-io.c (gdk_pixbuf_new_from_xpm_data): Guard
	against NULL pointer. (#467051, Gian Mario Tagliaretti)

2008-03-23  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c (show_window_recurse):
	Check window state for GDK_WINDOW_STATE_ICONIFIED before doing
	ShowWindow (SW_RESTORE).  This fixes a problem where tearing off
	menus from a maximized window would force the window to restore
	its size. (#518846)

2008-03-23  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-builder-convert:
	Properly convert GtkImageMenuItems which use stock labels but don't
	have any children.
	(#523932, Brian Pepple)
	
2008-03-22  Matthew Barnes  <mbarnes@redhat.com>

	* gtk/gtkentrycompletion.c (gtk_entry_completion_get_cells):
	New function implements GtkCellLayoutClass::get_cells.  (#523787)

2008-03-22  Tor Lillqvist  <tml@novell.com>

	Bug 523782 - Leftover call to GDK_THREADS_LEAVE() in gtktoolbar.c

	* gtk/gtktoolbar.c (slide_idle_handler): Remove obviously wrong
	GDK_THREADS_LEAVE() call. Approved by mclasen.

2008-03-22  Björn Lindqvist  <bjourne@gmail.com>

	* gtk/gtkexpander.c (gtk_expander_get_label):
	gtk_label_get_label() should be used instead of
	gtk_label_get_text(). (#353088, Xan Lopez)

2008-03-21  Tor Lillqvist  <tml@novell.com>

	Import the GDI+ gdk-pixbuf loaders for Windows by Dominic
	Lachowicz and Alberto Ruiz into the GTK+ tree, from the
	gdip-pixbuf-loader module.

	* configure.in: Add switch --disable-gdiplus-loaders that disables
	building of the GDI+ loaders.

	When including loaders in the gdk-pixbuf library, and building
	GDI+ loaders, either build in all the GDI+ loaders or none of
	them. Use just -DINCLUDE_gdiplus in $INCLUDED_LOADER_DEFINE to
	signal building them in.

	Add Automake conditionals BUILD_GDIPLUS_LOADERS to indicate
	whether the GDI+ loaders should be built and INCLUDE_GDIPLUS to
	indicate whether they should be built-in.
	
	For the rest of the changes, see gdk-pixbuf/ChangeLog.
	
2008-03-20  Tor Lillqvist  <tml@novell.com>

	* gtk/Makefile.am: Revert accidental change that went in as part
	of the commit on 2008-03-18. Do use grep -o. Unbreaks build on
	Darwin. On Windows one has to use a newer GNU grep that has -o,
	for instance the one from gnuwin32, instead of the oldish one in
	MSYS that doesn't have -o.

2008-03-20  Tor Lillqvist  <tml@novell.com>

	* tests/testfilechooserbutton.c (chooser_update_preview_cb): Don't
	pass NULL for %s to g_message().
	(main): Drop unnecessary call to gtk_widget_destroy().

2008-03-20  Tor Lillqvist  <tml@novell.com>

	Bug 314084 - GTK+ dialogs should not be placed partially offscreen

	* gtk/gtkwindow.c (clamp): New function. Clamps a window position
	in one dimension, or centered in case it doesn't fit.
	(clamp_window_to_rectangle): Simplify. Call clamp() for x and y
	dimensions.

2008-03-18  Tor Lillqvist  <tml@novell.com>

	Bug 523225 - modules/input/im*.c: MODULE_ENTRY macros make illegal code
	
	* modules/input/im*.c: Modify the MODULE_ENTRY macro so the
	G_MODULE_ENTRY decoration can be put in a more correct place.

2008-03-18  Sven Neumann  <sven@gimp.org>

	* gtk/gtkmountoperation.c (gtk_mount_operation_ask_password): set
	alternative button order on the password dialog.

2008-03-18  Tor Lillqvist  <tml@novell.com>

	Bug 99192 - Add --with-include-input-modules

	* configure.in: Add --with-included-immodules switch. Handled in a
	similar way as the --with-included-loaders switch. For each input
	method module foo: Collect the list of input modules to be built
	into libgtk into INCLUDED_IMMODULE_OBJ. Collect a list of
	-DINCLUDE_IM_foo definitions into INCLUDED_IMMODULE_DEFINE.
	Define Automake conditionals INCLUDE_IM_FOO.

	* modules/input/Makefile.am: For modules to be included in libgtk,
	build a static library.
	
	* modules/input/im*.c: Use MODULE_ENTRY macros much like in
	gdk-pixbuf to get unique names for the functions called by libgtk
	in the included case. Use G_MODULE_EXPORT in the non-included case
	so that we don't unnecessarily export unneeded random global
	symbols on Windows.

	* gtk/Makefile.am: Build the included modules and link them into libgtk.

	* gtk/gtkimmodule.c: Handle the built-in modules. Remove
	copy/paste leftover mentions of "themes" in comments.

2008-03-18  Tor Lillqvist  <tml@novell.com>

	* tests/Makefile.am: Build testmountoperation only on Unix for now.

2008-03-17  Christian Kellner  <gicmo@gnome.org>

	Implement GtkMountOperation, a subclass of GMountOperation
	to be used with gio wherever there is the need to ask the
	user for credentials or questions while mounting a volume.
	This is bug #522245

	* gtk/gtkmountoperation.c:
	* gtk/gtkmountoperation.h:
	Implement GtkMountOperation.
	
	* gtk/gtk.h: Add gtkmountoperation.h
	* gtk/Makefile.am: Add gtkmountoperation.[hc]
	* gtk/gtk.symbols: Add symbols of GtkMountOperation.
	* tests/testmountoperation.c: Test program for it.
	* tests/Makefile.am: Add testmountoperation.

2008-03-17  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkcontainer.c: Properly document
	gtk_container_set_focus_child(). (#521739, Andrew Cowie)

2008-03-16  Alberto Ruiz <aruiz@gnome.org>

	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc: more descriptive
	style names for the ComboBox thickness style

2008-03-16  Alberto Ruiz <aruiz@gnome.org>

	* modules/engines/ms-windows/Theme/gtk-2.0/gtkrc:
	* modules/engines/ms-windows/msw_style.c (draw_box) (draw_arrow)
	(combo_box_draw_arrow) (setup_msw_rc_style): draw box does more
	intelligent separation for the xp theming engine and the classic
	theme while drawing the GtkComboBox button.  combobox_draw_arrow
	is not used anymore, commented.  The style has been updated to fix
	border/thickness glitches in the combobox according to the fixes
	commited regarding bug #521442. (bug #461805)

2008-03-16  Alberto Ruiz <aruiz@gnome.org>

	* gtk/gtkcombobox.c: (gtk_combo_box_size_allocate) The child is
	now aware of both the combobox and frame (if has-frame is set)
	thickness and border. (bug #521442)

2008-03-15  Andre Klapper  <a9016009@gmx.de>

	* configure.in: Added "si" to ALL_LINGUAS.

2008-03-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtktreeview.c (gtk_tree_view_ensure_interactive_directory):
	Set window type hint on the search popup.  (#522279, Danny Baumann)

2008-03-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkimcontextsimple.c: Emit preedit_start/_end as
	appropriate.  (#521934, Huang Peng)

2008-03-14  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkspawn.h
	* gtk/gtkbuilderprivate.h
	* gtk/gtkfilechoosersettings.c
	* gtk/gtksearchenginesimple.c
	* gtk/tests/liststore.c
	* gtk/tests/treestore.c: remove single-file includes of GLib
	headers or replace them by <glib.h> where needed.

2008-03-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkadjustment.c: coding style cleanup.

	(gtk_adjustment_set_property): no need to call g_object_notify()
	on the set properties.

	Implement GObject::dispatch_properties_changed() and make sure we
	emit "changed" when anything but the "value" property changes.

2008-03-14  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkevents-win32.c: Drop the support for the
	MSH_MOUSEWHEEL message that MSDN says is used only on NT 3.51 and
	Win95. Thanks to mitch for noticing this obsolete code.

2008-03-14  Cody Russell  <bratsche@gnome.org>

	* examples/scribble-xinput/scribble-xinput.c: Changed
	'void int main()' to 'int main()'. (#522211, Liqing Huang)
	
2008-03-14  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c:
	(gdk_window_quartz_process_all_updates): Patch from Paul Davis,
	only flush the toplevel once per update.

2008-03-13  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserentry.c (create_completion_feedback_window):
	Set the mouse cursor of the feedback window to invisible, so that
	we respect GtkEntry's invisible cursor while typing.

2008-03-13  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilechooserentry.c (show_completion_feedback_window): Put
	the feedback window at entry_height/2 pixels to the right of the
	cursor, for a cheap "M-width / 2" spacing.

2008-03-13  Sven Neumann  <sven@gimp.org>

	* gtk/gtkfilechooserdefault.c
	* gtk/gtkprintunixdialog.c: set alternative button order for
	overwrite confirmation dialogs (bug #522191).

2008-03-13  Sven Neumann  <sven@gimp.org>

	* gtk/gtkprintunixdialog.c (add_custom_button_to_dialog)
	(overwrite_confirmation_dialog): added some line-breaks for
	readability.

2008-03-12  Federico Mena Quintero  <federico@novell.com>

	Rework the way completion works in GtkFileChooserEntry.  Fixes
	http://bugzilla.gnome.org/attachment.cgi?bugid=314873 - 
	Tab completion should work even if the cursor is not at the end of
	the entry.

	* gtk/gtkfilechooserentry.c: Change the strategy by which we do
	completion.

	We distinguish between two cases:

		- autocompletion - happens only in the Open modes by
		  inserting and selecting the common prefix as you type.

		- explicit completion - happens when you hit Tab.

	When some type of completion needs to happen, the entry first
	parses its input and sees if it needs to initiate a folder load.
	Completion will not happen until the folder finishes loading.

	If the folder is already completely loaded, then completion is
	performed immediately.  Otherwise, the entry queues a pending
	completion and starts loading the new folder (or waits until the
	current folder is completely loaded).

	Tab completion is allowed to happen even if the cursor is not at
	the end of the entry.

	There is a new feedback mechanism for explicit completion, so that
	you will get an Emacs-like tip whenever there are ambiguities in
	completion, no matches, etc.  (This needs to be polished so that
	we support RTL entries and all the fancy Pango layout in GtkEntry).

	The only remaining thing to fix is the popup suggestion window.
	Unfortunately, GtkEntryCompletion does not let us do what we want,
	and will need further changes.

2008-03-12  Tor Lillqvist  <tml@novell.com>

	Bug 510000 - GtkStatusIcon doesn't reshow after explorer.exe crash

	* gtk/gtkstatusicon.c [Win32]: Keep a list of status icons. Check
	for the TaskbarCreated message in the window procedure for the
	dummy "tray observer" window we create. When we get a
	TaskbarCreated message, iterate over the status icons and re-add
	them to the task bar, and update them by calling
	gtk_status_icon_update_image().

	Move some ifdefs around to avoid unused functions.

2008-03-12  Tor Lillqvist  <tml@novell.com>

	* config.h.win32.in: Update to match what configure produces.

2008-03-12  Jens Granseuer  <jensgr@gmx.net>

	* modules/printbackends/cups/gtkprintbackendcups.c:
	(cups_printer_prepare_for_print): Don't define variables in the
	middle of a block. (#522067)

2008-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintunixdialog.c: Add an overwrite confirmation 
	dialog for print-to-file.  (#474302, Marek Kašík)

2008-03-12  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Fix a crash
	(#469210, Wouter Bolsterlee)

2008-03-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkpagesetup.c (gtk_page_setup_copy): Don't leak 
	paper_size here.  (#488820, Morten Welinder)

2008-03-12  Michael Natterer  <mitch@imendio.com>

	* acconfig.h: remove this deprecated file.

	* configure.in: added comments to all instances of AC_DEFINE() so
	config.h can be completely generated from configure.in.

2008-03-12  Michael Natterer  <mitch@imendio.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: include
	<glib/gstdio.h> for g_fopen().

2008-03-11  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: Use
	g_ascii_formatd when formatting custom paper sizes, since
	cups doesn't handle , as decimal separator.  (#521548)

2008-03-11  Tor Lillqvist  <tml@novell.com>

	Bug 469868 - Filenames with colon ":" are not saved correctly

	* gtk/gtkfilechooserentry.c (insert_text_callback)
	(delete_text_callback) [Win32]: New functions to make sure that
	colons used otherwise than as a separator after a drive letter, or
	characters that are always illegal in file names, are rejected on
	input. This means that the GTK+ file chooser can't be used to
	input full names of alternate data streams, but oh well. There are
	still more checks that could be done on the file names, see the
	bug report. But this will do for now.
	(_gtk_file_chooser_entry_init) [Win32]: Connect above functions.

2008-03-11  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): Add ca@valencia (Valencian-Catalan).

2008-03-11  Michael Natterer  <mitch@imendio.com>

	* gdk/linux-fb/*: removed linux-fb backend files.

	* acconfig.h
	* config.h.win32.in
	* docs/README.linux-fb
	* gtk/Makefile.am: remove remaining traces of linux-fb.

	* gtk/gtkwindow-decorate.c: same here. There is some code that
	calls into linux-fb to set window move/resize callbacks. I put it
	in #if 0 as a reminder because we did use decorated windows with
	the DirectFB backend and it did work, so I don't really know why
	this code is needed or how it could work with DirectFB back then.
	The file does actually compile now if DECORATE_WINDOWS is defined,
	but I didn't test with DirectFB to check if it does anything.

2008-03-11  Alberto Ruiz  <aruiz@gnome.org>

	* gtk/gtkcombobox.c (gtk_combo_box_size_allocate):
	Take thickness into account in the size allocation of the child widgets in
	list mode.
	Fixes #521442

2008-03-11  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: Implement gdk_window_reparent.

2008-03-10  Tor Lillqvist  <tml@novell.com>

	* tests/teststatusicon.c (do_exit, popup_menu): Add the
	possibility to test what happens if the process just calls exit()
	without any orderly cleanup of GTK+.

2008-03-10  Tor Lillqvist  <tml@novell.com>

	* gtk/gtktrayicon-win32.c: Remove from SVN, finally.

2008-03-10  Tor Lillqvist  <tml@novell.com>

	Bug 520286 - Non-deletable window has no minimize / maximize buttons

	* gdk/win32/gdkmain-win32.c (_gdk_win32_window_style_to_string):
	New debugging output function that decodes a set of WS_* bits.

	* gdk/win32/gdkprivate-win32.h: Declare it.

	* gdk/win32/gdkwindow-win32.c (update_single_system_menu_entry):
	New function that enables or disables one menu entry in the system
	menu of a top-level window. (The corresponding decoration will
	then also be enabled or disabled (grayed).)

	(update_style_bits): Do as the comment says and don't try to
	update the window style based on the GdkWMFunctions set for the
	window.
		   
	(update_system_menu): New function that enables or disables the
	system menu entries based on a window's stored set of
	GdkWMFunctions.

	(gdk_window_set_functions): Call update_system_menu() instead of
	update_style_bits().

2008-03-10  Emmanuele Bassi  <ebassi@gnome.org>

	* README.in: Reword the 2.14 release notes entry about the
	deprecation of the gtkitemfactory.h header, and fix typos
	and grammar.

2008-03-08  Alberto Ruiz  <aruiz@gnome.org>

	* modules/engines/ms-windows/msw_style.c (draw_shadow):
	Do not draw frame if parent if combobox.
	(draw_box):
	Uses scrollbar width system metrics for combobox button.
	Fixes #461805 for XP theme engine.

2008-03-07  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkbuilder.c:
	* gtk/gtkbuilderparser.c:
	* gtk/gtkbuilderprivate.h:
	* gtk/gtkiconfactory.c:
	* tests/buildertest.c:
	- Treat enums like enums and not values
	- Avoid invalid free, in case of more than two sources
	- Add better error messages
	- Add much improved tests
	(#520979, Christian Persch)

2008-03-07  Carlos Garnacho  <carlos@imendio.com>

	* gtk/gtkiconfactory.c (gtk_icon_factory_buildable_custom_tag_end):
	Fix build.

2008-03-06  Federico Mena Quintero  <federico@novell.com>

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=505857 -
	GtkFileChooserDialog should set a default response button if the
	app doesn't set it.  Based on a patch by Chris Wang <chris.wang@sun.com>.

	* gtk/gtkfilechooserdialog.c (is_stock_accept_response_id): New
	function, refactor from where there was duplicated code.
	(gtk_file_chooser_dialog_map): Look at the buttons in our
	action_area.  If the response ID for a button is one of the stock
	ones, make it the default response button.

2008-03-06  Johan Dahlin  <jdahlin@async.com.br>

	* docs/reference/gtk/tmpl/gtkiconfactory.sgml:
	* gtk/gtkbuilder.c:
	* gtk/gtkbuilderprivate.h:
	* gtk/gtkiconfactory.c:
	* tests/buildertest.c:
	Implement GtkBuildable on GtkIconFactory, to make
	it possible to register custom stock icons.
	Fixes #517066

2008-03-06  Johan Dahlin  <johan@gnome.org>

	Make gtk-doc happy:
	
	* gtk/gtkstyle.c: npoints->n_points.
	* gtk/gtktestutils.h: widget->spinner
	* gtk/gtktestutils.c: argc->argcp, argv->argvp

2008-03-06  William Lachance <wrlach@gmail.com>

	* gtk/gtkfilechooserdefault.c: Oops, forgot to make the raw "%H:%M" 
	string localizable (as it should be). 

2008-03-06  William Lachance <wrlach@gmail.com>

	* gtk/gtkfilechooserdefault.c: Don't print "Today at" in front of
	the time for today's date. It's redudant. (see bug #410517).

2008-03-06  Xan Lopez  <xan@gnome.org>

	* gtk/gtkfixed.c: fix typo in documentation.

2008-03-06  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkitemfactory.h:
	* gtk/gtktypeutils.h:
	Move GtkTranslateFunc to gtktypeutils.h so we can completely
	deprecate gtkitemfactory.h. 

	* gtk/gtkactiongroup.h:
	* gtk/gtkstock.h:
	Do not include gtkitemfactory.h directly, instead include gtktypeutils.h

	* README.in: 
	Add a note describing this slight incompatible change
	
2008-03-06  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkpreview.h: Avoid double-deprecation.

2008-03-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.h
	* gtk/Makefile.am: move the remaining deprecated widgets to the
	separate sections and replaced spaces by tabs in Makefile.am

2008-03-05  Johan Dahlin  <johan@gnome.org>

	* configure.in: Add --disable-cups option.
	(#513826, Alberto Ruiz)

	* gtk/gtk.h: 
	* gtk/Makefile.am:
	Separate broken and deprecated sources and headers into different sections

	* tests/buildertest.c (test_list_store): Restore accidentally broken test.

2008-03-05  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_row_inserted):
	short-circuit in case an empty root level would be build (and thus
	directly destroyed) if no virtual root has been set.

2008-03-04  Matthias Clasen  <mclasen@redhat.com>

	* modules/printbackends/cups/gtkprintbackendcups.c: 
	Honor cups user default options from ~/.cups/lpoptions
	(#469210, Stijn Hoop)

2008-03-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellview.c
	* gtk/gtkcolorbutton.c
	* gtk/gtkentrycompletion.c
	* gtk/gtkfontbutton.c
	* gtk/gtkiconview.c
	* gtk/gtkobject.c
	* gtk/gtkpaned.c
	* gtk/gtkpreview.c: don't include "gtksignal.h".

	* gtk/gtkfilefilter.c
	* gtk/gtkrecentchoosermenu.c
	* gtk/gtkrecentfilter.c
	* gtk/gtktext.c: don't include "gtkobject.h".

2008-03-04  Simos Xenitellis  <simos@gnome.org>

        Patch from http://bugzilla.gnome.org/show_bug.cgi?id=321896
	- Synch gdkkeysyms.h/gtkimcontextsimple.c with X.org 6.9/7.0
	
	* gdk/gdkkeysyms.h: Updated file from upstream (using script from 
	same directory).
	
	* gtk/gtkimcontextsimpleseqs.h (gtk_compose_seqs_compact[]): New 
	file, contains compose sequences that used to exist in 
	gtk/gtkimcontextsimple.c

	* gtk/compose-parse.py: Script to generate compose 
	sequences from upstream (Xorg).

	* gtk/gtkimcontextsimple.c (compare_seq_index, check_compact_table, 
	check_algorithmically): New functions. First two search in
	gtk_compose_seqs_compact[] for matching compose sequence, third
	tries NFC normalisation on incoming compose sequence.
	(gtk_im_context_simple_filter_keypress): 
	Adds searching with check_compact_table(), check_algorithmically().

2008-03-03  Carlos Garnacho  <carlos@imendio.com>

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=417389 - Make the
	scrollwheel work in GtkPathBar.

	* gtk/gtkpathbar.h (struct _GtkPathBar): New field event_window.

	* gtk/gtkpathbar.c (gtk_path_bar_realize): New function.  Create
	an input-only window, event_window, which we'll use to capture
	scroll events.
	(gtk_path_bar_map): Show the event_window under the rest of the
	windows, so it will be a catch-all for unhandled events.

2008-03-03  Sven Neumann  <sven@gimp.org>

	* gtk/gtkfilechooserbutton.c (G_DEFINE_TYPE_WITH_CODE): fixed a
	typo in the documentation of the GtkFileChooserButtons::file-set
	signal (see bug #353196).

2008-03-03  Tor Lillqvist  <tml@novell.com>

	* gtk-zip.sh.in: Add gail bits. Simplify check for message catalog
	location.

2008-03-02  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkiconview.c (gtk_icon_view_paint_item): 
	Remove left-over focus_pad variable.
	(#490892, Claudio Saavedra)

	* docs/tutorial/gtk-tut.sgml: Remove an extra space and swap word order
	(#518166, Matt Kraai)

2008-03-02  Johan Dahlin  <johan@gnome.org>

	* docs/tutorial/gtk-tut.sgml: Add a missing space
	(#517954, Matt Kraai)

2008-03-03  Tor Lillqvist  <tml@novell.com>

	* modules/engines/ms-windows/msw_style.c (draw_box): Check that
	the widget is a GtkButton before casting.

2008-03-02  Johan Dahlin  <johan@gnome.org>

	* configure.in: Compare using = instead of ==, which is portable.
	(#490787, Thomas Klausner)

2008-03-02  Johan Dahlin  <johan@gnome.org>

	* tests/Makefile.am (noinst_PROGRAMS): Remove autotestkeywords, it's added later,
	fixes non-C++ build.
	(#496032, Nelson Benitez)

2008-02-29  Johan Dahlin  <johan@gnome.org>

	* demos/gtk-demo/demo.ui:
	* gtk/gtkbuilderparser.c:
	* gtk/gtkbuilderprivate.h:
	* gtk/gtkliststore.c:
	* tests/buildertest.c:
	Add translatable/context and comment attributes on
	<col> tags under a GtkListStore. Refactor parts of the
	translation api and make it available inside gtk+ itself.
	Update tests and example.
	Fixes a part of #518642

2008-02-29  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkbuilder.c:
	Add missing g_return_val_if_fail checks for public API.

	* gtk/gtkbuilderparser.c:
	* gtk/gtkbuilderprivate.h:
	Do not use g_error for a few more errors, instead set
	the GError sent in through add_from_file/add_from_string.
	* tests/buildertest.c:
	Add a couple of new parsing tests.
	(#519199, Pavel Syomin)

2008-02-29  Federico Mena Quintero  <federico@novell.com>

	* gtk/gtkfilesystemunix.c (gtk_file_system_unix_get_folder): When
	refreshing an existing folder (i.e. when we are about to reload
	its file list), turn off the folder's is_finished_loading flag.
	Otherwise callers which do ::is_finished_loading() followed by
	::list_children() will get nothing.

2008-02-29  Cody Russell  <bratsche@gnome.org>

	* docs/tutorial/gtk-tut.sgml: Fix tutorial documentation to
	say 'gtk_main_quit()' instead of 'gtk_quit()'. (#517908, Matt Kraai)

2008-02-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcalendar.h: Remove trailing comma from enum to
	make the compiler happy.  (#517295, Sylvain Pasche)

2008-02-27  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkmenushell.c
	* gtk/gtktable.c
	* gtk/gtktext.c
	* gtk/gtktipsquery.c
	* gtk/gtktoolbar.c
	* gtk/gtktreeitem.c
	* gtk/gtktreeview.c
	* gtk/gtkviewport.c
	* gtk/gtkwin32embedwidget.c: remove g_return_if_fail() from
	private functions and virtual function implementations.

2008-02-27  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c:
	* gdk/quartz/GdkQuartzView.h:
	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_decorations):
	Fix performance regression for borderless transparent windows
	with shadow.

2008-02-27  Emmanuele Bassi  <ebassi@gnome.org>

	* tests/testgtk.c: Revert back to r19454.

2008-02-27  Sven Neumann  <sven@gimp.org>

	* gtk/Makefile.am (GTK_PRINT_PREVIEW_COMMAND): when building the
	Quartz backend, use a native Mac OS X application for the print
	preview (bug #518624).

2008-02-26  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextbufferserialize.c (parse_info_free): don't g_free()
	the members of info->tag_stack since they are a) gobjects and b)
	not even owned by us, ugh... Fixes crash when deserializing fails.

2008-02-26  Sven Neumann  <sven@gimp.org>

	* docs/tools/shooter.c (find_toplevel_window)
	* docs/tools/widgets.c (find_toplevel_window): fixed signedness of
	argument passed to XQueryTree().

2008-02-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtksearchenginebeagle.c: Look for libbeagle.so.1 and
	don't use beagle_query_add_hit_type.

2008-02-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c
	(_gdk_quartz_events_trigger_crossing_events): Fix build on tiger.

2008-02-24  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c: Prevent hidden windows from being
	shown without gdk's control when clicking the dock icon.

2008-02-24  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkeventloop-quartz.c: (got_fd_activity), (poll_func):
	Use the subtype field for the custom event that is used to wake up
	the mainloop so we can have other custom event types.

	* gdk/quartz/gdkevents-quartz.c:
	(_gdk_quartz_events_trigger_crossing_events):
	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal): Create
	crossing events after showing a window if necessary, to work
	around problems with the tracking rect API.

2008-02-22  Dominic Lachowicz  <domlachowicz@gmail.com>

	* demos/gtk-demo/printing.c (do_printing): gtk-demo printing gives 
	wrong results on win32 because it doesn't set the printing units, 
	which affect the transformation of the cairo context 
	(#347125, Erik van Pienbroek)

2008-02-22  Tor Lillqvist  <tml@novell.com>

	* tests/pixbuf-init.c: Add file missing from SVN, from the tarball.

2008-02-22  Dominic Lachowicz  <domlachowicz@gmail.com>

	* gdk-pixbuf/queryloaders.c (loader_sanity_check): It's perfectly
	acceptable for a module to only support the save_to_callback()
	method if it marks itself as WRITABLE

2008-02-16  Matthias Clasen  <mclasen@redhat.com>
	
	* configure.in: Bump version

2008-02-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.0 ===

	* Makefile.decl: Start Xvfb at depth 16 so cairo doesn't choke.

2008-02-21  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilechooserdefault.c (list_mtime_data_func) [Win32]: Must
	pass the format string to strftime in the C library's locale's
	charset, not the system's. Correspondingly, the return value from
	strftime() is in the C library's locale's charset. (#509885)

2008-02-20  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_set_decorations): Set
	the right window level and shadow after recreating the window.

	* gdk/quartz/GdkQuartzView.c: (drawRect): Invalidate the shadow if
	necessary after drawing (bug #517338).

2008-02-20  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	* gtk/gtkbuilder.c (_gtk_builder_enum_from_string): fix missing
	call to g_type_class_unref in case of error. (#517563)

2008-02-18  Sven Neumann  <sven@gimp.org>

	* gtk/Makefile.am (STOCK_ICONS)
	* gtk/stock-icons/16/gtk-page-setup.png
	* gtk/stock-icons/24/gtk-page-setup.png: added page-setup icons
	taken from GNOME icon theme.

	* gtk/gtkstock.[ch]: added GTK_STOCK_PAGE_SETUP. Closes bug #514410.

2008-02-18  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Kannada (kn) to ALL_LINGUAS

2008-02-17  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-builder-convert (GtkBuilderConverter._add_action_from_menuitem): 
	When converting a stock item based on the label, remove the label property.

2008-02-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c: (showAndMakeKey): Update the
	position after showing the window since the window manager might
	not place it where we requested in the first places.

2008-02-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal),
	(_gdk_quartz_window_detach_from_parent),
	(_gdk_quartz_window_attach_to_parent), (gdk_window_focus): Clear
	the toplevel ordering list in all places where the order is
	potentially changed. Fixes mouse focus issues for windows with
	a transient parent set.

2008-02-17  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c
	(_gdk_quartz_events_update_mouse_window): Highlight the mouse
	window when event debugging is enabled.

2008-02-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (create_scroll_event): Add state
	to the scroll event (bug #516757, Paul Davis).

2008-02-16  Matthias Clasen  <mclasen@redhat.com>

	* NEWS: Updates

2008-02-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtklinkbutton.c: Show the URI in a tooltip.  (#505480,
	Teppo Turtiainen)

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gdk/Makefile.am: Don't install private headers. (#463510)

	* gdk/gdkinternal.h: Include gdkmedialib.h here, not in
	the installed header gdkprivate.h.

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtknotebook.c (gtk_notebook_stop_reorder): Prevent
	a crash with hidden, reorderable tabs.  (#513230, 
	Mike Massonnet, patch by Carlos Garnacho)

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkuimanager.c (gtk_ui_manager_insert_action_group):
	Warn on duplicate action group names.  (#501746, Christian
	Persch)

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am:
	* modules/other/gail/tests/Makefile.am:
	* modules/other/gail/libgail-util/Makefile.am:
	* modules/other/gail/Makefile.am: Fix builddir!=srcdir
	builds.  (#516254,  Yevgen Muntyan)

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkentry.c:
	* gtk/gtkfilesel.c:
	* gtk/gtklabel.c:
	* gtk/gtkpathbar.c: Use gtk_drag_*_add_{text,uri}_targets 
	instead of hardcoded target tables.  (#516092, Christian Persch)

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkselection.c (gtk_target_list_add_text_targets): Don't
	add the same target atom twice.  (#516087, Christian Persch)

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* tests/testfilechooser.c: Add a --backend option.
	(#516073, Christian Persch)

2008-02-16  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkprivate-quartz.h:
	* gdk/quartz/gdkwindow-quartz.c: Add debugging code to highlight a
	gdkwindow.

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Go back to 2.13.0 as version for now,
	as there was no consensus to do the jump.

	* many other places: Update Since: tags.

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.symbols: Add gtk_tool_shell_get_type

	* gtk/gtktestutils.c: Don't generate unnecessary PLT entries

2008-02-15  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Adapt to the change to use frame
	instead of bounds when resizing windows.

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gdk/x11/gdkkeys-x11.c:
	* gdk/x11/gdkcolor-x11.c:
	* gdk/gdkpolyreg-generic.c: Fix a small doc issues.

2008-02-15  Matthias Clasen <mclasen@redhat.com>

	* gdk/x11/gdktestutils-x11.c:
	* gdk/x11/gdkscreen-x11.c: Documentation fixes.

2008-02-15  Tor Lillqvist  <tml@novell.com>

	* gtk/gtkfilesystemwin32.c (get_viewable_logical_drives): Don't
	leak Registry key handles. (#516578)

2008-02-14  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (gdk_window_focus): Using
	makeKeyWindow unfortunately doesn't work in all cases, we must use
	makeKeyAndOrderFront.

2008-02-14  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (get_fullscreen_geometry),
	(gdk_window_hide), (gdk_window_fullscreen),
	(gdk_window_unfullscreen): Make sure we leave fullscreen mode if
	the window is hidden.

2008-02-14  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzWindow.c: Set frame, not bounds when
	resizing to be consistent and to avoid introducing an internal
	transform in the view.

2008-02-14  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkdisplay-quartz.c: (gdk_display_open): Coding style
	fix.

2008-02-14  Johan Dahlin  <johan@gnome.org>

	* gdk/gdktestutils.h
	* gtk/gtktestutils.h: Remove ; trailing G_BEGIN/END_DECLS

2008-02-13  Richard Hult  <richard@imendio.com>

	* gtk/gtkclipboard-quartz.c: (gtk_clipboard_wait_for_contents):
	Remove unused variables.
	(gtk_clipboard_set_contents),
	(gtk_clipboard_get_owner), (clipboard_unset),
	(gtk_clipboard_request_targets): Notify the previous clipboard
	owner when the owner changes. Fixes bug #493406.
	
2008-02-13  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkcolor-quartz.c: (gdk_colormap_alloc_colors): Fix
	the return value (return number of colors that failed), and handle
	RGBA colormap.
	(gdk_colormap_free_colors): Fix typo in comment.

2008-02-13  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_stop_rubber_band): only
	queue a redraw if the rubber banding has actually been active.

2008-02-12  Matthias Clasen  <mclasne@redhat.com>

	* gtk/gtkpapersize.c:
	* gtk/gtkprintoperation.c:
	* gtk/gtkvolumebutton.c:
	* gtk/gtkbulderparser.c: Fix some i18n errors. Pointed
	out by Behdad Esfahbod.

2008-02-12  Federico Mena Quintero  <federico@novell.com>

	Merged from gtk-2-12:

	Don't focus the file list when shortcuts get activated.  This
	removes a lot of ambiguity in when the file selection should
	change, and makes the overall code flow simpler.

	This fixes http://bugzilla.gnome.org/show_bug.cgi?id=419737 -
	file/save dialog clears the filename entry when changing
	directories.

	Also fixes http://bugzilla.gnome.org/show_bug.cgi?id=499940 -
	focus should not go to the file list when a shortcut is activated.

	* gtk/gtkfilechooserdefault.c
	(shortcuts_activate_volume_mount_cb): Don't focus the file list
	(shortcuts_activate_get_info_cb): Likewise.

	* gtk/gtkfilechooserdefault.c (switch_to_shortcut): Don't focus
	the file list (this was the last place where we would focus the
	file list explicitly).  If you are in the location entry, for
	example, you don't want Alt-Home to take you to the file list; you
	just want the current folder to change.  Thanks to Olle Bergkvist
	<olle.bergkvist@yahoo.se> for pointing this out in
	http://bugzilla.gnome.org/show_bug.cgi?id=419737#c51.
	(focus_browse_tree_view_if_possible): Removed.

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	Skip exensions when selecting filenames in the save-as dialog.
	(#362516, Carlos Garnacho)

	* gtk/gtkfilechooserentry.h:
	* gtk/gtkfilechooserentry.c (_gtk_file_chooser_entry_select_filename):
	New function to skip the extension part when selecting a filename.
	(_gtk_file_chooser_entry_set_base_folder): Use it here.

	* gtk/gtkfilechooserdefault.c (gtk_file_chooser_entry_grab_focus):
	...and here.

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkiconview.c: Fix state change reporting for 
	accessibility.  (#499835, Rich Burridge, patch by LiYan Zhang)

2008-02-12  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchooser.c:
	(gtk_recent_chooser_class_init): Set the default value of the
	:show-not-found property to TRUE, as every implementation sets
	it to TRUE already.

	* gtk/gtkrecentchooserdefault.c:
	(_gtk_recent_chooser_default_init): Sync show_tips to the
	default value of the :show-tips property.

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkclipboard-quartz.c:
	* gtkquartz.c:
	* gtkselection.c: Use GSlice for GtkSelectionData.  (#515060,
	Christian Persch)

2008-02-12  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_real_select_cursor_row),
	(gtk_tree_view_real_toggle_cursor_row): guard against people
	deleting the row in question in the selection-changed callback.
	(#514621, Andreas Koehler).

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/*.c: Unify the handling of various "Enter" keysyms
	all over the place.  (#515047, Christian Persch)

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilesystemmodel.c:
	* gtk/gtkprinter.c:
	* gtk/gtkwidget.c: Use g_value_set_static_string() where 
	appropriate.  (#515042, Christian Persch)

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* tests/prop-editor.c: Fix a memory leak (#515039, Christian Persch)
	
2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* tests/testmerge.c: Fix a memory leak (#515038, Christian Persch)

2008-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkfilechooserdefault.c (recent_model_sort_drag_data_get):
	(recent_model_sort_drag_data_get):
	(search_model_sort_drag_data_get):
	* gtk/gtkfilesystemmodel.c (drag_source_drag_data_get):
	* gtk/gtkpathbar.c (button_drag_data_get_cb):
	Use gtk_selection_data_set_uris() instead of doing it
	by hand.  (#514890, Christian Persch)

2008-02-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkstatusicon.c: #include "gtkmain.h" for
	gtk_get_current_event_time().

2008-02-12  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkwindow.c (gtk_window_activate_key): simply use
	gtk_window_get_key_hash() to get the hash instead of manually
	fiddling with quarks and gtk_window_keys_changed(). Also add
	g_return_if_fail() to this public function.

2008-02-11  Matthias Clasen  <mclasen@redhat.com>

	Support keynav in status icons.  (#473786, Li Yuan)

	* gtk/gtkstatusicon.c: Handle keynav, make the tray icon focusable.

	* gtk/gtktrayicon-x11.c: Draw a focus rectangle when focused.

2008-02-11  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtkcellview.c (gtk_cell_view_cell_layout_reorder)
	* gtk/gtkiconview.c (gtk_icon_view_cell_layout_reorder): plug leak
	wrt. link deletion from list; contination of fix for #503569.

2008-02-11  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c:
	(gtk_recent_chooser_menu_constructor): Set no-show-all flag
	on the placeholder menu item.

	* tests/testrecentchoosermenu.c:
	(create_recent_chooser_menu): Use gtk_widget_show_all() to test
	whether the placeholder menu item gets shown.

2008-02-10  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkfilechooser.c (gtk_file_chooser_get_current_folder_uri):
	Check the return value of _gtk_file_chooser_get_file_system () for
	NULL before passing it to gtk_file_system_path_to_uri ().
	(#515667, Francesco Montorsi)

2008-02-10  Philip Withnall  <pwithnall@svn.gnome.org>

	* gtk/gtkbuilder.c: Improve the documentation for
	gtk_builder_connect_signals. (#514471)

2008-02-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkrecentaction.c: Propagate local-only.  (#511987, 
	Jonh Wendell)

2008-02-08  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkcombobox.c (gtk_combo_box_cell_layout_pack_start):
	Removed an extra semicolon.  (#515219, reported by Kazuki IWAMOTO)

2008-02-08  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkevents-quartz.c (gdk_event_translate): Ignore the
	delta from the NSEvent for now, generating multiple scroll events
	results in a lot of events getting queued up and things get really
	slow.

2008-02-08  Sven Herzberg  <sven@imendio.com>

	Adjust the code to match the documentation, examples, "common sense"
	and existing applications.

	* gtk/gtkaction.c: (_gtk_action_sync_menu_visible): take into account
	that a GtkMenu for a <popup> element doesn't have to have a GtkAction
	assigned

2008-02-07  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkwindow-win32.c: Fixed two declarations in the middle
	of a block that were causing compile problems on old
	compilers. (#515053, reported by Kazuki IWAMOTO)
	
2008-02-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcellview.c
	* gtk/gtklabel.c
	* gtk/gtklayout.c
	* gtk/gtklist.c
	* gtk/gtkmenu.c
	* gtk/gtkmenushell.c
	* gtk/gtkmisc.c
	* gtk/gtkoptionmenu.c
	* gtk/gtkplug.c
	* gtk/gtkpreview.c
	* gtk/gtkprogress.c
	* gtk/gtkradiomenuitem.c
	* gtk/gtkscale.c
	* gtk/gtkscrolledwindow.c
	* gtk/gtksocket.c: remove g_return_if_fail() from private
	functions and virtual function implementations.

2008-02-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkaction.c
	* gtk/gtkassistant.c
	* gtk/gtkbin.c
	* gtk/gtkbox.c
	* gtk/gtkcalendar.c
	* gtk/gtkcellrenderercombo.c
	* gtk/gtkcombobox.c
	* gtk/gtkcombo.c
	* gtk/gtkdrawingarea.c
	* gtk/gtkentrycompletion.c
	* gtk/gtkfixed.h
	* gtk/gtkgamma.c
	* gtk/gtkhpaned.c
	* gtk/gtkiconview.c
	* gtk/gtkitem.c
	* gtk/gtkitemfactory.c: remove g_return_if_fail() from private
	functions and virtual function implementations.

2008-02-07  Christian Persch  <chpe@gnome.org>

	* gdk/gdkpixbuf-render.c:
	(gdk_pixbuf_render_pixmap_and_mask_for_colormap): If the pixbuf has an
	alpha channel, use gdk_draw_rgb_32_image to draw it to the pixmap;
	otherwise there will be random pixel values in the semi-transparent
	area of the pixbuf within the mask. Bug #487865.

2008-02-06  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c: Check if the window is a temp window,
	otherwise things get wonky when you click on a menu.  This fixes
	a regression caused in #505928.  Thanks to Tor for spotting this
	one!  (#514789)

2008-02-06  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcontainer.c
	* gtk/gtkexpander.c
	* gtk/gtkframe.c
	* gtk/gtklabel.c
	* gtk/gtkmain.c
	* gtk/gtkmenu.c
	* gtk/gtkmenuitem.c
	* gtk/gtkmenushell.c
	* gtk/gtknotebook.c
	* gtk/gtkseparatortoolitem.c
	* gtk/gtksocket.c
	* gtk/gtktextlayout.c
	* gtk/gtktoggletoolbutton.c
	* gtk/gtktoolbutton.c
	* gtk/gtktoolitem.c
	* gtk/gtktree.c
	* gtk/gtktreeitem.c: replace "foo && GTK_IS_FOO (foo)" by simply
	"GTK_IS_FOO (foo)".

2008-02-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkprintsettings.c (gtk_print_settings_get_page_ranges):
	Allow to store half-open ranges.

2008-02-05  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkwindow-win32.c (_gdk_modal_current): Walk
	down the stack until we get to a window that is mapped.
	Otherwise hiding a window will cause all windows in the app
	to be blocked. (#514643)

2008-02-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c: Ignore images in the toplevel theme
	directory, avoiding one source of invalid caches that has been
	spotted in the wild.

2008-02-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c: Fix the previous commit to compile.

2008-02-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/updateiconcache.c: Install a printerr handler that
	prepends the program name, since gtk-update-icon-cache output
	often appears in the middle of other output, e.g. rpm update logs.

2008-02-05  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkprivate-win32.h
	* gdk/win32/gdkevents-win32.c
	* gdk/win32/gdkwindow-win32.c
	* gdk/win32/gdkwindow-win32.h
	* gdk/win32/gdkwin32.h:
	Modal window rework.  (#455627 and #511111)

2008-02-04  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkcombobox.c (gtk_combo_box_cell_layout_add_attribute):
	g_return_if_fail() if the cell is not part of the combo instead of
	crashing in the next line.

2008-02-01  Cody Russell  <cody@jhu.edu>

	* modules/engines/ms-windows/xp_theme.[ch]
	* modules/engines/ms-windows/xp_theme_defs.h
	* modules/engines/ms-windows/msw_rc_style.c
	* modules/engines/ms-windows/msw_theme_main.c
	* modules/engines/ms-windows/msw_style.c: Re-indented and generally
	attempted to stylize more like the rest of the gtk+ stack's code.

2008-02-01  Michael Natterer  <mitch@imendio.com>

	* tests/testgtk.c: initialize GdkColor structs to fix warning
	about uninitialized "pixel" member.

	* tests/testactions.c: connect the toolbar_style() callback so it
	does something useful and doesn't warn about being defined but not
	used.

2008-01-31  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkevents-win32.c:
	Refactored some of the window hiding/showing code from
	WM_ACTIVATE to WM_SIZE and WM_SYSCOMMAND.  Having this
	under WM_ACTIVATE was causing the application to go into
	a weird state when the user right-clicked on the taskbar
	entry of a window that was minimized.  (#505928)
	
2008-01-31  Cody Russell  <bratsche@gnome.org>

	* gtk/gtkpaned.c (gtk_paned_set_position):
	Change queue_resize() to queue_draw(), and add a check for
	child2 != NULL in case someone calls this before there is
	a child packed in there.  (#144269 again)

2008-01-31  Sven Neumann  <sven@gimp.org>

	* gdk/directfb/gdkimage-directfb.c (_gdk_directfb_copy_to_image):
	applied patch from Denis Oliver Kropp <dok@directfb.org>.

2008-01-31  Sven Neumann  <sven@gimp.org>

	* gdk/directfb/gdkdisplay-directfb.c
	* gdk/directfb/gdkdrawable-directfb.c
	* gdk/directfb/gdkprivate-directfb.h
	* gdk/directfb/gdkwindow-directfb.c: applied patch from Denis
	Oliver Kropp <dok@directfb.org>. Fixes remaining warnings.

2008-01-31  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Another attempt at fixing focus
	issues with undecorated windows. Revert the change done on
	2008-01-25 and fix it by using the view's bounds instead. The
	bounds will always be up to date when setting up the tracking
	rect, so this should be more robust.

2008-01-30  Sven Neumann  <sven@gimp.org>

	* gdk/directfb/gdkdrawable-directfb.c
	* gdk/directfb/gdkwindow-directfb.c
	* gdk/directfb/gdkprivate-directfb.h: applied patch from Denis
	Oliver Kropp <dok@directfb.org>. Adds debug messages using
	DirectFB's debugging system

2008-01-30  Sven Neumann  <sven@gimp.org>

	* gdk/directfb/gdkdirectfb.h
	* gdk/directfb/gdkdisplay-directfb.c
	* gdk/directfb/gdkdrawable-directfb.c
	* gdk/directfb/gdkim-directfb.c
	* gdk/directfb/gdkimage-directfb.c
	* gdk/directfb/gdkinput-directfb.c
	* gdk/directfb/gdkmain-directfb.c
	* gdk/directfb/gdkpixmap-directfb.c
	* gdk/directfb/gdktestutils-directfb.c
	* gdk/directfb/gdkvisual-directfb.c
	* gdk/directfb/gdkwindow-directfb.c: applied patch from Denis
	Oliver Kropp <dok@directfb.org>. Fixes various warnings, some
	errors and has some cleanups.

2008-01-30  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbuilderparser.c (parse_custom): use the right type for
	"subparser_data" and remove the (gpointer*) cast. Fixes bogus
	aliasing warning.

	* gtk/updateiconcache.c (add_string): cast const gchar* to
	gpointer when inserting in a GHashTable.

	* tests/testcalendar.c (calendar_detail_cb): remove const from
	return value since it's a newly allocated string.

	(calendar_update_details): free the detail.

2008-01-29  Johan Dahlin  <johan@gnome.org>

	* demos/gtk-demo/builder.c: (quit_activate), (about_activate),
	(do_builder):
	* demos/gtk-demo/demo.ui:
	Move the about dialog to the glade file, add accessible tags
	examples to the markup file.

2008-01-28  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtkprintunixdialog.c (draw_page_cb): do not leak the pango
	layout, fixes #512375.

2008-01-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextchild.c
	* gtk/gtktextview.c: meant to use G_STRFUNC, not G_STRLOC...

2008-01-28  Michael Natterer  <mitch@imendio.com>

	* demos/gtk-demo/builder.c (about_activate): use
	gtk_about_dialog_set_program_name() instead of the deprecated
	set_name().

2008-01-28  Michael Natterer  <mitch@imendio.com>

	* gtk/gtktextchild.c
	* gtk/gtktextview.c: use G_STRLOC instead of G_GNUC_FUNCTION (which
	is deprecated now).

2008-01-26  Johan Dahlin  <johan@gnome.org>

	* tests/Makefile.am:
	* tests/textbuffertest.c:
	Rename textbuffer test and port it to the new test framework
	
2008-01-25  Johan Dahlin  <johan@gnome.org>

	* gtk/gtktestutils.c (gtk_test_init): Restore accidentally removed
	unsetting of GTK_MODULES.

	* gtk/gtk-builder-convert
	(GtkBuilderConverter._convert_adjustment): Handle the case where
	there is no child text node.
	(GtkBuilderConverter): Allow xml comments in most places.

2008-01-25  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-builder-convert
	(GtkBuilderConverter._convert_combobox_items): Remove the items
	even if there are no items set.
	(GtkBuilderConverter._add_action_from_menuitem): Convert toggled
	signals and tooltips for all menu items subclasses and 
	GtkImageMenuItem:label. 
	Makes it possible to fully convert and run Jokosher.glade.

2008-01-25  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkwidget.c: (gtk_widget_buildable_interface_init),
	(gtk_widget_buildable_get_internal_child), (free_action),
	(free_relation), (gtk_widget_buildable_parser_finished),
	(accessibility_start_element),
	(gtk_widget_buildable_custom_tag_start),
	(gtk_widget_buildable_custom_finished):
	Implement accessible support, fixes #454653.

	* gtk/gtk-builder-convert:
	Add support for migrating old glade files
	
	* tests/buildertest.c: (test_widget), (test_file):
	Add accessible tests and imprve the test_file function to display
	toplevels and run dialogs.

2008-01-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/GdkQuartzView.c: Don't recreate a tracking rect if it
	didn't change, fixes focus event issues for undecorated windows.

2008-01-25  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: Fix compile warnings (add missing
	const and remove unused variables).

2008-01-25  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkbutton.h
	* gtk/gtkcellrenderer.h
	* gtk/gtkimcontext.h
	* gtk/gtkstyle.h
	* gtk/gtktoolbar.h
	* gtk/gtktooltip.h
	* gtk/gtktreeprivate.h
	* gtk/gtktreeviewcolumn.h
	* gtk/gtkwidget.h: add const to constant structs which are passed
	into GTK+. Also add some forgotten const for const strings.
	Fixes bug #511554.

	* gtk/gtkbutton.c
	* gtk/gtkcellrenderer.c
	* gtk/gtkimcontext.c
	* gtk/gtkstyle.c
	* gtk/gtktoolbar.c
	* gtk/gtktooltip.c
	* gtk/gtktreeview.c
	* gtk/gtktreeviewcolumn.c
	* gtk/gtkwidget.c: changed accordingly.

2008-01-25  Sven Herzberg  <sven@imendio.com>

	Reviewed by Johan Dahlin.

	* gtk/gtkuimanager.c (gtk_ui_manager_remove_ui): emit a warning if
	this is called with something that's not a GtkUIManager

2008-01-24  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkdialog.c (gtk_dialog_buildable_get_internal_child): 
	Chain up to parent, so widgets can have internal children.

2008-01-22  Mathias Hasselmann  <mathias@openismus.com>

	Add gdk_app_launch_context_get_type() to gdk.symbols (#511308, Kazuki
	IWAMOTO).

	* gdk/gdk.symbols: Add gdk_app_launch_context_get_type().

2008-01-22  Mathias Hasselmann  <mathias@openismus.com>

	Use pango_layout_set_height() for calendar details (#506049).

	* configure.in: Require 1.19.3 for pango_layout_set_height().
	* gtk/gtkcalendar.c: Use pango_layout_set_height() for details.

2008-01-18  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-builder-convert (get_property_node): New method
	(GtkBuilderConverter._create_object): Conditionally take a node as
	a property value, so don't lose translate/context attributes if they
	are set. 
	(GtkBuilderConverter._add_action_from_menuitem): Send in Node as
	property values instead of strings.
	(#509153, Erik van Pienbroek)

2008-01-16  Mathias Hasselmann  <mathias@openismus.com>

	Change GtkCalendarDetailFunc to return newly allocated string. (#339540)

	* gtk/gtkcalendar.c: Release the memory returned by the detail_func.
	* gtk/gtkcalendar.h: Remove G_CONST_RETURN from GtkCalendarDetailFunc.
	* tests/testcalendar.c: Duplicate calendar details before returning.

2008-01-16  Christian Persch  <chpe@gnome.org>

	* gtk/gtkwidget.c: Store the event mask and extension event mode
	directly in the gobject data pointer, instead of in an allocated
	gint. Bug #506604.

2008-01-16  Michael Natterer  <mitch@imendio.com>

	* configure.in (GDK_PIXBUF_PACKAGES): add "gio-2.0" because
	gdk-pixbuf now uses gio functions.

2008-01-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtkcombobox.c (gtk_combo_box_set_model): Emit
	the notify::model signal.  (#509819, David Zeuthen)

2008-01-15  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkdisplay.h
	* gdk/gdkdrawable.h
	* gdk/gdkevents.h
	* gdk/gdkpango.h
	* gdk/gdkregion.h
	* gdk/gdkrgb.h
	* gdk/gdkwindow.h: made more struct pointer and array parameters
	const. GDK should now be constified as far as possible without
	breaking source compatibility. Includes some minor cleanup like
	indentation and s/nfoo/n_foo/ (bug #508544).

	* gdk/gdkdisplay.c
	* gdk/gdkdraw.c
	* gdk/gdkevents.c
	* gdk/gdkpango.c
	* gdk/gdkregion-generic.c
	* gdk/gdkrgb.c
	* gdk/directfb/gdkdisplay-directfb.c
	* gdk/directfb/gdkwindow-directfb.c
	* gdk/quartz/gdkdisplay-quartz.c
	* gdk/quartz/gdkwindow-quartz.c
	* gdk/win32/gdkdisplay-win32.c
	* gdk/win32/gdkwindow-win32.c
	* gdk/x11/gdkdisplay-x11.c
	* gdk/x11/gdkwindow-x11.c: changed accordingly.

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkrc.c (_gtk_rc_style_unset_rc_property): add cast to fix
	const warning.

	(gtk_rc_parse_any): change variables to const and introduce
	another local variable to fix const warnings.

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* gdk/gdkscreen.c (gdk_screen_get_property): cast the return value
	of gdk_screen_get_font_options() to gpointer to get rid of const
	warning.

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* tests/testdnd.c (source_drag_data_get): fix another call to
	gtk_selection_data_set().

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkoldeditable.c (gtk_old_editable_selection_received): fix
	signedness warning.

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkiconcache.c (find_image_offset): remove unused variable.

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* gtk/gtkfilesystemmodel.c (drag_source_drag_data_get): cast
	"uris" to guchar* when passing it to gtk_selection_data_set().

2008-01-14  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk.h
	* gdk/gdkcairo.h
	* gdk/gdkcolor.h
	* gdk/gdkgc.h
	* gdk/gdkinternals.h
	* gdk/gdkregion.h
	* gdk/gdkwindow.h: made GdkRectangle*, GdkRegion* and GdkColor*
	parameters const (bug #508544).

	* gdk/gdkcairo.c
	* gdk/gdkgc.c
	* gdk/gdkwindow.c
	* gdk/gdkrectangle.c
	* gdk/gdkpolyreg-generic.c
	* gdk/gdkregion-generic.c
	* gdk/directfb/gdkcolor-directfb.c
	* gdk/directfb/gdkgc-directfb.c
	* gdk/directfb/gdkgeometry-directfb.c
	* gdk/directfb/gdkwindow-directfb.c
	* gdk/quartz/gdkcolor-quartz.c
	* gdk/quartz/gdkgc-quartz.c
	* gdk/quartz/gdkgeometry-quartz.c
	* gdk/quartz/gdkwindow-quartz.c
	* gdk/win32/gdkcolor-win32.c
	* gdk/win32/gdkgc-win32.c
	* gdk/win32/gdkgeometry-win32.c
	* gdk/win32/gdkprivate-win32.h
	* gdk/win32/gdkwindow-win32.c
	* gdk/x11/gdkcolor-x11.c
	* gdk/x11/gdkgc-x11.c
	* gdk/x11/gdkgeometry-x11.c
	* gdk/x11/gdkmain-x11.c
	* gdk/x11/gdkprivate-x11.h
	* gdk/x11/gdkwindow-x11.c: changed accordingly.

	* gdk/gdkpolyreg-generic.c: uncruftify to have proper function
	headers.

2008-01-14  Mathias Hasselmann  <mathias@openismus.com>

	Explain name choice for gtk_tool_item_toolbar_reconfigured.

	* gtk/gtktoolitem.c: Add comment expaining name choice for
	gtk_tool_item_toolbar_reconfigured.

2008-01-14  Mathias Hasselmann  <mathias@openismus.com>

	Make _gtk_tool_item_toolbar_reconfigured public to allow GtkToolShell
	implementations to notify its children, when some aspect of their
	configuration changed (#509042).

	* gtk/gtk.symbols: Add gtk_tool_item_toolbar_reconfigured.
	* gtk/gtktoolbar.c, gtk/gtktoolitem.c, gtk/gtktoolitem.h:
	Rename _gtk_tool_item_toolbar_reconfigured.

2008-01-12  Mathias Hasselmann  <mathias@openismus.com>

	Include <gtk/gtktoolshell.h> from gtk.h.

	* gtk/gtk.h: Add gtktoolshell.h

2008-01-12  Mathias Hasselmann  <mathias@openismus.com>

	Print angle brackets arround e-mail addresses in the about dialog
	(#409520, Mariano Suárez-Alvarez).

	* gtk/gtkaboutdialog.c: Keep e-mail brackets in add_credits_page().

2008-01-11 13:28:02  Tim Janik  <timj@imendio.com>

	* gtk/gtktestutils.c (gtk_test_create_widget): removed old testutils
	special casing so test widgets are always queues for destruction
	during teardown.

	* gtk/tests/testing.c: removed bits left-over from testing without
	gtestutils.h.

2008-01-10  Tor Lillqvist  <tml@novell.com>

	* modules/other/gail/libgail-util/Makefile.am
	* modules/other/gail/tests/Makefile.am: Link with gtktargetlib and
	gdktargetlib.
	
2008-01-10  Tor Lillqvist  <tml@novell.com>

	* tests/Makefile.am: Build defaultvaluetest only on Unix as it
	uses gtkprintunixdialog API.

2008-01-10  Tor Lillqvist  <tml@novell.com>

	* gdk/win32/gdkdisplay-win32.c
	* gdk/win32/gdkglobals-win32.c
	* gdk/win32/gdkprivate-win32.h
	* gdk/win32/gdkscreen-win32.c
	* gdk/win32/gdkwindow-win32.c: Implement
	gdk_screen_get_monitor_width_mm(), gdk_screen_get_monitor_height_mm()
	and gdk_screen_get_monitor_plug_name(). Thanks to Kazuki
	Iwamoto. (#505753)

2008-01-10  Cody Russell  <bratsche@gnome.org>

	* gdk/win32/gdkwindow-win32.c: (gdk_window_set_transient_for),
	Properly ref/unref windows and parents.  (#506769)

2008-01-10  Richard Hult  <richard@imendio.com>

	* gdk/quartz/gdkwindow-quartz.c: (show_window_internal),
	(gdk_window_hide), (move_resize_window_internal): Move the
	tracking rect workaround from here...

	* gdk/quartz/GdkQuartzWindow.c:
	* gdk/quartz/GdkQuartzWindow.h: ...to here, and ignore window
	movements during showing/hiding operations. Fixes bug #508516.

2008-01-10  Michael Natterer  <mitch@imendio.com>

	* gdk/directfb/gdkscreen-directfb.c
	(gdk_screen_get_monitor_width_mm)
	(gdk_screen_get_monitor_height_mm)
	(gdk_screen_get_monitor_plug_name): add these functions to make
	it build again.

2008-01-10  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/gtkrecentchoosermenu.c:
	(idle_populate_func), (idle_populate_clean_up): Fix possible
	recursion by resetting the idle source id. (#507605, William
	Pitcock)

2008-01-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreeview.c (gtk_tree_view_motion_draw_column_motion_arrow),
	(_gtk_tree_view_column_start_drag): fully initialize GdkWindowAttr to
	avoid valgrind warnings.  (#507751, patch from Christian Persch).

2008-01-10  Kristian Rietveld  <kris@imendio.com>

	* gtk/gtktreemodelfilter.c (gtk_tree_model_filter_get_path): Fix
	a leak of the path (#504611, patch from Sadrul Habib Chowdhury).

2008-01-10  Kristian Rietveld  <kris@imendio.com>

	Fix #477175, reported by Juri Pakaste.

	* gtk/gtktreeprivate.h:
	* gtk/gtktreeview.c (gtk_tree_view_top_row_to_dy): do not set
	tree_view->priv->dy here directly, just calculate the new value
	and set it on the adjustment,
	(gtk_tree_view_adjustment_changed): add guards to not call
	gtk_tree_view_dy_to_top_row() if we are currently in
	gtk_tree_view_top_row_to_dy(),
	(gtk_tree_view_put): fix coordinate annotation: these are bin_window
	coordinates, not tree coordinates,
	(gtk_tree_view_real_start_editing): add cast.

	* gtk/tests/treeview-scrolling.c: add an assertion for checking the
	position of the editable in the "create new row and start editing"
	tests.

